# Copyright (C) 2024  Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions 
# and other software and tools, and any partner logic 
# functions, and any output files from any of the foregoing 
# (including device programming or simulation files), and any 
# associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License 
# Subscription Agreement, the Intel Quartus Prime License Agreement,
# the Intel FPGA IP License Agreement, or other applicable license
# agreement, including, without limitation, that your use is for
# the sole purpose of programming logic devices manufactured by
# Intel and sold by Intel or its authorized distributors.  Please
# refer to the Intel FPGA Software License Subscription Agreements 
# on the Quartus Prime software download page.

# Quartus Prime: Generate Tcl File for Project
# File: bts_config.tcl
# Generated on: Tue Mar 26 18:46:04 2024

# Load Quartus Prime Tcl Project package
package require ::quartus::project

set need_to_close_project 0
set make_assignments 1

# Check that the right project is open
if {[is_project_open]} {
	if {[string compare $quartus(project) "bts_config"]} {
		puts "Project bts_config is not open"
		set make_assignments 0
	}
} else {
	# Only open if not already open
	if {[project_exists bts_config]} {
		project_open -revision bts_config bts_config
	} else {
		project_new -revision bts_config bts_config
	}
	set need_to_close_project 1
}

# Make assignments
if {$make_assignments} {
	set_global_assignment -name TOP_LEVEL_ENTITY bts_config
	set_global_assignment -name ORIGINAL_QUARTUS_VERSION 19.1.0
	set_global_assignment -name PROJECT_CREATION_TIME_DATE "14:03:33  APRIL 09, 2019"
	set_global_assignment -name LAST_QUARTUS_VERSION "24.1.0 Pro Edition"
	set_global_assignment -name PROJECT_OUTPUT_DIRECTORY output_files
	set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
	set_global_assignment -name MAX_CORE_JUNCTION_TEMP 100
	set_global_assignment -name DEVICE AGIB027R29A1E2VR3
	set_global_assignment -name FAMILY "Agilex 7"
	set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1
	set_global_assignment -name EDA_SIMULATION_TOOL "<None>"
	set_global_assignment -name STRATIXV_CONFIGURATION_SCHEME "AVST X8"
	set_global_assignment -name DEVICE_IO_STANDARD_ALL "1.2 V"
	set_global_assignment -name USE_CONFIGURATION_DEVICE OFF
	set_global_assignment -name GENERATE_PR_RBF_FILE ON
	set_global_assignment -name ENABLE_ED_CRC_CHECK ON
	set_global_assignment -name MINIMUM_SEU_INTERVAL 0
	set_global_assignment -name VID_OPERATION_MODE "PMBUS MASTER"
	set_global_assignment -name PWRMGT_SLAVE_DEVICE_TYPE OTHER
	set_global_assignment -name PWRMGT_SLAVE_DEVICE0_ADDRESS 47
	set_global_assignment -name PWRMGT_SLAVE_DEVICE1_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE2_ADDRESS 00
	set_global_assignment -name ACTIVE_SERIAL_CLOCK AS_FREQ_100MHZ
	set_global_assignment -name USE_PWRMGT_SCL SDM_IO0
	set_global_assignment -name USE_PWRMGT_SDA SDM_IO12
	set_global_assignment -name USE_CONF_DONE SDM_IO16
	set_global_assignment -name PWRMGT_TRANSLATED_VOLTAGE_VALUE_UNIT VOLTS
	set_global_assignment -name GENERATE_COMPRESSED_SOF ON
	set_global_assignment -name ENABLE_SIGNALTAP ON
	set_global_assignment -name USE_SIGNALTAP_FILE spi_master_scopes.stp
	set_global_assignment -name AUTO_RESTART_CONFIGURATION OFF
	set_global_assignment -name DEVICE_INITIALIZATION_CLOCK OSC_CLK_1_125MHZ
	set_global_assignment -name PWRMGT_PAGE_COMMAND_ENABLE OFF
	set_global_assignment -name PWRMGT_VOLTAGE_OUTPUT_FORMAT "LINEAR FORMAT"
	set_global_assignment -name PWRMGT_LINEAR_FORMAT_N "-12"
	set_global_assignment -name PROJECT_IP_REGENERATION_POLICY NEVER_REGENERATE_IP
	set_global_assignment -name POWER_APPLY_THERMAL_MARGIN ADDITIONAL
	set_global_assignment -name BOARD "Intel Agilex 7 FPGA I-Series Development Kit 2xR-Tile and 1xF-Tile DK-DEV-AGI027RBES"
	set_global_assignment -name IP_SEARCH_PATHS ip/product_information/**/*
	set_global_assignment -name VERILOG_FILE bts_config.v
	set_global_assignment -name SDC_FILE bts_config.sdc
	set_global_assignment -name IP_FILE ip/reset_core/reset_release.ip
	set_global_assignment -name IP_FILE ip/q_sys/q_sys_clk_50.ip
	set_global_assignment -name IP_FILE ip/q_sys/q_sys_i2c_0.ip
	set_global_assignment -name IP_FILE ip/q_sys/q_sys_i2c_1.ip
	set_global_assignment -name IP_FILE ip/q_sys/q_sys_i2c_2.ip
	set_global_assignment -name IP_FILE ip/q_sys/q_sys_master_0.ip
	set_global_assignment -name IP_FILE ip/q_sys/q_sys_product_info_0.ip
	set_global_assignment -name IP_FILE ip/q_sys/q_sys_spi_0.ip
	set_global_assignment -name IP_FILE ip/q_sys/q_sys_irq_bridge_0.ip
	set_global_assignment -name IP_FILE ip/iopll.ip
	set_global_assignment -name QSYS_FILE q_sys.qsys
	set_location_assignment PIN_KW57 -to cpu_1v2_resetn
	set_location_assignment PIN_N45 -to clk_sys_100m_p
	set_location_assignment PIN_H46 -to fpga_led[0]
	set_location_assignment PIN_J45 -to fpga_led[1]
	set_location_assignment PIN_D46 -to fpga_led[2]
	set_location_assignment PIN_B45 -to fpga_led[3]
	set_location_assignment PIN_H42 -to fpga_i2c_en
	set_location_assignment PIN_KJ61 -to fpga_i2c1_scl
	set_location_assignment PIN_KF60 -to fpga_i2c1_sda
	set_location_assignment PIN_D38 -to fpga_i2c2_en
	set_location_assignment PIN_H36 -to fpga_i2c2_scl
	set_location_assignment PIN_H40 -to fpga_i2c2_sda
	set_location_assignment PIN_KC29 -to fpga_dimm_scl
	set_location_assignment PIN_KJ27 -to fpga_dimm_sda
	set_location_assignment PIN_KW61 -to m10_1v2_ssn
	set_location_assignment PIN_LB60 -to m10_1v2_clk
	set_location_assignment PIN_LH60 -to m10_1v2_data0
	set_location_assignment PIN_LL61 -to m10_1v2_data1
	set_location_assignment PIN_KW59 -to m10_1v2_data2
	set_location_assignment PIN_LB58 -to m10_1v2_data3
	set_location_assignment PIN_LL59 -to m10_1v2_gpio0
	set_location_assignment PIN_LH58 -to m10_1v2_gpio1
	set_location_assignment PIN_H44 -to qsfpdd0_fpga_led[2]
	set_location_assignment PIN_J43 -to qsfpdd0_fpga_led[1]
	set_location_assignment PIN_D44 -to qsfpdd0_fpga_led[0]
	set_location_assignment PIN_J41 -to qsfpdd1_fpga_led[2]
	set_location_assignment PIN_D42 -to qsfpdd1_fpga_led[1]
	set_location_assignment PIN_B41 -to qsfpdd1_fpga_led[0]
	set_location_assignment PIN_B35 -to qsfpdd_12v_port_en
	set_location_assignment PIN_H38 -to qsfpdd_1v2_port_int_n
	set_instance_assignment -name IO_STANDARD "1.2 V" -to cpu_1v2_resetn -entity bts_config
	set_instance_assignment -name IO_STANDARD "TRUE DIFFERENTIAL SIGNALING" -to clk_sys_100m_p -entity bts_config
	set_instance_assignment -name IO_STANDARD "TRUE DIFFERENTIAL SIGNALING" -to clk_sys_bak_50m_p -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c_en -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c1_scl -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c1_sda -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_en -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_scl -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_sda -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_dimm_scl -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_dimm_sda -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to m10_1v2_ssn -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to m10_1v2_clk -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to m10_1v2_data0 -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to m10_1v2_data1 -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to m10_1v2_data2 -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to m10_1v2_data3 -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to m10_1v2_gpio0 -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to m10_1v2_gpio1 -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[3] -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[2] -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[1] -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[0] -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to qsfpdd0_fpga_led -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to qsfpdd1_fpga_led -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to qsfpdd_12v_port_en -entity bts_config
	set_instance_assignment -name IO_STANDARD "1.2 V" -to qsfpdd_1v2_port_int_n -entity bts_config
	set_instance_assignment -name WEAK_PULL_UP_DN_SEL PULL_UP_20 -to m10_1v2_data1 -entity bts_config

	# Commit assignments
	export_assignments

	# Close project
	if {$need_to_close_project} {
		project_close
	}
}
