package require -exact qsys 24.1

# create the system "q_sys"
proc do_create_q_sys {} {
	# create the system
	create_system q_sys
	set_project_property BOARD {Intel Agilex 7 FPGA I-Series Development Kit 2xR-Tile and 1xF-Tile DK-DEV-AGI027RBES}
	set_project_property DEVICE {AGIB027R29A1E2VR3}
	set_project_property DEVICE_FAMILY {Agilex 7}
	set_project_property HIDE_FROM_IP_CATALOG {false}
	set_use_testbench_naming_pattern 0 {}

	# add HDL parameters

	# add the components
	add_component clk_50 ip/q_sys/q_sys_clk_50.ip clock_source clk_50
	load_component clk_50
	set_component_parameter_value clockFrequency {50000000.0}
	set_component_parameter_value clockFrequencyKnown {1}
	set_component_parameter_value resetSynchronousEdges {DEASSERT}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation clk_50
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk_in clock INPUT
	set_instantiation_interface_parameter_value clk_in clockRate {50000000}
	set_instantiation_interface_parameter_value clk_in externallyDriven {false}
	set_instantiation_interface_parameter_value clk_in ptfSchematicName {}
	set_instantiation_interface_assignment_value clk_in qsys.ui.export_name {clk}
	add_instantiation_interface_port clk_in in_clk clk 1 STD_LOGIC Input
	add_instantiation_interface clk_in_reset reset INPUT
	set_instantiation_interface_parameter_value clk_in_reset associatedClock {clk_in}
	set_instantiation_interface_parameter_value clk_in_reset synchronousEdges {DEASSERT}
	set_instantiation_interface_assignment_value clk_in_reset qsys.ui.export_name {reset}
	add_instantiation_interface_port clk_in_reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface clk clock OUTPUT
	set_instantiation_interface_parameter_value clk associatedDirectClock {clk_in}
	set_instantiation_interface_parameter_value clk clockRate {50000000}
	set_instantiation_interface_parameter_value clk clockRateKnown {true}
	set_instantiation_interface_parameter_value clk externallyDriven {true}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value clk clock_rate {50000000}
	add_instantiation_interface_port clk clk_out clk 1 STD_LOGIC Output
	add_instantiation_interface clk_reset reset OUTPUT
	set_instantiation_interface_parameter_value clk_reset associatedClock {clk}
	set_instantiation_interface_parameter_value clk_reset associatedDirectReset {clk_in_reset}
	set_instantiation_interface_parameter_value clk_reset associatedResetSinks {clk_in_reset}
	set_instantiation_interface_parameter_value clk_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port clk_reset reset_n_out reset_n 1 STD_LOGIC Output
	save_instantiation
	add_component i2c_0 ip/q_sys/q_sys_i2c_0.ip altera_avalon_i2c i2c_0
	load_component i2c_0
	set_component_parameter_value FIFO_DEPTH {128}
	set_component_parameter_value USE_AV_ST {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation i2c_0
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.FIFO_DEPTH {128}
	set_instantiation_assignment_value embeddedsw.CMacro.FREQ {50000000}
	set_instantiation_assignment_value embeddedsw.CMacro.USE_AV_ST {0}
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset_sink reset INPUT
	set_instantiation_interface_parameter_value reset_sink associatedClock {clock}
	set_instantiation_interface_parameter_value reset_sink synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset_sink rst_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface interrupt_sender interrupt INPUT
	set_instantiation_interface_parameter_value interrupt_sender associatedAddressablePoint {csr}
	set_instantiation_interface_parameter_value interrupt_sender associatedClock {clock}
	set_instantiation_interface_parameter_value interrupt_sender associatedReset {reset_sink}
	set_instantiation_interface_parameter_value interrupt_sender bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value interrupt_sender bridgesToReceiver {}
	set_instantiation_interface_parameter_value interrupt_sender irqScheme {NONE}
	add_instantiation_interface_port interrupt_sender intr irq 1 STD_LOGIC Output
	add_instantiation_interface csr avalon INPUT
	set_instantiation_interface_parameter_value csr addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value csr addressGroup {0}
	set_instantiation_interface_parameter_value csr addressSpan {64}
	set_instantiation_interface_parameter_value csr addressUnits {WORDS}
	set_instantiation_interface_parameter_value csr alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value csr associatedClock {clock}
	set_instantiation_interface_parameter_value csr associatedReset {reset_sink}
	set_instantiation_interface_parameter_value csr bitsPerSymbol {8}
	set_instantiation_interface_parameter_value csr bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value csr bridgesToMaster {}
	set_instantiation_interface_parameter_value csr burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value csr burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value csr constantBurstBehavior {false}
	set_instantiation_interface_parameter_value csr dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value csr dfhFeatureId {35}
	set_instantiation_interface_parameter_value csr dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureType {3}
	set_instantiation_interface_parameter_value csr dfhGroupId {0}
	set_instantiation_interface_parameter_value csr dfhParameterData {}
	set_instantiation_interface_parameter_value csr dfhParameterDataLength {}
	set_instantiation_interface_parameter_value csr dfhParameterId {}
	set_instantiation_interface_parameter_value csr dfhParameterName {}
	set_instantiation_interface_parameter_value csr dfhParameterVersion {}
	set_instantiation_interface_parameter_value csr explicitAddressSpan {0}
	set_instantiation_interface_parameter_value csr holdTime {0}
	set_instantiation_interface_parameter_value csr interleaveBursts {false}
	set_instantiation_interface_parameter_value csr isBigEndian {false}
	set_instantiation_interface_parameter_value csr isFlash {false}
	set_instantiation_interface_parameter_value csr isMemoryDevice {false}
	set_instantiation_interface_parameter_value csr isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value csr linewrapBursts {false}
	set_instantiation_interface_parameter_value csr maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value csr maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value csr minimumReadLatency {1}
	set_instantiation_interface_parameter_value csr minimumResponseLatency {1}
	set_instantiation_interface_parameter_value csr minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value csr prSafe {false}
	set_instantiation_interface_parameter_value csr printableDevice {false}
	set_instantiation_interface_parameter_value csr readLatency {2}
	set_instantiation_interface_parameter_value csr readWaitStates {0}
	set_instantiation_interface_parameter_value csr readWaitTime {0}
	set_instantiation_interface_parameter_value csr registerIncomingSignals {false}
	set_instantiation_interface_parameter_value csr registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value csr setupTime {0}
	set_instantiation_interface_parameter_value csr timingUnits {Cycles}
	set_instantiation_interface_parameter_value csr transparentBridge {false}
	set_instantiation_interface_parameter_value csr waitrequestAllowance {0}
	set_instantiation_interface_parameter_value csr wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value csr writeLatency {0}
	set_instantiation_interface_parameter_value csr writeWaitStates {0}
	set_instantiation_interface_parameter_value csr writeWaitTime {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value csr address_map {<address-map><slave name='csr' start='0x0' end='0x40' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value csr address_width {6}
	set_instantiation_interface_sysinfo_parameter_value csr max_slave_data_width {32}
	add_instantiation_interface_port csr addr address 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr read read 1 STD_LOGIC Input
	add_instantiation_interface_port csr write write 1 STD_LOGIC Input
	add_instantiation_interface_port csr writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface i2c_serial conduit INPUT
	set_instantiation_interface_parameter_value i2c_serial associatedClock {}
	set_instantiation_interface_parameter_value i2c_serial associatedReset {}
	set_instantiation_interface_parameter_value i2c_serial prSafe {false}
	add_instantiation_interface_port i2c_serial sda_in sda_in 1 STD_LOGIC Input
	add_instantiation_interface_port i2c_serial scl_in scl_in 1 STD_LOGIC Input
	add_instantiation_interface_port i2c_serial sda_oe sda_oe 1 STD_LOGIC Output
	add_instantiation_interface_port i2c_serial scl_oe scl_oe 1 STD_LOGIC Output
	save_instantiation
	add_component i2c_1 ip/q_sys/q_sys_i2c_1.ip altera_avalon_i2c i2c_1
	load_component i2c_1
	set_component_parameter_value FIFO_DEPTH {128}
	set_component_parameter_value USE_AV_ST {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation i2c_1
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.FIFO_DEPTH {128}
	set_instantiation_assignment_value embeddedsw.CMacro.FREQ {50000000}
	set_instantiation_assignment_value embeddedsw.CMacro.USE_AV_ST {0}
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset_sink reset INPUT
	set_instantiation_interface_parameter_value reset_sink associatedClock {clock}
	set_instantiation_interface_parameter_value reset_sink synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset_sink rst_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface interrupt_sender interrupt INPUT
	set_instantiation_interface_parameter_value interrupt_sender associatedAddressablePoint {csr}
	set_instantiation_interface_parameter_value interrupt_sender associatedClock {clock}
	set_instantiation_interface_parameter_value interrupt_sender associatedReset {reset_sink}
	set_instantiation_interface_parameter_value interrupt_sender bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value interrupt_sender bridgesToReceiver {}
	set_instantiation_interface_parameter_value interrupt_sender irqScheme {NONE}
	add_instantiation_interface_port interrupt_sender intr irq 1 STD_LOGIC Output
	add_instantiation_interface csr avalon INPUT
	set_instantiation_interface_parameter_value csr addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value csr addressGroup {0}
	set_instantiation_interface_parameter_value csr addressSpan {64}
	set_instantiation_interface_parameter_value csr addressUnits {WORDS}
	set_instantiation_interface_parameter_value csr alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value csr associatedClock {clock}
	set_instantiation_interface_parameter_value csr associatedReset {reset_sink}
	set_instantiation_interface_parameter_value csr bitsPerSymbol {8}
	set_instantiation_interface_parameter_value csr bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value csr bridgesToMaster {}
	set_instantiation_interface_parameter_value csr burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value csr burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value csr constantBurstBehavior {false}
	set_instantiation_interface_parameter_value csr dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value csr dfhFeatureId {35}
	set_instantiation_interface_parameter_value csr dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureType {3}
	set_instantiation_interface_parameter_value csr dfhGroupId {0}
	set_instantiation_interface_parameter_value csr dfhParameterData {}
	set_instantiation_interface_parameter_value csr dfhParameterDataLength {}
	set_instantiation_interface_parameter_value csr dfhParameterId {}
	set_instantiation_interface_parameter_value csr dfhParameterName {}
	set_instantiation_interface_parameter_value csr dfhParameterVersion {}
	set_instantiation_interface_parameter_value csr explicitAddressSpan {0}
	set_instantiation_interface_parameter_value csr holdTime {0}
	set_instantiation_interface_parameter_value csr interleaveBursts {false}
	set_instantiation_interface_parameter_value csr isBigEndian {false}
	set_instantiation_interface_parameter_value csr isFlash {false}
	set_instantiation_interface_parameter_value csr isMemoryDevice {false}
	set_instantiation_interface_parameter_value csr isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value csr linewrapBursts {false}
	set_instantiation_interface_parameter_value csr maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value csr maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value csr minimumReadLatency {1}
	set_instantiation_interface_parameter_value csr minimumResponseLatency {1}
	set_instantiation_interface_parameter_value csr minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value csr prSafe {false}
	set_instantiation_interface_parameter_value csr printableDevice {false}
	set_instantiation_interface_parameter_value csr readLatency {2}
	set_instantiation_interface_parameter_value csr readWaitStates {0}
	set_instantiation_interface_parameter_value csr readWaitTime {0}
	set_instantiation_interface_parameter_value csr registerIncomingSignals {false}
	set_instantiation_interface_parameter_value csr registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value csr setupTime {0}
	set_instantiation_interface_parameter_value csr timingUnits {Cycles}
	set_instantiation_interface_parameter_value csr transparentBridge {false}
	set_instantiation_interface_parameter_value csr waitrequestAllowance {0}
	set_instantiation_interface_parameter_value csr wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value csr writeLatency {0}
	set_instantiation_interface_parameter_value csr writeWaitStates {0}
	set_instantiation_interface_parameter_value csr writeWaitTime {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value csr address_map {<address-map><slave name='csr' start='0x0' end='0x40' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value csr address_width {6}
	set_instantiation_interface_sysinfo_parameter_value csr max_slave_data_width {32}
	add_instantiation_interface_port csr addr address 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr read read 1 STD_LOGIC Input
	add_instantiation_interface_port csr write write 1 STD_LOGIC Input
	add_instantiation_interface_port csr writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface i2c_serial conduit INPUT
	set_instantiation_interface_parameter_value i2c_serial associatedClock {}
	set_instantiation_interface_parameter_value i2c_serial associatedReset {}
	set_instantiation_interface_parameter_value i2c_serial prSafe {false}
	add_instantiation_interface_port i2c_serial sda_in sda_in 1 STD_LOGIC Input
	add_instantiation_interface_port i2c_serial scl_in scl_in 1 STD_LOGIC Input
	add_instantiation_interface_port i2c_serial sda_oe sda_oe 1 STD_LOGIC Output
	add_instantiation_interface_port i2c_serial scl_oe scl_oe 1 STD_LOGIC Output
	save_instantiation
	add_component i2c_2 ip/q_sys/q_sys_i2c_2.ip altera_avalon_i2c q_sys_i2c_2
	load_component i2c_2
	set_component_parameter_value FIFO_DEPTH {4}
	set_component_parameter_value USE_AV_ST {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation i2c_2
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.FIFO_DEPTH {4}
	set_instantiation_assignment_value embeddedsw.CMacro.FREQ {50000000}
	set_instantiation_assignment_value embeddedsw.CMacro.USE_AV_ST {0}
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset_sink reset INPUT
	set_instantiation_interface_parameter_value reset_sink associatedClock {clock}
	set_instantiation_interface_parameter_value reset_sink synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset_sink rst_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface interrupt_sender interrupt INPUT
	set_instantiation_interface_parameter_value interrupt_sender associatedAddressablePoint {csr}
	set_instantiation_interface_parameter_value interrupt_sender associatedClock {clock}
	set_instantiation_interface_parameter_value interrupt_sender associatedReset {reset_sink}
	set_instantiation_interface_parameter_value interrupt_sender bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value interrupt_sender bridgesToReceiver {}
	set_instantiation_interface_parameter_value interrupt_sender irqScheme {NONE}
	add_instantiation_interface_port interrupt_sender intr irq 1 STD_LOGIC Output
	add_instantiation_interface csr avalon INPUT
	set_instantiation_interface_parameter_value csr addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value csr addressGroup {0}
	set_instantiation_interface_parameter_value csr addressSpan {64}
	set_instantiation_interface_parameter_value csr addressUnits {WORDS}
	set_instantiation_interface_parameter_value csr alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value csr associatedClock {clock}
	set_instantiation_interface_parameter_value csr associatedReset {reset_sink}
	set_instantiation_interface_parameter_value csr bitsPerSymbol {8}
	set_instantiation_interface_parameter_value csr bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value csr bridgesToMaster {}
	set_instantiation_interface_parameter_value csr burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value csr burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value csr constantBurstBehavior {false}
	set_instantiation_interface_parameter_value csr dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value csr dfhFeatureId {35}
	set_instantiation_interface_parameter_value csr dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureType {3}
	set_instantiation_interface_parameter_value csr dfhGroupId {0}
	set_instantiation_interface_parameter_value csr dfhParameterData {}
	set_instantiation_interface_parameter_value csr dfhParameterDataLength {}
	set_instantiation_interface_parameter_value csr dfhParameterId {}
	set_instantiation_interface_parameter_value csr dfhParameterName {}
	set_instantiation_interface_parameter_value csr dfhParameterVersion {}
	set_instantiation_interface_parameter_value csr explicitAddressSpan {0}
	set_instantiation_interface_parameter_value csr holdTime {0}
	set_instantiation_interface_parameter_value csr interleaveBursts {false}
	set_instantiation_interface_parameter_value csr isBigEndian {false}
	set_instantiation_interface_parameter_value csr isFlash {false}
	set_instantiation_interface_parameter_value csr isMemoryDevice {false}
	set_instantiation_interface_parameter_value csr isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value csr linewrapBursts {false}
	set_instantiation_interface_parameter_value csr maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value csr maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value csr minimumReadLatency {1}
	set_instantiation_interface_parameter_value csr minimumResponseLatency {1}
	set_instantiation_interface_parameter_value csr minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value csr prSafe {false}
	set_instantiation_interface_parameter_value csr printableDevice {false}
	set_instantiation_interface_parameter_value csr readLatency {2}
	set_instantiation_interface_parameter_value csr readWaitStates {0}
	set_instantiation_interface_parameter_value csr readWaitTime {0}
	set_instantiation_interface_parameter_value csr registerIncomingSignals {false}
	set_instantiation_interface_parameter_value csr registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value csr setupTime {0}
	set_instantiation_interface_parameter_value csr timingUnits {Cycles}
	set_instantiation_interface_parameter_value csr transparentBridge {false}
	set_instantiation_interface_parameter_value csr waitrequestAllowance {0}
	set_instantiation_interface_parameter_value csr wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value csr writeLatency {0}
	set_instantiation_interface_parameter_value csr writeWaitStates {0}
	set_instantiation_interface_parameter_value csr writeWaitTime {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value csr address_map {<address-map><slave name='csr' start='0x0' end='0x40' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value csr address_width {6}
	set_instantiation_interface_sysinfo_parameter_value csr max_slave_data_width {32}
	add_instantiation_interface_port csr addr address 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr read read 1 STD_LOGIC Input
	add_instantiation_interface_port csr write write 1 STD_LOGIC Input
	add_instantiation_interface_port csr writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface i2c_serial conduit INPUT
	set_instantiation_interface_parameter_value i2c_serial associatedClock {}
	set_instantiation_interface_parameter_value i2c_serial associatedReset {}
	set_instantiation_interface_parameter_value i2c_serial prSafe {false}
	add_instantiation_interface_port i2c_serial sda_in sda_in 1 STD_LOGIC Input
	add_instantiation_interface_port i2c_serial scl_in scl_in 1 STD_LOGIC Input
	add_instantiation_interface_port i2c_serial sda_oe sda_oe 1 STD_LOGIC Output
	add_instantiation_interface_port i2c_serial scl_oe scl_oe 1 STD_LOGIC Output
	save_instantiation
	add_component irq_bridge_0 ip/q_sys/q_sys_irq_bridge_0.ip altera_irq_bridge irq_bridge_0
	load_component irq_bridge_0
	set_component_parameter_value IRQ_N {0}
	set_component_parameter_value IRQ_WIDTH {2}
	set_component_parameter_value SYNC_RESET {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation irq_bridge_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface receiver_irq interrupt OUTPUT
	set_instantiation_interface_parameter_value receiver_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value receiver_irq associatedClock {clk}
	set_instantiation_interface_parameter_value receiver_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value receiver_irq irqMap {<map><mapping port='0' sender='sender0_irq' /><mapping port='1' sender='sender1_irq' /></map>}
	set_instantiation_interface_parameter_value receiver_irq irqScheme {INDIVIDUAL_REQUESTS}
	add_instantiation_interface_port receiver_irq receiver_irq irq 2 STD_LOGIC_VECTOR Input
	add_instantiation_interface clk_reset reset INPUT
	set_instantiation_interface_parameter_value clk_reset associatedClock {clk}
	set_instantiation_interface_parameter_value clk_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port clk_reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface sender0_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender0_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender0_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender0_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender0_irq bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value sender0_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender0_irq irqScheme {NONE}
	add_instantiation_interface_port sender0_irq sender0_irq irq 1 STD_LOGIC Output
	add_instantiation_interface sender1_irq interrupt INPUT
	set_instantiation_interface_parameter_value sender1_irq associatedAddressablePoint {}
	set_instantiation_interface_parameter_value sender1_irq associatedClock {clk}
	set_instantiation_interface_parameter_value sender1_irq associatedReset {clk_reset}
	set_instantiation_interface_parameter_value sender1_irq bridgedReceiverOffset {1}
	set_instantiation_interface_parameter_value sender1_irq bridgesToReceiver {receiver_irq}
	set_instantiation_interface_parameter_value sender1_irq irqScheme {NONE}
	add_instantiation_interface_port sender1_irq sender1_irq irq 1 STD_LOGIC Output
	save_instantiation
	add_component master_0 ip/q_sys/q_sys_master_0.ip altera_jtag_avalon_master master_0
	load_component master_0
	set_component_parameter_value FAST_VER {0}
	set_component_parameter_value FIFO_DEPTHS {2}
	set_component_parameter_value PLI_PORT {50000}
	set_component_parameter_value USE_PLI {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation master_0
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value debug.hostConnection {type jtag id 110:132}
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk_clk clk 1 STD_LOGIC Input
	add_instantiation_interface clk_reset reset INPUT
	set_instantiation_interface_parameter_value clk_reset associatedClock {}
	set_instantiation_interface_parameter_value clk_reset synchronousEdges {NONE}
	add_instantiation_interface_port clk_reset clk_reset_reset reset 1 STD_LOGIC Input
	add_instantiation_interface master_reset reset OUTPUT
	set_instantiation_interface_parameter_value master_reset associatedClock {}
	set_instantiation_interface_parameter_value master_reset associatedDirectReset {}
	set_instantiation_interface_parameter_value master_reset associatedResetSinks {none}
	set_instantiation_interface_parameter_value master_reset synchronousEdges {NONE}
	add_instantiation_interface_port master_reset master_reset_reset reset 1 STD_LOGIC Output
	add_instantiation_interface master avalon OUTPUT
	set_instantiation_interface_parameter_value master adaptsTo {}
	set_instantiation_interface_parameter_value master addressGroup {0}
	set_instantiation_interface_parameter_value master addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value master alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value master associatedClock {clk}
	set_instantiation_interface_parameter_value master associatedReset {clk_reset}
	set_instantiation_interface_parameter_value master bitsPerSymbol {8}
	set_instantiation_interface_parameter_value master burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value master burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value master constantBurstBehavior {false}
	set_instantiation_interface_parameter_value master dBSBigEndian {false}
	set_instantiation_interface_parameter_value master doStreamReads {false}
	set_instantiation_interface_parameter_value master doStreamWrites {false}
	set_instantiation_interface_parameter_value master holdTime {0}
	set_instantiation_interface_parameter_value master interleaveBursts {false}
	set_instantiation_interface_parameter_value master isAsynchronous {false}
	set_instantiation_interface_parameter_value master isBigEndian {false}
	set_instantiation_interface_parameter_value master isReadable {false}
	set_instantiation_interface_parameter_value master isWriteable {false}
	set_instantiation_interface_parameter_value master linewrapBursts {false}
	set_instantiation_interface_parameter_value master maxAddressWidth {32}
	set_instantiation_interface_parameter_value master maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value master maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value master minimumReadLatency {1}
	set_instantiation_interface_parameter_value master minimumResponseLatency {1}
	set_instantiation_interface_parameter_value master prSafe {false}
	set_instantiation_interface_parameter_value master readLatency {0}
	set_instantiation_interface_parameter_value master readWaitTime {1}
	set_instantiation_interface_parameter_value master registerIncomingSignals {false}
	set_instantiation_interface_parameter_value master registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value master setupTime {0}
	set_instantiation_interface_parameter_value master timingUnits {Cycles}
	set_instantiation_interface_parameter_value master waitrequestAllowance {0}
	set_instantiation_interface_parameter_value master writeWaitTime {0}
	set_instantiation_interface_assignment_value master debug.controlledBy {in_stream}
	set_instantiation_interface_assignment_value master debug.providesServices {master}
	set_instantiation_interface_assignment_value master debug.typeName {altera_jtag_avalon_master.master}
	set_instantiation_interface_assignment_value master debug.visible {true}
	add_instantiation_interface_port master master_address address 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port master master_readdata readdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port master master_read read 1 STD_LOGIC Output
	add_instantiation_interface_port master master_write write 1 STD_LOGIC Output
	add_instantiation_interface_port master master_writedata writedata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port master master_waitrequest waitrequest 1 STD_LOGIC Input
	add_instantiation_interface_port master master_readdatavalid readdatavalid 1 STD_LOGIC Input
	add_instantiation_interface_port master master_byteenable byteenable 4 STD_LOGIC_VECTOR Output
	save_instantiation
	add_component product_info_0 ip/q_sys/q_sys_product_info_0.ip product_info product_info_0
	load_component product_info_0
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation product_info_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clock_reset clock INPUT
	set_instantiation_interface_parameter_value clock_reset clockRate {0}
	set_instantiation_interface_parameter_value clock_reset externallyDriven {false}
	set_instantiation_interface_parameter_value clock_reset ptfSchematicName {}
	add_instantiation_interface_port clock_reset clk clk 1 STD_LOGIC Input
	add_instantiation_interface clock_reset_reset reset INPUT
	set_instantiation_interface_parameter_value clock_reset_reset associatedClock {clock_reset}
	set_instantiation_interface_parameter_value clock_reset_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port clock_reset_reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface avalon_slave_0 avalon INPUT
	set_instantiation_interface_parameter_value avalon_slave_0 addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value avalon_slave_0 addressGroup {0}
	set_instantiation_interface_parameter_value avalon_slave_0 addressSpan {64}
	set_instantiation_interface_parameter_value avalon_slave_0 addressUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_slave_0 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value avalon_slave_0 associatedClock {clock_reset}
	set_instantiation_interface_parameter_value avalon_slave_0 associatedReset {clock_reset_reset}
	set_instantiation_interface_parameter_value avalon_slave_0 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value avalon_slave_0 bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value avalon_slave_0 bridgesToMaster {}
	set_instantiation_interface_parameter_value avalon_slave_0 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value avalon_slave_0 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_slave_0 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureId {35}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureType {3}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhGroupId {0}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterData {}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterDataLength {}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterId {}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterName {}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterVersion {}
	set_instantiation_interface_parameter_value avalon_slave_0 explicitAddressSpan {0}
	set_instantiation_interface_parameter_value avalon_slave_0 holdTime {0}
	set_instantiation_interface_parameter_value avalon_slave_0 interleaveBursts {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isBigEndian {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isFlash {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isMemoryDevice {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value avalon_slave_0 linewrapBursts {false}
	set_instantiation_interface_parameter_value avalon_slave_0 maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value avalon_slave_0 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumReadLatency {1}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value avalon_slave_0 prSafe {false}
	set_instantiation_interface_parameter_value avalon_slave_0 printableDevice {false}
	set_instantiation_interface_parameter_value avalon_slave_0 readLatency {0}
	set_instantiation_interface_parameter_value avalon_slave_0 readWaitStates {1}
	set_instantiation_interface_parameter_value avalon_slave_0 readWaitTime {1}
	set_instantiation_interface_parameter_value avalon_slave_0 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value avalon_slave_0 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value avalon_slave_0 setupTime {0}
	set_instantiation_interface_parameter_value avalon_slave_0 timingUnits {Cycles}
	set_instantiation_interface_parameter_value avalon_slave_0 transparentBridge {false}
	set_instantiation_interface_parameter_value avalon_slave_0 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value avalon_slave_0 wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value avalon_slave_0 writeLatency {0}
	set_instantiation_interface_parameter_value avalon_slave_0 writeWaitStates {0}
	set_instantiation_interface_parameter_value avalon_slave_0 writeWaitTime {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 address_map {<address-map><slave name='avalon_slave_0' start='0x0' end='0x40' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 address_width {6}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 max_slave_data_width {32}
	add_instantiation_interface_port avalon_slave_0 chipselect_n chipselect_n 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_slave_0 read_n read_n 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_slave_0 write_n write_n 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_slave_0 av_data_read readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port avalon_slave_0 av_data_write writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port avalon_slave_0 av_address address 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface av_readdata_0 conduit INPUT
	set_instantiation_interface_parameter_value av_readdata_0 associatedClock {}
	set_instantiation_interface_parameter_value av_readdata_0 associatedReset {}
	set_instantiation_interface_parameter_value av_readdata_0 prSafe {false}
	add_instantiation_interface_port av_readdata_0 av_readdata_0 export 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface av_readdata_1 conduit INPUT
	set_instantiation_interface_parameter_value av_readdata_1 associatedClock {}
	set_instantiation_interface_parameter_value av_readdata_1 associatedReset {}
	set_instantiation_interface_parameter_value av_readdata_1 prSafe {false}
	add_instantiation_interface_port av_readdata_1 av_readdata_1 export 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface av_readdata_2 conduit INPUT
	set_instantiation_interface_parameter_value av_readdata_2 associatedClock {}
	set_instantiation_interface_parameter_value av_readdata_2 associatedReset {}
	set_instantiation_interface_parameter_value av_readdata_2 prSafe {false}
	add_instantiation_interface_port av_readdata_2 av_readdata_2 export 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface av_readdata_3 conduit INPUT
	set_instantiation_interface_parameter_value av_readdata_3 associatedClock {}
	set_instantiation_interface_parameter_value av_readdata_3 associatedReset {}
	set_instantiation_interface_parameter_value av_readdata_3 prSafe {false}
	add_instantiation_interface_port av_readdata_3 av_readdata_3 export 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface av_writedata_0 conduit INPUT
	set_instantiation_interface_parameter_value av_writedata_0 associatedClock {}
	set_instantiation_interface_parameter_value av_writedata_0 associatedReset {}
	set_instantiation_interface_parameter_value av_writedata_0 prSafe {false}
	add_instantiation_interface_port av_writedata_0 av_writedata_0 export 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface av_writedata_1 conduit INPUT
	set_instantiation_interface_parameter_value av_writedata_1 associatedClock {}
	set_instantiation_interface_parameter_value av_writedata_1 associatedReset {}
	set_instantiation_interface_parameter_value av_writedata_1 prSafe {false}
	add_instantiation_interface_port av_writedata_1 av_writedata_1 export 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface av_writedata_2 conduit INPUT
	set_instantiation_interface_parameter_value av_writedata_2 associatedClock {}
	set_instantiation_interface_parameter_value av_writedata_2 associatedReset {}
	set_instantiation_interface_parameter_value av_writedata_2 prSafe {false}
	add_instantiation_interface_port av_writedata_2 av_writedata_2 export 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface av_writedata_3 conduit INPUT
	set_instantiation_interface_parameter_value av_writedata_3 associatedClock {}
	set_instantiation_interface_parameter_value av_writedata_3 associatedReset {}
	set_instantiation_interface_parameter_value av_writedata_3 prSafe {false}
	add_instantiation_interface_port av_writedata_3 av_writedata_3 export 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface av_writedata_4 conduit INPUT
	set_instantiation_interface_parameter_value av_writedata_4 associatedClock {}
	set_instantiation_interface_parameter_value av_writedata_4 associatedReset {}
	set_instantiation_interface_parameter_value av_writedata_4 prSafe {false}
	add_instantiation_interface_port av_writedata_4 av_writedata_4 export 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface av_writedata_5 conduit INPUT
	set_instantiation_interface_parameter_value av_writedata_5 associatedClock {}
	set_instantiation_interface_parameter_value av_writedata_5 associatedReset {}
	set_instantiation_interface_parameter_value av_writedata_5 prSafe {false}
	add_instantiation_interface_port av_writedata_5 av_writedata_5 export 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface av_writedata_6 conduit INPUT
	set_instantiation_interface_parameter_value av_writedata_6 associatedClock {}
	set_instantiation_interface_parameter_value av_writedata_6 associatedReset {}
	set_instantiation_interface_parameter_value av_writedata_6 prSafe {false}
	add_instantiation_interface_port av_writedata_6 av_writedata_6 export 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface av_writedata_7 conduit INPUT
	set_instantiation_interface_parameter_value av_writedata_7 associatedClock {}
	set_instantiation_interface_parameter_value av_writedata_7 associatedReset {}
	set_instantiation_interface_parameter_value av_writedata_7 prSafe {false}
	add_instantiation_interface_port av_writedata_7 av_writedata_7 export 32 STD_LOGIC_VECTOR Output
	save_instantiation
	add_component spi_0 ip/q_sys/q_sys_spi_0.ip altera_avalon_spi spi_0
	load_component spi_0
	set_component_parameter_value clockPhase {1}
	set_component_parameter_value clockPolarity {0}
	set_component_parameter_value dataWidth {32}
	set_component_parameter_value disableAvalonFlowControl {0}
	set_component_parameter_value insertDelayBetweenSlaveSelectAndSClk {0}
	set_component_parameter_value insertSync {0}
	set_component_parameter_value lsbOrderedFirst {0}
	set_component_parameter_value masterSPI {1}
	set_component_parameter_value numberOfSlaves {1}
	set_component_parameter_value syncRegDepth {2}
	set_component_parameter_value targetClockRate {12500000.0}
	set_component_parameter_value targetSlaveSelectToSClkDelay {0.0}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation spi_0
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.CLOCKMULT {1}
	set_instantiation_assignment_value embeddedsw.CMacro.CLOCKPHASE {1}
	set_instantiation_assignment_value embeddedsw.CMacro.CLOCKPOLARITY {0}
	set_instantiation_assignment_value embeddedsw.CMacro.CLOCKUNITS {"Hz"}
	set_instantiation_assignment_value embeddedsw.CMacro.DATABITS {32}
	set_instantiation_assignment_value embeddedsw.CMacro.DATAWIDTH {32}
	set_instantiation_assignment_value embeddedsw.CMacro.DELAYMULT {"1.0E-9"}
	set_instantiation_assignment_value embeddedsw.CMacro.DELAYUNITS {"ns"}
	set_instantiation_assignment_value embeddedsw.CMacro.EXTRADELAY {0}
	set_instantiation_assignment_value embeddedsw.CMacro.INSERT_SYNC {0}
	set_instantiation_assignment_value embeddedsw.CMacro.ISMASTER {1}
	set_instantiation_assignment_value embeddedsw.CMacro.LSBFIRST {0}
	set_instantiation_assignment_value embeddedsw.CMacro.NUMSLAVES {1}
	set_instantiation_assignment_value embeddedsw.CMacro.PREFIX {"spi_"}
	set_instantiation_assignment_value embeddedsw.CMacro.SYNC_REG_DEPTH {2}
	set_instantiation_assignment_value embeddedsw.CMacro.TARGETCLOCK {12500000u}
	set_instantiation_assignment_value embeddedsw.CMacro.TARGETSSDELAY {"0.0"}
	set_instantiation_assignment_value embeddedsw.dts.compatible {altr,spi-1.0}
	set_instantiation_assignment_value embeddedsw.dts.group {spi}
	set_instantiation_assignment_value embeddedsw.dts.name {spi}
	set_instantiation_assignment_value embeddedsw.dts.vendor {altr}
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clk}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface spi_control_port avalon INPUT
	set_instantiation_interface_parameter_value spi_control_port addressAlignment {NATIVE}
	set_instantiation_interface_parameter_value spi_control_port addressGroup {0}
	set_instantiation_interface_parameter_value spi_control_port addressSpan {8}
	set_instantiation_interface_parameter_value spi_control_port addressUnits {WORDS}
	set_instantiation_interface_parameter_value spi_control_port alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value spi_control_port associatedClock {clk}
	set_instantiation_interface_parameter_value spi_control_port associatedReset {reset}
	set_instantiation_interface_parameter_value spi_control_port bitsPerSymbol {8}
	set_instantiation_interface_parameter_value spi_control_port bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value spi_control_port bridgesToMaster {}
	set_instantiation_interface_parameter_value spi_control_port burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value spi_control_port burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value spi_control_port constantBurstBehavior {false}
	set_instantiation_interface_parameter_value spi_control_port dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value spi_control_port dfhFeatureId {35}
	set_instantiation_interface_parameter_value spi_control_port dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value spi_control_port dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value spi_control_port dfhFeatureType {3}
	set_instantiation_interface_parameter_value spi_control_port dfhGroupId {0}
	set_instantiation_interface_parameter_value spi_control_port dfhParameterData {}
	set_instantiation_interface_parameter_value spi_control_port dfhParameterDataLength {}
	set_instantiation_interface_parameter_value spi_control_port dfhParameterId {}
	set_instantiation_interface_parameter_value spi_control_port dfhParameterName {}
	set_instantiation_interface_parameter_value spi_control_port dfhParameterVersion {}
	set_instantiation_interface_parameter_value spi_control_port explicitAddressSpan {0}
	set_instantiation_interface_parameter_value spi_control_port holdTime {0}
	set_instantiation_interface_parameter_value spi_control_port interleaveBursts {false}
	set_instantiation_interface_parameter_value spi_control_port isBigEndian {false}
	set_instantiation_interface_parameter_value spi_control_port isFlash {false}
	set_instantiation_interface_parameter_value spi_control_port isMemoryDevice {false}
	set_instantiation_interface_parameter_value spi_control_port isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value spi_control_port linewrapBursts {false}
	set_instantiation_interface_parameter_value spi_control_port maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value spi_control_port maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value spi_control_port minimumReadLatency {1}
	set_instantiation_interface_parameter_value spi_control_port minimumResponseLatency {1}
	set_instantiation_interface_parameter_value spi_control_port minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value spi_control_port prSafe {false}
	set_instantiation_interface_parameter_value spi_control_port printableDevice {false}
	set_instantiation_interface_parameter_value spi_control_port readLatency {0}
	set_instantiation_interface_parameter_value spi_control_port readWaitStates {1}
	set_instantiation_interface_parameter_value spi_control_port readWaitTime {1}
	set_instantiation_interface_parameter_value spi_control_port registerIncomingSignals {false}
	set_instantiation_interface_parameter_value spi_control_port registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value spi_control_port setupTime {0}
	set_instantiation_interface_parameter_value spi_control_port timingUnits {Cycles}
	set_instantiation_interface_parameter_value spi_control_port transparentBridge {false}
	set_instantiation_interface_parameter_value spi_control_port waitrequestAllowance {0}
	set_instantiation_interface_parameter_value spi_control_port wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value spi_control_port writeLatency {0}
	set_instantiation_interface_parameter_value spi_control_port writeWaitStates {1}
	set_instantiation_interface_parameter_value spi_control_port writeWaitTime {1}
	set_instantiation_interface_assignment_value spi_control_port embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value spi_control_port embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value spi_control_port embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value spi_control_port embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value spi_control_port address_map {<address-map><slave name='spi_control_port' start='0x0' end='0x20' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value spi_control_port address_width {5}
	set_instantiation_interface_sysinfo_parameter_value spi_control_port max_slave_data_width {32}
	add_instantiation_interface_port spi_control_port data_from_cpu writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port spi_control_port data_to_cpu readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port spi_control_port mem_addr address 3 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port spi_control_port read_n read_n 1 STD_LOGIC Input
	add_instantiation_interface_port spi_control_port spi_select chipselect 1 STD_LOGIC Input
	add_instantiation_interface_port spi_control_port write_n write_n 1 STD_LOGIC Input
	add_instantiation_interface irq interrupt INPUT
	set_instantiation_interface_parameter_value irq associatedAddressablePoint {spi_control_port}
	set_instantiation_interface_parameter_value irq associatedClock {clk}
	set_instantiation_interface_parameter_value irq associatedReset {reset}
	set_instantiation_interface_parameter_value irq bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value irq bridgesToReceiver {}
	set_instantiation_interface_parameter_value irq irqScheme {NONE}
	add_instantiation_interface_port irq irq irq 1 STD_LOGIC Output
	add_instantiation_interface external conduit INPUT
	set_instantiation_interface_parameter_value external associatedClock {}
	set_instantiation_interface_parameter_value external associatedReset {}
	set_instantiation_interface_parameter_value external prSafe {false}
	add_instantiation_interface_port external MISO MISO 1 STD_LOGIC Input
	add_instantiation_interface_port external MOSI MOSI 1 STD_LOGIC Output
	add_instantiation_interface_port external SCLK SCLK 1 STD_LOGIC Output
	add_instantiation_interface_port external SS_n SS_n 1 STD_LOGIC Output
	save_instantiation

	# add wirelevel expressions

	# preserve ports for debug

	# add the connections
	add_connection clk_50.clk/i2c_0.clock
	set_connection_parameter_value clk_50.clk/i2c_0.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk/i2c_0.clock clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50.clk/i2c_0.clock clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk/i2c_0.clock resetDomainSysInfo {-1}
	add_connection clk_50.clk/i2c_1.clock
	set_connection_parameter_value clk_50.clk/i2c_1.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk/i2c_1.clock clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50.clk/i2c_1.clock clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk/i2c_1.clock resetDomainSysInfo {-1}
	add_connection clk_50.clk/i2c_2.clock
	set_connection_parameter_value clk_50.clk/i2c_2.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk/i2c_2.clock clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50.clk/i2c_2.clock clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk/i2c_2.clock resetDomainSysInfo {-1}
	add_connection clk_50.clk/irq_bridge_0.clk
	set_connection_parameter_value clk_50.clk/irq_bridge_0.clk clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk/irq_bridge_0.clk clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50.clk/irq_bridge_0.clk clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk/irq_bridge_0.clk resetDomainSysInfo {-1}
	add_connection clk_50.clk/master_0.clk
	set_connection_parameter_value clk_50.clk/master_0.clk clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk/master_0.clk clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50.clk/master_0.clk clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk/master_0.clk resetDomainSysInfo {-1}
	add_connection clk_50.clk/product_info_0.clock_reset
	set_connection_parameter_value clk_50.clk/product_info_0.clock_reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk/product_info_0.clock_reset clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50.clk/product_info_0.clock_reset clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk/product_info_0.clock_reset resetDomainSysInfo {-1}
	add_connection clk_50.clk/spi_0.clk
	set_connection_parameter_value clk_50.clk/spi_0.clk clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk/spi_0.clk clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50.clk/spi_0.clk clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk/spi_0.clk resetDomainSysInfo {-1}
	add_connection clk_50.clk_reset/i2c_0.reset_sink
	set_connection_parameter_value clk_50.clk_reset/i2c_0.reset_sink clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk_reset/i2c_0.reset_sink clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk_reset/i2c_0.reset_sink resetDomainSysInfo {-1}
	add_connection clk_50.clk_reset/i2c_1.reset_sink
	set_connection_parameter_value clk_50.clk_reset/i2c_1.reset_sink clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk_reset/i2c_1.reset_sink clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk_reset/i2c_1.reset_sink resetDomainSysInfo {-1}
	add_connection clk_50.clk_reset/i2c_2.reset_sink
	set_connection_parameter_value clk_50.clk_reset/i2c_2.reset_sink clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk_reset/i2c_2.reset_sink clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk_reset/i2c_2.reset_sink resetDomainSysInfo {-1}
	add_connection clk_50.clk_reset/irq_bridge_0.clk_reset
	set_connection_parameter_value clk_50.clk_reset/irq_bridge_0.clk_reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk_reset/irq_bridge_0.clk_reset clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk_reset/irq_bridge_0.clk_reset resetDomainSysInfo {-1}
	add_connection clk_50.clk_reset/master_0.clk_reset
	set_connection_parameter_value clk_50.clk_reset/master_0.clk_reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk_reset/master_0.clk_reset clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk_reset/master_0.clk_reset resetDomainSysInfo {-1}
	add_connection clk_50.clk_reset/product_info_0.clock_reset_reset
	set_connection_parameter_value clk_50.clk_reset/product_info_0.clock_reset_reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk_reset/product_info_0.clock_reset_reset clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk_reset/product_info_0.clock_reset_reset resetDomainSysInfo {-1}
	add_connection clk_50.clk_reset/spi_0.reset
	set_connection_parameter_value clk_50.clk_reset/spi_0.reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk_50.clk_reset/spi_0.reset clockResetSysInfo {}
	set_connection_parameter_value clk_50.clk_reset/spi_0.reset resetDomainSysInfo {-1}
	add_connection master_0.master/i2c_0.csr
	set_connection_parameter_value master_0.master/i2c_0.csr addressMapSysInfo {}
	set_connection_parameter_value master_0.master/i2c_0.csr addressWidthSysInfo {}
	set_connection_parameter_value master_0.master/i2c_0.csr arbitrationPriority {1}
	set_connection_parameter_value master_0.master/i2c_0.csr baseAddress {0x0040}
	set_connection_parameter_value master_0.master/i2c_0.csr defaultConnection {0}
	set_connection_parameter_value master_0.master/i2c_0.csr domainAlias {}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.syncResets {TRUE}
	set_connection_parameter_value master_0.master/i2c_0.csr qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/i2c_0.csr slaveDataWidthSysInfo {-1}
	add_connection master_0.master/i2c_1.csr
	set_connection_parameter_value master_0.master/i2c_1.csr addressMapSysInfo {}
	set_connection_parameter_value master_0.master/i2c_1.csr addressWidthSysInfo {}
	set_connection_parameter_value master_0.master/i2c_1.csr arbitrationPriority {1}
	set_connection_parameter_value master_0.master/i2c_1.csr baseAddress {0x0080}
	set_connection_parameter_value master_0.master/i2c_1.csr defaultConnection {0}
	set_connection_parameter_value master_0.master/i2c_1.csr domainAlias {}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.syncResets {TRUE}
	set_connection_parameter_value master_0.master/i2c_1.csr qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/i2c_1.csr slaveDataWidthSysInfo {-1}
	add_connection master_0.master/i2c_2.csr
	set_connection_parameter_value master_0.master/i2c_2.csr addressMapSysInfo {}
	set_connection_parameter_value master_0.master/i2c_2.csr addressWidthSysInfo {}
	set_connection_parameter_value master_0.master/i2c_2.csr arbitrationPriority {1}
	set_connection_parameter_value master_0.master/i2c_2.csr baseAddress {0x00c0}
	set_connection_parameter_value master_0.master/i2c_2.csr defaultConnection {0}
	set_connection_parameter_value master_0.master/i2c_2.csr domainAlias {}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.syncResets {TRUE}
	set_connection_parameter_value master_0.master/i2c_2.csr qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/i2c_2.csr slaveDataWidthSysInfo {-1}
	add_connection master_0.master/product_info_0.avalon_slave_0
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 addressMapSysInfo {}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 addressWidthSysInfo {}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 arbitrationPriority {1}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 baseAddress {0x0000}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 defaultConnection {0}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 domainAlias {}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.syncResets {TRUE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 slaveDataWidthSysInfo {-1}
	add_connection master_0.master/spi_0.spi_control_port
	set_connection_parameter_value master_0.master/spi_0.spi_control_port addressMapSysInfo {}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port addressWidthSysInfo {}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port arbitrationPriority {1}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port baseAddress {0x0100}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port defaultConnection {0}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port domainAlias {}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.syncResets {TRUE}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/spi_0.spi_control_port slaveDataWidthSysInfo {-1}

	# add the exports
	set_interface_property clk_50 EXPORT_OF clk_50.clk_in
	set_interface_property reset_50 EXPORT_OF clk_50.clk_in_reset
	set_interface_property i2c_0_i2c_serial EXPORT_OF i2c_0.i2c_serial
	set_interface_property i2c_1_i2c_serial EXPORT_OF i2c_1.i2c_serial
	set_interface_property i2c_2_i2c_serial EXPORT_OF i2c_2.i2c_serial
	set_interface_property receiver_irq EXPORT_OF irq_bridge_0.receiver_irq
	set_interface_property av_readdata_0 EXPORT_OF product_info_0.av_readdata_0
	set_interface_property av_readdata_1 EXPORT_OF product_info_0.av_readdata_1
	set_interface_property av_readdata_2 EXPORT_OF product_info_0.av_readdata_2
	set_interface_property av_readdata_3 EXPORT_OF product_info_0.av_readdata_3
	set_interface_property av_writedata_0 EXPORT_OF product_info_0.av_writedata_0
	set_interface_property av_writedata_1 EXPORT_OF product_info_0.av_writedata_1
	set_interface_property av_writedata_2 EXPORT_OF product_info_0.av_writedata_2
	set_interface_property av_writedata_3 EXPORT_OF product_info_0.av_writedata_3
	set_interface_property av_writedata_4 EXPORT_OF product_info_0.av_writedata_4
	set_interface_property av_writedata_5 EXPORT_OF product_info_0.av_writedata_5
	set_interface_property av_writedata_6 EXPORT_OF product_info_0.av_writedata_6
	set_interface_property av_writedata_7 EXPORT_OF product_info_0.av_writedata_7
	set_interface_property spi_0_external EXPORT_OF spi_0.external

	# set values for exposed HDL parameters
	set_domain_assignment master_0.master qsys_mm.burstAdapterImplementation GENERIC_CONVERTER
	set_domain_assignment master_0.master qsys_mm.clockCrossingAdapter HANDSHAKE
	set_domain_assignment master_0.master qsys_mm.enableAllPipelines FALSE
	set_domain_assignment master_0.master qsys_mm.enableEccProtection FALSE
	set_domain_assignment master_0.master qsys_mm.enableInstrumentation FALSE
	set_domain_assignment master_0.master qsys_mm.enableOutOfOrderSupport FALSE
	set_domain_assignment master_0.master qsys_mm.insertDefaultSlave FALSE
	set_domain_assignment master_0.master qsys_mm.interconnectResetSource DEFAULT
	set_domain_assignment master_0.master qsys_mm.interconnectType STANDARD
	set_domain_assignment master_0.master qsys_mm.maxAdditionalLatency 1
	set_domain_assignment master_0.master qsys_mm.optimizeRdFifoSize FALSE
	set_domain_assignment master_0.master qsys_mm.piplineType PIPELINE_STAGE
	set_domain_assignment master_0.master qsys_mm.responseFifoType REGISTER_BASED
	set_domain_assignment master_0.master qsys_mm.syncResets TRUE
	set_domain_assignment master_0.master qsys_mm.widthAdapterImplementation GENERIC_CONVERTER

	# set the the module properties
	set_module_property BONUS_DATA {<?xml version="1.0" encoding="UTF-8"?>
<bonusData>
 <element __value="clk_50">
  <datum __value="_sortIndex" value="0" type="int" />
 </element>
 <element __value="i2c_0">
  <datum __value="_sortIndex" value="4" type="int" />
 </element>
 <element __value="i2c_0.csr">
  <datum __value="baseAddress" value="192" type="String" />
 </element>
 <element __value="i2c_1">
  <datum __value="_sortIndex" value="5" type="int" />
 </element>
 <element __value="i2c_2">
  <datum __value="_sortIndex" value="6" type="int" />
 </element>
 <element __value="irq_bridge_0">
  <datum __value="_sortIndex" value="2" type="int" />
 </element>
 <element __value="master_0">
  <datum __value="_sortIndex" value="1" type="int" />
 </element>
 <element __value="product_info_0">
  <datum __value="_sortIndex" value="3" type="int" />
 </element>
 <element __value="spi_0">
  <datum __value="_sortIndex" value="7" type="int" />
 </element>
</bonusData>
}
	set_module_property FILE {q_sys.qsys}
	set_module_property GENERATION_ID {0x00000000}
	set_module_property NAME {q_sys}

	# save the system
	sync_sysinfo_parameters
	save_system q_sys
}

proc do_set_exported_interface_sysinfo_parameters {} {
}

# create all the systems, from bottom up
do_create_q_sys

# set system info parameters on exported interface, from bottom up
do_set_exported_interface_sysinfo_parameters
