# Copyright (C) 2024  Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions 
# and other software and tools, and any partner logic 
# functions, and any output files from any of the foregoing 
# (including device programming or simulation files), and any 
# associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License 
# Subscription Agreement, the Intel Quartus Prime License Agreement,
# the Intel FPGA IP License Agreement, or other applicable license
# agreement, including, without limitation, that your use is for
# the sole purpose of programming logic devices manufactured by
# Intel and sold by Intel or its authorized distributors.  Please
# refer to the Intel FPGA Software License Subscription Agreements 
# on the Quartus Prime software download page.

# Quartus Prime: Generate Tcl File for Project
# File: ddr4.tcl
# Generated on: Tue Mar 26 18:49:17 2024

# Load Quartus Prime Tcl Project package
package require ::quartus::project

set need_to_close_project 0
set make_assignments 1

# Check that the right project is open
if {[is_project_open]} {
	if {[string compare $quartus(project) "ddr4"]} {
		puts "Project ddr4 is not open"
		set make_assignments 0
	}
} else {
	# Only open if not already open
	if {[project_exists ddr4]} {
		project_open -revision ddr4 ddr4
	} else {
		project_new -revision ddr4 ddr4
	}
	set need_to_close_project 1
}

# Make assignments
if {$make_assignments} {
	set_global_assignment -name TOP_LEVEL_ENTITY ddr4
	set_global_assignment -name ORIGINAL_QUARTUS_VERSION 23.4.0
	set_global_assignment -name PROJECT_CREATION_TIME_DATE "19:38:11  JUNE 11, 2017"
	set_global_assignment -name LAST_QUARTUS_VERSION "24.1.0 Pro Edition"
	set_global_assignment -name PROJECT_OUTPUT_DIRECTORY output_files
	set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
	set_global_assignment -name MAX_CORE_JUNCTION_TEMP 100
	set_global_assignment -name DEVICE AGIB027R29A1E2VR3
	set_global_assignment -name FAMILY "Agilex 7"
	set_global_assignment -name VERILOG_MACRO "ALTERA_EMIF_ENABLE_ISSP=1"
	set_global_assignment -name OPTIMIZATION_TECHNIQUE SPEED
	set_global_assignment -name SYNTH_TIMING_DRIVEN_SYNTHESIS ON
	set_global_assignment -name OPTIMIZE_POWER_DURING_SYNTHESIS OFF
	set_global_assignment -name OPTIMIZE_HOLD_TIMING "ALL PATHS"
	set_global_assignment -name OPTIMIZE_POWER_DURING_FITTING OFF
	set_global_assignment -name UNIPHY_SEQUENCER_DQS_CONFIG_ENABLE ON
	set_global_assignment -name OPTIMIZE_MULTI_CORNER_TIMING ON
	set_global_assignment -name DEVICE_IO_STANDARD_ALL "1.2 V"
	set_global_assignment -name FITTER_EFFORT "STANDARD FIT"
	set_global_assignment -name ROUTER_LCELL_INSERTION_AND_LOGIC_DUPLICATION ON
	set_global_assignment -name ROUTER_TIMING_OPTIMIZATION_LEVEL MAXIMUM
	set_global_assignment -name QII_AUTO_PACKED_REGISTERS NORMAL
	set_global_assignment -name MUX_RESTRUCTURE OFF
	set_global_assignment -name ROUTER_CLOCKING_TOPOLOGY_ANALYSIS ON
	set_global_assignment -name GENERATE_RBF_FILE ON
	set_global_assignment -name ON_CHIP_BITSTREAM_DECOMPRESSION ON
	set_global_assignment -name RESERVE_ALL_UNUSED_PINS_WEAK_PULLUP "AS INPUT TRI-STATED"
	set_global_assignment -name ENABLE_CONFIGURATION_PINS OFF
	set_global_assignment -name ENABLE_NCE_PIN OFF
	set_global_assignment -name ENABLE_BOOT_SEL_PIN OFF
	set_global_assignment -name PHYSICAL_SYNTHESIS ON
	set_global_assignment -name ADV_NETLIST_OPT_SYNTH_WYSIWYG_REMAP ON
	set_global_assignment -name PROJECT_IP_REGENERATION_POLICY NEVER_REGENERATE_IP
	set_global_assignment -name AUTO_RESTART_CONFIGURATION OFF
	set_global_assignment -name STRATIXV_CONFIGURATION_SCHEME "AVST X8"
	set_global_assignment -name USE_CONFIGURATION_DEVICE OFF
	set_global_assignment -name GENERATE_PR_RBF_FILE ON
	set_global_assignment -name ENABLE_ED_CRC_CHECK ON
	set_global_assignment -name MINIMUM_SEU_INTERVAL 10000
	set_global_assignment -name ACTIVE_SERIAL_CLOCK AS_FREQ_100MHZ
	set_global_assignment -name DEVICE_INITIALIZATION_CLOCK OSC_CLK_1_125MHZ
	set_global_assignment -name VID_OPERATION_MODE "PMBUS MASTER"
	set_global_assignment -name USE_PWRMGT_SCL SDM_IO0
	set_global_assignment -name USE_PWRMGT_SDA SDM_IO12
	set_global_assignment -name USE_CONF_DONE SDM_IO16
	set_global_assignment -name PWRMGT_BUS_SPEED_MODE "100 KHZ"
	set_global_assignment -name PWRMGT_SLAVE_DEVICE_TYPE OTHER
	set_global_assignment -name PWRMGT_SLAVE_DEVICE0_ADDRESS 47
	set_global_assignment -name PWRMGT_SLAVE_DEVICE1_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE2_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE3_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE4_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE5_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE6_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE7_ADDRESS 00
	set_global_assignment -name PWRMGT_TRANSLATED_VOLTAGE_VALUE_UNIT VOLTS
	set_global_assignment -name PWRMGT_PAGE_COMMAND_ENABLE OFF
	set_global_assignment -name GENERATE_COMPRESSED_SOF ON
	set_global_assignment -name OPTIMIZATION_MODE "HIGH PERFORMANCE EFFORT"
	set_global_assignment -name ALLOW_RAM_RETIMING ON
	set_global_assignment -name ALLOW_DSP_RETIMING ON
	set_global_assignment -name FLOW_ENABLE_HYPER_RETIMER_FAST_FORWARD OFF
	set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1
	set_global_assignment -name PWRMGT_VOLTAGE_OUTPUT_FORMAT "LINEAR FORMAT"
	set_global_assignment -name PWRMGT_LINEAR_FORMAT_N "-12"
	set_global_assignment -name ENABLE_SIGNALTAP ON
	set_global_assignment -name USE_SIGNALTAP_FILE msgdma_debug_scopes.stp
	set_global_assignment -name POWER_APPLY_THERMAL_MARGIN ADDITIONAL
	set_global_assignment -name IP_SEARCH_PATHS "ip/product_information/**/*; ip/freq_counter/**/*; ip/master_driver/**/*; ip/prbs_pattern_checker/**/*; ip/prbs_pattern_generator/**/*; ip/mSGDMA/**/*; ip/status_mon/**/*"
	set_global_assignment -name BOARD "Intel Agilex 7 FPGA I-Series Development Kit 2xR-Tile and 1xF-Tile DK-DEV-AGI027RBES"
	set_global_assignment -name IP_FILE iopll.ip
	set_global_assignment -name SIGNALTAP_FILE msgdma_debug_scopes.stp
	set_global_assignment -name SDC_FILE ddr4.sdc
	set_global_assignment -name SDC_FILE jtag_example.sdc
	set_global_assignment -name VERILOG_FILE ddr4.v
	set_global_assignment -name IP_FILE reset_release.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_timer_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_status_mon_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_prbs_pattern_generator_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_prbs_pattern_checker_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_mm_bridge_slv.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_freq_counter_1.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_dma_write_master.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_dma_read_master.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_dispatcher_write.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_dispatcher_read.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_clk_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_clk.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_product_info_1.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_master_driver_msgdma_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_master_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_local_reset_combiner.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_freq_counter_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_emif_fm_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_emif_cal_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_clock_bridge_1.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_clk_0.ip
	set_global_assignment -name QSYS_FILE ed_synth.qsys
	set_global_assignment -name QSYS_FILE mSGDMA.qsys
	set_global_assignment -name FLOW_DISABLE_ASSEMBLER OFF
	set_location_assignment PIN_KW57 -to cpu_1v2_resetn
	set_location_assignment PIN_N45 -to clk_sys_100m_p
	set_location_assignment PIN_H46 -to fpga_led[0]
	set_location_assignment PIN_J45 -to fpga_led[1]
	set_location_assignment PIN_D46 -to fpga_led[2]
	set_location_assignment PIN_B45 -to fpga_led[3]
	set_location_assignment PIN_H42 -to fpga_i2c_en
	set_location_assignment PIN_KJ61 -to fpga_i2c1_scl
	set_location_assignment PIN_KF60 -to fpga_i2c1_sda
	set_location_assignment PIN_D38 -to fpga_i2c2_en
	set_location_assignment PIN_H36 -to fpga_i2c2_scl
	set_location_assignment PIN_H40 -to fpga_i2c2_sda
	set_location_assignment PIN_KJ59 -to fpga_dimm2_event_n
	set_location_assignment PIN_KR59 -to fpga_dimm2_save_n
	set_location_assignment PIN_KF54 -to ddr4_ddimm2_dq[23]
	set_location_assignment PIN_KJ55 -to ddr4_ddimm2_dq[20]
	set_location_assignment PIN_KR55 -to ddr4_ddimm2_dq[21]
	set_location_assignment PIN_KU54 -to ddr4_ddimm2_dq[22]
	set_location_assignment PIN_KJ53 -to ddr4_ddimm2_tdqs_n[11]
	set_location_assignment PIN_KF52 -to ddr4_ddimm2_dbi_n[2]
	set_location_assignment PIN_KR53 -to ddr4_ddimm2_dqs_n[2]
	set_location_assignment PIN_KU52 -to ddr4_ddimm2_dqs_p[2]
	set_location_assignment PIN_KJ51 -to ddr4_ddimm2_dq[17]
	set_location_assignment PIN_KF50 -to ddr4_ddimm2_dq[16]
	set_location_assignment PIN_KU50 -to ddr4_ddimm2_dq[18]
	set_location_assignment PIN_KR51 -to ddr4_ddimm2_dq[19]
	set_location_assignment PIN_MC63 -to ddr4_ddimm2_dq[45]
	set_location_assignment PIN_MD62 -to ddr4_ddimm2_dq[47]
	set_location_assignment PIN_MH62 -to ddr4_ddimm2_dq[46]
	set_location_assignment PIN_MK63 -to ddr4_ddimm2_dq[44]
	set_location_assignment PIN_MC61 -to ddr4_ddimm2_tdqs_n[14]
	set_location_assignment PIN_MD60 -to ddr4_ddimm2_dbi_n[5]
	set_location_assignment PIN_MK61 -to ddr4_ddimm2_dqs_n[5]
	set_location_assignment PIN_MH60 -to ddr4_ddimm2_dqs_p[5]
	set_location_assignment PIN_MD58 -to ddr4_ddimm2_dq[43]
	set_location_assignment PIN_MC59 -to ddr4_ddimm2_dq[42]
	set_location_assignment PIN_MH58 -to ddr4_ddimm2_dq[41]
	set_location_assignment PIN_MK59 -to ddr4_ddimm2_dq[40]
	set_location_assignment PIN_LN60 -to ddr4_ddimm2_dq[4]
	set_location_assignment PIN_LR59 -to ddr4_ddimm2_dq[7]
	set_location_assignment PIN_LW59 -to ddr4_ddimm2_dq[6]
	set_location_assignment PIN_MA60 -to ddr4_ddimm2_dq[5]
	set_location_assignment PIN_LN58 -to ddr4_ddimm2_tdqs_n[9]
	set_location_assignment PIN_LR57 -to ddr4_ddimm2_dbi_n[0]
	set_location_assignment PIN_MA58 -to ddr4_ddimm2_dqs_n[0]
	set_location_assignment PIN_LW57 -to ddr4_ddimm2_dqs_p[0]
	set_location_assignment PIN_LR55 -to ddr4_ddimm2_dq[3]
	set_location_assignment PIN_LN56 -to ddr4_ddimm2_dq[0]
	set_location_assignment PIN_LW55 -to ddr4_ddimm2_dq[2]
	set_location_assignment PIN_MA56 -to ddr4_ddimm2_dq[1]
	set_location_assignment PIN_MC57 -to ddr4_ddimm2_dq[53]
	set_location_assignment PIN_MD56 -to ddr4_ddimm2_dq[55]
	set_location_assignment PIN_MH56 -to ddr4_ddimm2_dq[52]
	set_location_assignment PIN_MK57 -to ddr4_ddimm2_dq[54]
	set_location_assignment PIN_MC55 -to ddr4_ddimm2_tdqs_n[15]
	set_location_assignment PIN_MD54 -to ddr4_ddimm2_dbi_n[6]
	set_location_assignment PIN_MK55 -to ddr4_ddimm2_dqs_n[6]
	set_location_assignment PIN_MH54 -to ddr4_ddimm2_dqs_p[6]
	set_location_assignment PIN_MD52 -to ddr4_ddimm2_dq[51]
	set_location_assignment PIN_MC53 -to ddr4_ddimm2_dq[48]
	set_location_assignment PIN_MH52 -to ddr4_ddimm2_dq[50]
	set_location_assignment PIN_MK53 -to ddr4_ddimm2_dq[49]
	set_location_assignment PIN_KW55 -to ddr4_ddimm2_dq[61]
	set_location_assignment PIN_LB54 -to ddr4_ddimm2_dq[63]
	set_location_assignment PIN_LH54 -to ddr4_ddimm2_dq[62]
	set_location_assignment PIN_LL55 -to ddr4_ddimm2_dq[60]
	set_location_assignment PIN_KW53 -to ddr4_ddimm2_tdqs_n[16]
	set_location_assignment PIN_LB52 -to ddr4_ddimm2_dbi_n[7]
	set_location_assignment PIN_LL53 -to ddr4_ddimm2_dqs_n[7]
	set_location_assignment PIN_LH52 -to ddr4_ddimm2_dqs_p[7]
	set_location_assignment PIN_LB50 -to ddr4_ddimm2_dq[58]
	set_location_assignment PIN_KW51 -to ddr4_ddimm2_dq[57]
	set_location_assignment PIN_LH50 -to ddr4_ddimm2_dq[59]
	set_location_assignment PIN_LL51 -to ddr4_ddimm2_dq[56]
	set_location_assignment PIN_MA54 -to ddr4_ddimm2_alert_n
	set_location_assignment PIN_LN52 -to ddr4_ddimm2_cs_n3
	set_location_assignment PIN_LR51 -to ddr4_ddimm2_cs_n2
	set_location_assignment PIN_LW49 -to ddr4_ddimm2_c[1]
	set_location_assignment PIN_MA50 -to ddr4_ddimm2_c[0]
	set_location_assignment PIN_LR47 -to ddr4_ddimm2_bg[0]
	set_location_assignment PIN_LN48 -to ddr4_ddimm2_ba[1]
	set_location_assignment PIN_LW47 -to ddr4_ddimm2_ba[0]
	set_location_assignment PIN_MA48 -to ddr4_ddimm2_a[17]
	set_location_assignment PIN_LN46 -to ddr4_ddimm2_a[16]
	set_location_assignment PIN_LR45 -to ddr4_ddimm2_a[15]
	set_location_assignment PIN_MA46 -to ddr4_ddimm2_a[14]
	set_location_assignment PIN_LW45 -to ddr4_ddimm2_a[13]
	set_location_assignment PIN_LR43 -to ddr4_ddimm2_a[12]
	set_location_assignment PIN_LN44 -to ddr4_ddimm2_rzq
	set_location_assignment PIN_LW43 -to clk_ddr4_ch3_n
	set_location_assignment PIN_MA44 -to clk_ddr4_ch3_p
	set_location_assignment PIN_KJ49 -to ddr4_ddimm2_a[11]
	set_location_assignment PIN_KF48 -to ddr4_ddimm2_a[10]
	set_location_assignment PIN_KU48 -to ddr4_ddimm2_a[9]
	set_location_assignment PIN_KR49 -to ddr4_ddimm2_a[8]
	set_location_assignment PIN_KJ47 -to ddr4_ddimm2_a[7]
	set_location_assignment PIN_KF46 -to ddr4_ddimm2_a[6]
	set_location_assignment PIN_KR47 -to ddr4_ddimm2_a[5]
	set_location_assignment PIN_KU46 -to ddr4_ddimm2_a[4]
	set_location_assignment PIN_KF44 -to ddr4_ddimm2_a[3]
	set_location_assignment PIN_KJ45 -to ddr4_ddimm2_a[2]
	set_location_assignment PIN_KU44 -to ddr4_ddimm2_a[1]
	set_location_assignment PIN_KR45 -to ddr4_ddimm2_a[0]
	set_location_assignment PIN_LB48 -to ddr4_ddimm2_par
	set_location_assignment PIN_LL49 -to ddr4_dimm2_ck_n[0]
	set_location_assignment PIN_LH48 -to ddr4_dimm2_ck_p[0]
	set_location_assignment PIN_LB46 -to ddr4_dimm2_cke[0]
	set_location_assignment PIN_LH46 -to ddr4_dimm2_odt[0]
	set_location_assignment PIN_KW45 -to ddr4_ddimm2_act_n
	set_location_assignment PIN_LB44 -to ddr4_dimm2_cs_n[0]
	set_location_assignment PIN_LL45 -to ddr4_ddimm2_reset_n
	set_location_assignment PIN_LH44 -to ddr4_ddimm2_bg[1]
	set_location_assignment PIN_MC51 -to ddr4_ddimm2_dq[36]
	set_location_assignment PIN_MD50 -to ddr4_ddimm2_dq[38]
	set_location_assignment PIN_MH50 -to ddr4_ddimm2_dq[39]
	set_location_assignment PIN_MK51 -to ddr4_ddimm2_dq[37]
	set_location_assignment PIN_MC49 -to ddr4_ddimm2_tdqs_n[13]
	set_location_assignment PIN_MD48 -to ddr4_ddimm2_dbi_n[4]
	set_location_assignment PIN_MK49 -to ddr4_ddimm2_dqs_n[4]
	set_location_assignment PIN_MH48 -to ddr4_ddimm2_dqs_p[4]
	set_location_assignment PIN_MD46 -to ddr4_ddimm2_dq[35]
	set_location_assignment PIN_MC47 -to ddr4_ddimm2_dq[32]
	set_location_assignment PIN_MH46 -to ddr4_ddimm2_dq[34]
	set_location_assignment PIN_MK47 -to ddr4_ddimm2_dq[33]
	set_location_assignment PIN_MD44 -to ddr4_ddimm2_dq[70]
	set_location_assignment PIN_MC45 -to ddr4_ddimm2_dq[71]
	set_location_assignment PIN_MH44 -to ddr4_ddimm2_dq[68]
	set_location_assignment PIN_MK45 -to ddr4_ddimm2_dq[69]
	set_location_assignment PIN_MC43 -to ddr4_ddimm2_tdqs_n[17]
	set_location_assignment PIN_MD42 -to ddr4_ddimm2_dbi_n[8]
	set_location_assignment PIN_MK43 -to ddr4_ddimm2_dqs_n[8]
	set_location_assignment PIN_MH42 -to ddr4_ddimm2_dqs_p[8]
	set_location_assignment PIN_MD40 -to ddr4_ddimm2_dq[65]
	set_location_assignment PIN_MC41 -to ddr4_ddimm2_dq[66]
	set_location_assignment PIN_MH40 -to ddr4_ddimm2_dq[64]
	set_location_assignment PIN_MK41 -to ddr4_ddimm2_dq[67]
	set_location_assignment PIN_LR41 -to ddr4_ddimm2_dq[15]
	set_location_assignment PIN_LN42 -to ddr4_ddimm2_dq[14]
	set_location_assignment PIN_LW41 -to ddr4_ddimm2_dq[13]
	set_location_assignment PIN_MA42 -to ddr4_ddimm2_dq[12]
	set_location_assignment PIN_LN40 -to ddr4_ddimm2_tdqs_n[10]
	set_location_assignment PIN_LR39 -to ddr4_ddimm2_dbi_n[1]
	set_location_assignment PIN_MA40 -to ddr4_ddimm2_dqs_n[1]
	set_location_assignment PIN_LW39 -to ddr4_ddimm2_dqs_p[1]
	set_location_assignment PIN_LR37 -to ddr4_ddimm2_dq[9]
	set_location_assignment PIN_LN38 -to ddr4_ddimm2_dq[11]
	set_location_assignment PIN_MA38 -to ddr4_ddimm2_dq[10]
	set_location_assignment PIN_LW37 -to ddr4_ddimm2_dq[8]
	set_location_assignment PIN_MC39 -to ddr4_ddimm2_dq[29]
	set_location_assignment PIN_MD38 -to ddr4_ddimm2_dq[30]
	set_location_assignment PIN_MH38 -to ddr4_ddimm2_dq[31]
	set_location_assignment PIN_MK39 -to ddr4_ddimm2_dq[28]
	set_location_assignment PIN_MC37 -to ddr4_ddimm2_tdqs_n[12]
	set_location_assignment PIN_MD36 -to ddr4_ddimm2_dbi_n[3]
	set_location_assignment PIN_MK37 -to ddr4_ddimm2_dqs_n[3]
	set_location_assignment PIN_MH36 -to ddr4_ddimm2_dqs_p[3]
	set_location_assignment PIN_MD34 -to ddr4_ddimm2_dq[26]
	set_location_assignment PIN_MC35 -to ddr4_ddimm2_dq[25]
	set_location_assignment PIN_MH34 -to ddr4_ddimm2_dq[27]
	set_location_assignment PIN_MK35 -to ddr4_ddimm2_dq[24]
	set_instance_assignment -name IO_STANDARD "1.2 V" -to cpu_1v2_resetn -entity ddr4
	set_instance_assignment -name IO_STANDARD "TRUE DIFFERENTIAL SIGNALING" -to clk_sys_100m_p -entity ddr4
	set_instance_assignment -name IO_STANDARD "TRUE DIFFERENTIAL SIGNALING" -to clk_ddr4_ch3_p -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c_en -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c1_scl -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c1_sda -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_en -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_scl -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_sda -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[3] -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[2] -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[1] -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[0] -entity ddr4

	# Commit assignments
	export_assignments

	# Close project
	if {$need_to_close_project} {
		project_close
	}
}
