# Copyright (C) 2024  Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions 
# and other software and tools, and any partner logic 
# functions, and any output files from any of the foregoing 
# (including device programming or simulation files), and any 
# associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License 
# Subscription Agreement, the Intel Quartus Prime License Agreement,
# the Intel FPGA IP License Agreement, or other applicable license
# agreement, including, without limitation, that your use is for
# the sole purpose of programming logic devices manufactured by
# Intel and sold by Intel or its authorized distributors.  Please
# refer to the Intel FPGA Software License Subscription Agreements 
# on the Quartus Prime software download page.

# Quartus Prime: Generate Tcl File for Project
# File: ddr4.tcl
# Generated on: Tue Mar 26 19:03:51 2024

# Load Quartus Prime Tcl Project package
package require ::quartus::project

set need_to_close_project 0
set make_assignments 1

# Check that the right project is open
if {[is_project_open]} {
	if {[string compare $quartus(project) "ddr4"]} {
		puts "Project ddr4 is not open"
		set make_assignments 0
	}
} else {
	# Only open if not already open
	if {[project_exists ddr4]} {
		project_open -revision ddr4 ddr4
	} else {
		project_new -revision ddr4 ddr4
	}
	set need_to_close_project 1
}

# Make assignments
if {$make_assignments} {
	set_global_assignment -name TOP_LEVEL_ENTITY ddr4
	set_global_assignment -name ORIGINAL_QUARTUS_VERSION 23.4.0
	set_global_assignment -name PROJECT_CREATION_TIME_DATE "19:38:11  JUNE 11, 2017"
	set_global_assignment -name LAST_QUARTUS_VERSION "24.1.0 Pro Edition"
	set_global_assignment -name PROJECT_OUTPUT_DIRECTORY output_files
	set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
	set_global_assignment -name MAX_CORE_JUNCTION_TEMP 100
	set_global_assignment -name DEVICE AGIB027R29A1E2VR3
	set_global_assignment -name FAMILY "Agilex 7"
	set_global_assignment -name VERILOG_MACRO "ALTERA_EMIF_ENABLE_ISSP=1"
	set_global_assignment -name OPTIMIZATION_TECHNIQUE SPEED
	set_global_assignment -name SYNTH_TIMING_DRIVEN_SYNTHESIS ON
	set_global_assignment -name OPTIMIZE_POWER_DURING_SYNTHESIS OFF
	set_global_assignment -name OPTIMIZE_HOLD_TIMING "ALL PATHS"
	set_global_assignment -name OPTIMIZE_POWER_DURING_FITTING OFF
	set_global_assignment -name UNIPHY_SEQUENCER_DQS_CONFIG_ENABLE ON
	set_global_assignment -name OPTIMIZE_MULTI_CORNER_TIMING ON
	set_global_assignment -name DEVICE_IO_STANDARD_ALL "1.2 V"
	set_global_assignment -name FITTER_EFFORT "STANDARD FIT"
	set_global_assignment -name ROUTER_LCELL_INSERTION_AND_LOGIC_DUPLICATION ON
	set_global_assignment -name ROUTER_TIMING_OPTIMIZATION_LEVEL MAXIMUM
	set_global_assignment -name QII_AUTO_PACKED_REGISTERS NORMAL
	set_global_assignment -name MUX_RESTRUCTURE OFF
	set_global_assignment -name ROUTER_CLOCKING_TOPOLOGY_ANALYSIS ON
	set_global_assignment -name GENERATE_RBF_FILE ON
	set_global_assignment -name ON_CHIP_BITSTREAM_DECOMPRESSION ON
	set_global_assignment -name RESERVE_ALL_UNUSED_PINS_WEAK_PULLUP "AS INPUT TRI-STATED"
	set_global_assignment -name ENABLE_CONFIGURATION_PINS OFF
	set_global_assignment -name ENABLE_NCE_PIN OFF
	set_global_assignment -name ENABLE_BOOT_SEL_PIN OFF
	set_global_assignment -name PHYSICAL_SYNTHESIS ON
	set_global_assignment -name ADV_NETLIST_OPT_SYNTH_WYSIWYG_REMAP ON
	set_global_assignment -name PROJECT_IP_REGENERATION_POLICY NEVER_REGENERATE_IP
	set_global_assignment -name AUTO_RESTART_CONFIGURATION OFF
	set_global_assignment -name STRATIXV_CONFIGURATION_SCHEME "AVST X8"
	set_global_assignment -name USE_CONFIGURATION_DEVICE OFF
	set_global_assignment -name GENERATE_PR_RBF_FILE ON
	set_global_assignment -name ENABLE_ED_CRC_CHECK ON
	set_global_assignment -name MINIMUM_SEU_INTERVAL 10000
	set_global_assignment -name ACTIVE_SERIAL_CLOCK AS_FREQ_100MHZ
	set_global_assignment -name DEVICE_INITIALIZATION_CLOCK OSC_CLK_1_125MHZ
	set_global_assignment -name VID_OPERATION_MODE "PMBUS MASTER"
	set_global_assignment -name USE_PWRMGT_SCL SDM_IO0
	set_global_assignment -name USE_PWRMGT_SDA SDM_IO12
	set_global_assignment -name USE_CONF_DONE SDM_IO16
	set_global_assignment -name PWRMGT_BUS_SPEED_MODE "100 KHZ"
	set_global_assignment -name PWRMGT_SLAVE_DEVICE_TYPE OTHER
	set_global_assignment -name PWRMGT_SLAVE_DEVICE0_ADDRESS 47
	set_global_assignment -name PWRMGT_SLAVE_DEVICE1_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE2_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE3_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE4_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE5_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE6_ADDRESS 00
	set_global_assignment -name PWRMGT_SLAVE_DEVICE7_ADDRESS 00
	set_global_assignment -name PWRMGT_TRANSLATED_VOLTAGE_VALUE_UNIT VOLTS
	set_global_assignment -name PWRMGT_PAGE_COMMAND_ENABLE OFF
	set_global_assignment -name GENERATE_COMPRESSED_SOF ON
	set_global_assignment -name OPTIMIZATION_MODE "HIGH PERFORMANCE EFFORT"
	set_global_assignment -name ALLOW_RAM_RETIMING ON
	set_global_assignment -name ALLOW_DSP_RETIMING ON
	set_global_assignment -name FLOW_ENABLE_HYPER_RETIMER_FAST_FORWARD OFF
	set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1
	set_global_assignment -name PWRMGT_VOLTAGE_OUTPUT_FORMAT "LINEAR FORMAT"
	set_global_assignment -name PWRMGT_LINEAR_FORMAT_N "-12"
	set_global_assignment -name ENABLE_SIGNALTAP ON
	set_global_assignment -name USE_SIGNALTAP_FILE msgdma_debug_scopes.stp
	set_global_assignment -name POWER_APPLY_THERMAL_MARGIN ADDITIONAL
	set_global_assignment -name IP_SEARCH_PATHS "ip/product_information/**/*; ip/freq_counter/**/*; ip/master_driver/**/*; ip/prbs_pattern_checker/**/*; ip/prbs_pattern_generator/**/*; ip/status_mon/**/*"
	set_global_assignment -name BOARD "Intel Agilex 7 FPGA I-Series Development Kit 2xR-Tile and 1xF-Tile DK-DEV-AGI027RBES"
	set_global_assignment -name IP_FILE iopll.ip
	set_global_assignment -name SIGNALTAP_FILE msgdma_debug_scopes.stp
	set_global_assignment -name SDC_FILE ddr4.sdc
	set_global_assignment -name SDC_FILE jtag_example.sdc
	set_global_assignment -name VERILOG_FILE ddr4.v
	set_global_assignment -name IP_FILE reset_release.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_timer_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_status_mon_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_prbs_pattern_generator_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_prbs_pattern_checker_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_mm_bridge_slv.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_freq_counter_1.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_dma_write_master.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_dma_read_master.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_dispatcher_write.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_dispatcher_read.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_clk_0.ip
	set_global_assignment -name IP_FILE ip/mSGDMA/mSGDMA_clk.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_product_info_1.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_master_driver_msgdma_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_master_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_local_reset_combiner.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_freq_counter_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_emif_fm_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_emif_cal_0.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_clock_bridge_1.ip
	set_global_assignment -name IP_FILE ip/ed_synth/ed_synth_clk_0.ip
	set_global_assignment -name QSYS_FILE ed_synth.qsys
	set_global_assignment -name QSYS_FILE mSGDMA.qsys
	set_global_assignment -name FLOW_DISABLE_ASSEMBLER OFF
	set_location_assignment PIN_KW57 -to cpu_1v2_resetn
	set_location_assignment PIN_N45 -to clk_sys_100m_p
	set_location_assignment PIN_H46 -to fpga_led[0]
	set_location_assignment PIN_J45 -to fpga_led[1]
	set_location_assignment PIN_D46 -to fpga_led[2]
	set_location_assignment PIN_B45 -to fpga_led[3]
	set_location_assignment PIN_H42 -to fpga_i2c_en
	set_location_assignment PIN_KJ61 -to fpga_i2c1_scl
	set_location_assignment PIN_KF60 -to fpga_i2c1_sda
	set_location_assignment PIN_D38 -to fpga_i2c2_en
	set_location_assignment PIN_H36 -to fpga_i2c2_scl
	set_location_assignment PIN_H40 -to fpga_i2c2_sda
	set_location_assignment PIN_MC29 -to ddr4_ddimm_dq[71]
	set_location_assignment PIN_MK29 -to ddr4_ddimm_dq[70]
	set_location_assignment PIN_MH28 -to ddr4_ddimm_dq[69]
	set_location_assignment PIN_MD28 -to ddr4_ddimm_dq[68]
	set_location_assignment PIN_MC33 -to ddr4_ddimm_dq[67]
	set_location_assignment PIN_MK33 -to ddr4_ddimm_dq[66]
	set_location_assignment PIN_MH32 -to ddr4_ddimm_dq[65]
	set_location_assignment PIN_MD32 -to ddr4_ddimm_dq[64]
	set_location_assignment PIN_KW33 -to ddr4_ddimm_dq[63]
	set_location_assignment PIN_LH32 -to ddr4_ddimm_dq[62]
	set_location_assignment PIN_LL33 -to ddr4_ddimm_dq[61]
	set_location_assignment PIN_LB32 -to ddr4_ddimm_dq[60]
	set_location_assignment PIN_KW37 -to ddr4_ddimm_dq[59]
	set_location_assignment PIN_LL37 -to ddr4_ddimm_dq[58]
	set_location_assignment PIN_LB36 -to ddr4_ddimm_dq[57]
	set_location_assignment PIN_LH36 -to ddr4_ddimm_dq[56]
	set_location_assignment PIN_LL27 -to ddr4_ddimm_dq[55]
	set_location_assignment PIN_LB26 -to ddr4_ddimm_dq[54]
	set_location_assignment PIN_LH26 -to ddr4_ddimm_dq[53]
	set_location_assignment PIN_KW27 -to ddr4_ddimm_dq[52]
	set_location_assignment PIN_LL31 -to ddr4_ddimm_dq[51]
	set_location_assignment PIN_LB30 -to ddr4_ddimm_dq[50]
	set_location_assignment PIN_KW31 -to ddr4_ddimm_dq[49]
	set_location_assignment PIN_LH30 -to ddr4_ddimm_dq[48]
	set_location_assignment PIN_MA32 -to ddr4_ddimm_dq[47]
	set_location_assignment PIN_LN32 -to ddr4_ddimm_dq[46]
	set_location_assignment PIN_LW31 -to ddr4_ddimm_dq[45]
	set_location_assignment PIN_LR31 -to ddr4_ddimm_dq[44]
	set_location_assignment PIN_LN36 -to ddr4_ddimm_dq[43]
	set_location_assignment PIN_MA36 -to ddr4_ddimm_dq[42]
	set_location_assignment PIN_LR35 -to ddr4_ddimm_dq[41]
	set_location_assignment PIN_LW35 -to ddr4_ddimm_dq[40]
	set_location_assignment PIN_LR25 -to ddr4_ddimm_dq[39]
	set_location_assignment PIN_LW25 -to ddr4_ddimm_dq[38]
	set_location_assignment PIN_MA26 -to ddr4_ddimm_dq[37]
	set_location_assignment PIN_LN26 -to ddr4_ddimm_dq[36]
	set_location_assignment PIN_MA30 -to ddr4_ddimm_dq[35]
	set_location_assignment PIN_LN30 -to ddr4_ddimm_dq[34]
	set_location_assignment PIN_LR29 -to ddr4_ddimm_dq[33]
	set_location_assignment PIN_LW29 -to ddr4_ddimm_dq[32]
	set_location_assignment PIN_MH7 -to ddr4_ddimm_dq[31]
	set_location_assignment PIN_MC9 -to ddr4_ddimm_dq[30]
	set_location_assignment PIN_MF5 -to ddr4_ddimm_dq[28]
	set_location_assignment PIN_MD7 -to ddr4_ddimm_dq[29]
	set_location_assignment PIN_MK17 -to ddr4_ddimm_dq[27]
	set_location_assignment PIN_MC17 -to ddr4_ddimm_dq[26]
	set_location_assignment PIN_MD15 -to ddr4_ddimm_dq[25]
	set_location_assignment PIN_MH15 -to ddr4_ddimm_dq[24]
	set_location_assignment PIN_MC5 -to ddr4_ddimm_dq[23]
	set_location_assignment PIN_MA4 -to ddr4_ddimm_dq[22]
	set_location_assignment PIN_LW2 -to ddr4_ddimm_dq[21]
	set_location_assignment PIN_LU4 -to ddr4_ddimm_dq[20]
	set_location_assignment PIN_MA11 -to ddr4_ddimm_dq[19]
	set_location_assignment PIN_LN11 -to ddr4_ddimm_dq[18]
	set_location_assignment PIN_LW9 -to ddr4_ddimm_dq[17]
	set_location_assignment PIN_LR9 -to ddr4_ddimm_dq[16]
	set_location_assignment PIN_MC21 -to ddr4_ddimm_dq[15]
	set_location_assignment PIN_MK21 -to ddr4_ddimm_dq[14]
	set_location_assignment PIN_MD19 -to ddr4_ddimm_dq[13]
	set_location_assignment PIN_MH19 -to ddr4_ddimm_dq[12]
	set_location_assignment PIN_MC27 -to ddr4_ddimm_dq[11]
	set_location_assignment PIN_MD26 -to ddr4_ddimm_dq[10]
	set_location_assignment PIN_MK27 -to ddr4_ddimm_dq[9]
	set_location_assignment PIN_MH26 -to ddr4_ddimm_dq[8]
	set_location_assignment PIN_LN15 -to ddr4_ddimm_dq[7]
	set_location_assignment PIN_LR13 -to ddr4_ddimm_dq[6]
	set_location_assignment PIN_MA15 -to ddr4_ddimm_dq[5]
	set_location_assignment PIN_LW13 -to ddr4_ddimm_dq[4]
	set_location_assignment PIN_MA23 -to ddr4_ddimm_dq[3]
	set_location_assignment PIN_LW21 -to ddr4_ddimm_dq[2]
	set_location_assignment PIN_LN23 -to ddr4_ddimm_dq[1]
	set_location_assignment PIN_LR21 -to ddr4_ddimm_dq[0]
	set_location_assignment PIN_KJ35 -to ddr4_ddimm_a[16]
	set_location_assignment PIN_KF34 -to ddr4_ddimm_a[15]
	set_location_assignment PIN_KR35 -to ddr4_ddimm_a[14]
	set_location_assignment PIN_KU34 -to ddr4_ddimm_a[13]
	set_location_assignment PIN_KF36 -to ddr4_ddimm_a[12]
	set_location_assignment PIN_LB38 -to ddr4_ddimm_a[11]
	set_location_assignment PIN_KW39 -to ddr4_ddimm_a[10]
	set_location_assignment PIN_LL39 -to ddr4_ddimm_a[9]
	set_location_assignment PIN_LH38 -to ddr4_ddimm_a[8]
	set_location_assignment PIN_KW41 -to ddr4_ddimm_a[7]
	set_location_assignment PIN_LB40 -to ddr4_ddimm_a[6]
	set_location_assignment PIN_LL41 -to ddr4_ddimm_a[5]
	set_location_assignment PIN_LH40 -to ddr4_ddimm_a[4]
	set_location_assignment PIN_LB42 -to ddr4_ddimm_a[3]
	set_location_assignment PIN_KW43 -to ddr4_ddimm_a[2]
	set_location_assignment PIN_LL43 -to ddr4_ddimm_a[1]
	set_location_assignment PIN_LH42 -to ddr4_ddimm_a[0]
	set_location_assignment PIN_KR37 -to clk_ddr4_ch2_n
	set_location_assignment PIN_KU36 -to clk_ddr4_ch2_p
	set_location_assignment PIN_KR43 -to ddr4_ddimm_bg[1]
	set_location_assignment PIN_KF32 -to ddr4_ddimm_bg[0]
	set_location_assignment PIN_KJ33 -to ddr4_ddimm_ba[1]
	set_location_assignment PIN_KR33 -to ddr4_ddimm_ba[0]
	set_location_assignment PIN_KF42 -to ddr4_dimma_cs_n[0]
	set_location_assignment PIN_KU38 -to ddr4_dimm_ck_n[0]
	set_location_assignment PIN_KR39 -to ddr4_dimm_ck_p[0]
	set_location_assignment PIN_KF40 -to ddr4_dimma_cke[0]
	set_location_assignment PIN_KU40 -to ddr4_dimma_odt[0]
	set_location_assignment PIN_KJ39 -to ddr4_ddimm_par
	set_location_assignment PIN_KJ43 -to ddr4_ddimm_act_n
	set_location_assignment PIN_KU42 -to ddr4_ddimm_reset_n
	set_location_assignment PIN_KC33 -to ddr4_ddimm_alert_n
	set_location_assignment PIN_KJ37 -to ddr4_ddimm_rzq
	set_location_assignment PIN_MC31 -to ddr4_ddimm_tdqs_n[17]
	set_location_assignment PIN_MD30 -to ddr4_ddimm_dbi_n[8]
	set_location_assignment PIN_MK31 -to ddr4_ddimm_dqs_n[8]
	set_location_assignment PIN_MH30 -to ddr4_ddimm_dqs_p[8]
	set_location_assignment PIN_KW35 -to ddr4_ddimm_tdqs_n[16]
	set_location_assignment PIN_LB34 -to ddr4_ddimm_dbi_n[7]
	set_location_assignment PIN_LL35 -to ddr4_ddimm_dqs_n[7]
	set_location_assignment PIN_LH34 -to ddr4_ddimm_dqs_p[7]
	set_location_assignment PIN_KW29 -to ddr4_ddimm_tdqs_n[15]
	set_location_assignment PIN_LB28 -to ddr4_ddimm_dbi_n[6]
	set_location_assignment PIN_LL29 -to ddr4_ddimm_dqs_n[6]
	set_location_assignment PIN_LH28 -to ddr4_ddimm_dqs_p[6]
	set_location_assignment PIN_LN34 -to ddr4_ddimm_tdqs_n[14]
	set_location_assignment PIN_LR33 -to ddr4_ddimm_dbi_n[5]
	set_location_assignment PIN_MA34 -to ddr4_ddimm_dqs_n[5]
	set_location_assignment PIN_LW33 -to ddr4_ddimm_dqs_p[5]
	set_location_assignment PIN_LN28 -to ddr4_ddimm_tdqs_n[13]
	set_location_assignment PIN_LR27 -to ddr4_ddimm_dbi_n[4]
	set_location_assignment PIN_MA28 -to ddr4_ddimm_dqs_n[4]
	set_location_assignment PIN_LW27 -to ddr4_ddimm_dqs_p[4]
	set_location_assignment PIN_MC13 -to ddr4_ddimm_tdqs_n[12]
	set_location_assignment PIN_MD11 -to ddr4_ddimm_dbi_n[3]
	set_location_assignment PIN_MK13 -to ddr4_ddimm_dqs_n[3]
	set_location_assignment PIN_MH11 -to ddr4_ddimm_dqs_p[3]
	set_location_assignment PIN_LN7 -to ddr4_ddimm_tdqs_n[11]
	set_location_assignment PIN_LR5 -to ddr4_ddimm_dbi_n[2]
	set_location_assignment PIN_MA7 -to ddr4_ddimm_dqs_n[2]
	set_location_assignment PIN_LW5 -to ddr4_ddimm_dqs_p[2]
	set_location_assignment PIN_MC25 -to ddr4_ddimm_tdqs_n[10]
	set_location_assignment PIN_MD23 -to ddr4_ddimm_dbi_n[1]
	set_location_assignment PIN_MK25 -to ddr4_ddimm_dqs_n[1]
	set_location_assignment PIN_MH23 -to ddr4_ddimm_dqs_p[1]
	set_location_assignment PIN_LN19 -to ddr4_ddimm_tdqs_n[9]
	set_location_assignment PIN_LR17 -to ddr4_ddimm_dbi_n[0]
	set_location_assignment PIN_MA19 -to ddr4_ddimm_dqs_n[0]
	set_location_assignment PIN_LW17 -to ddr4_ddimm_dqs_p[0]
	set_instance_assignment -name IO_STANDARD "1.2 V" -to cpu_1v2_resetn -entity ddr4
	set_instance_assignment -name IO_STANDARD "TRUE DIFFERENTIAL SIGNALING" -to clk_sys_100m_p -entity ddr4
	set_instance_assignment -name IO_STANDARD "TRUE DIFFERENTIAL SIGNALING" -to clk_sys_bak_50m_p -entity ddr4
	set_instance_assignment -name IO_STANDARD "TRUE DIFFERENTIAL SIGNALING" -to clk_ddr4_ch2_p -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c_en -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c1_scl -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c1_sda -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_en -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_scl -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_i2c2_sda -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[3] -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[2] -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[1] -entity ddr4
	set_instance_assignment -name IO_STANDARD "1.2 V" -to fpga_led[0] -entity ddr4

	# Commit assignments
	export_assignments

	# Close project
	if {$need_to_close_project} {
		project_close
	}
}
