package require -exact qsys 24.1

# create the system "ed_synth"
proc do_create_ed_synth {} {
	# create the system
	create_system ed_synth
	set_project_property BOARD {Intel Agilex 7 FPGA I-Series Development Kit 2xR-Tile and 1xF-Tile DK-DEV-AGI027RBES}
	set_project_property DEVICE {AGIB027R29A1E2VR3}
	set_project_property DEVICE_FAMILY {Agilex 7}
	set_project_property HIDE_FROM_IP_CATALOG {false}
	set_use_testbench_naming_pattern 0 {}

	# add HDL parameters

	# add the components
	add_component clk_50m ip/ed_synth/ed_synth_clk_0.ip clock_source clk_50m
	load_component clk_50m
	set_component_parameter_value clockFrequency {50000000.0}
	set_component_parameter_value clockFrequencyKnown {1}
	set_component_parameter_value resetSynchronousEdges {NONE}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation clk_50m
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk_in clock INPUT
	set_instantiation_interface_parameter_value clk_in clockRate {50000000}
	set_instantiation_interface_parameter_value clk_in externallyDriven {false}
	set_instantiation_interface_parameter_value clk_in ptfSchematicName {}
	set_instantiation_interface_assignment_value clk_in qsys.ui.export_name {clk}
	add_instantiation_interface_port clk_in in_clk clk 1 STD_LOGIC Input
	add_instantiation_interface clk_in_reset reset INPUT
	set_instantiation_interface_parameter_value clk_in_reset associatedClock {}
	set_instantiation_interface_parameter_value clk_in_reset synchronousEdges {NONE}
	set_instantiation_interface_assignment_value clk_in_reset qsys.ui.export_name {reset}
	add_instantiation_interface_port clk_in_reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface clk clock OUTPUT
	set_instantiation_interface_parameter_value clk associatedDirectClock {clk_in}
	set_instantiation_interface_parameter_value clk clockRate {50000000}
	set_instantiation_interface_parameter_value clk clockRateKnown {true}
	set_instantiation_interface_parameter_value clk externallyDriven {true}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value clk clock_rate {50000000}
	add_instantiation_interface_port clk clk_out clk 1 STD_LOGIC Output
	add_instantiation_interface clk_reset reset OUTPUT
	set_instantiation_interface_parameter_value clk_reset associatedClock {}
	set_instantiation_interface_parameter_value clk_reset associatedDirectReset {clk_in_reset}
	set_instantiation_interface_parameter_value clk_reset associatedResetSinks {clk_in_reset}
	set_instantiation_interface_parameter_value clk_reset synchronousEdges {NONE}
	add_instantiation_interface_port clk_reset reset_n_out reset_n 1 STD_LOGIC Output
	save_instantiation
	add_instance clock_bridge_100mhz altera_generic_component
	load_instantiation clock_bridge_100mhz
	set_instantiation_property HDL_COMPILATION_LIBRARY {ed_synth_clock_bridge_0}
	set_instantiation_property HDL_ENTITY_NAME {ed_synth_clock_bridge_0}
	set_instantiation_property IP_FILE {ip/ed_synth/ed_synth_clock_bridge_0.ip}
	add_instantiation_interface in_clk clock INPUT
	set_instantiation_interface_parameter_value in_clk clockRate {0}
	set_instantiation_interface_parameter_value in_clk externallyDriven {false}
	set_instantiation_interface_parameter_value in_clk ptfSchematicName {}
	add_instantiation_interface_port in_clk in_clk clk 1 STD_LOGIC Input
	add_instantiation_interface out_clk clock OUTPUT
	set_instantiation_interface_parameter_value out_clk associatedDirectClock {in_clk}
	set_instantiation_interface_parameter_value out_clk clockRate {100000000}
	set_instantiation_interface_parameter_value out_clk clockRateKnown {true}
	set_instantiation_interface_parameter_value out_clk externallyDriven {false}
	set_instantiation_interface_parameter_value out_clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value out_clk clock_rate {100000000}
	add_instantiation_interface_port out_clk out_clk clk 1 STD_LOGIC Output
	save_instantiation
	set_instance_property clock_bridge_100mhz ENABLED false
	add_component clock_bridge_emif_refclk ip/ed_synth/ed_synth_clock_bridge_1.ip altera_clock_bridge clock_bridge_emif_refclk
	load_component clock_bridge_emif_refclk
	set_component_parameter_value EXPLICIT_CLOCK_RATE {33333333.0}
	set_component_parameter_value NUM_CLOCK_OUTPUTS {1}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation clock_bridge_emif_refclk
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface in_clk clock INPUT
	set_instantiation_interface_parameter_value in_clk clockRate {0}
	set_instantiation_interface_parameter_value in_clk externallyDriven {false}
	set_instantiation_interface_parameter_value in_clk ptfSchematicName {}
	add_instantiation_interface_port in_clk in_clk clk 1 STD_LOGIC Input
	add_instantiation_interface out_clk clock OUTPUT
	set_instantiation_interface_parameter_value out_clk associatedDirectClock {in_clk}
	set_instantiation_interface_parameter_value out_clk clockRate {33333333}
	set_instantiation_interface_parameter_value out_clk clockRateKnown {true}
	set_instantiation_interface_parameter_value out_clk externallyDriven {false}
	set_instantiation_interface_parameter_value out_clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value out_clk clock_rate {33333333}
	add_instantiation_interface_port out_clk out_clk clk 1 STD_LOGIC Output
	save_instantiation
	add_component emif_cal_0 ip/ed_synth/ed_synth_emif_cal_0.ip altera_emif_cal emif_cal_0
	load_component emif_cal_0
	set_component_parameter_value AXM_ID_NUM {0}
	set_component_parameter_value DIAG_ENABLE_JTAG_UART {0}
	set_component_parameter_value DIAG_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_EXPORT_VJI {0}
	set_component_parameter_value DIAG_EXTRA_CONFIGS {}
	set_component_parameter_value DIAG_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_SIM_VERBOSE {0}
	set_component_parameter_value DIAG_SYNTH_FOR_SIM {0}
	set_component_parameter_value ENABLE_DDRT {0}
	set_component_parameter_value NUM_CALBUS_INTERFACE {1}
	set_component_parameter_value PHY_DDRT_EXPORT_CLK_STP_IF {0}
	set_component_parameter_value SHORT_QSYS_INTERFACE_NAMES {1}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation emif_cal_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface emif_calbus_0 conduit INPUT
	set_instantiation_interface_parameter_value emif_calbus_0 associatedClock {emif_calbus_clk}
	set_instantiation_interface_parameter_value emif_calbus_0 associatedReset {}
	set_instantiation_interface_parameter_value emif_calbus_0 prSafe {false}
	add_instantiation_interface_port emif_calbus_0 calbus_read_0 calbus_read 1 STD_LOGIC Output
	add_instantiation_interface_port emif_calbus_0 calbus_write_0 calbus_write 1 STD_LOGIC Output
	add_instantiation_interface_port emif_calbus_0 calbus_address_0 calbus_address 20 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port emif_calbus_0 calbus_wdata_0 calbus_wdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port emif_calbus_0 calbus_rdata_0 calbus_rdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port emif_calbus_0 calbus_seq_param_tbl_0 calbus_seq_param_tbl 4096 STD_LOGIC_VECTOR Input
	add_instantiation_interface emif_calbus_clk clock OUTPUT
	set_instantiation_interface_parameter_value emif_calbus_clk associatedDirectClock {}
	set_instantiation_interface_parameter_value emif_calbus_clk clockRate {0}
	set_instantiation_interface_parameter_value emif_calbus_clk clockRateKnown {false}
	set_instantiation_interface_parameter_value emif_calbus_clk externallyDriven {false}
	set_instantiation_interface_parameter_value emif_calbus_clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value emif_calbus_clk clock_rate {0}
	add_instantiation_interface_port emif_calbus_clk calbus_clk clk 1 STD_LOGIC Output
	save_instantiation
	add_component emif_fm_0 ip/ed_synth/ed_synth_emif_fm_0.ip altera_emif_fm emif_fm_0
	load_component emif_fm_0
	set_component_parameter_value BOARD_DDR3_AC_TO_CK_SKEW_NS {0.0}
	set_component_parameter_value BOARD_DDR3_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_DDR3_BRD_SKEW_WITHIN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDR3_DQS_TO_CK_SKEW_NS {0.02}
	set_component_parameter_value BOARD_DDR3_IS_SKEW_WITHIN_AC_DESKEWED {1}
	set_component_parameter_value BOARD_DDR3_IS_SKEW_WITHIN_DQS_DESKEWED {0}
	set_component_parameter_value BOARD_DDR3_MAX_CK_DELAY_NS {0.6}
	set_component_parameter_value BOARD_DDR3_MAX_DQS_DELAY_NS {0.6}
	set_component_parameter_value BOARD_DDR3_PKG_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_DDR3_PKG_BRD_SKEW_WITHIN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDR3_SKEW_BETWEEN_DIMMS_NS {0.05}
	set_component_parameter_value BOARD_DDR3_SKEW_BETWEEN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDR3_USER_AC_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR3_USER_AC_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_DDR3_USER_CK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_DDR3_USER_RCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR3_USER_RCLK_SLEW_RATE {5.0}
	set_component_parameter_value BOARD_DDR3_USER_RDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR3_USER_RDATA_SLEW_RATE {2.5}
	set_component_parameter_value BOARD_DDR3_USER_WCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR3_USER_WCLK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_DDR3_USER_WDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR3_USER_WDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_DDR3_USE_DEFAULT_ISI_VALUES {1}
	set_component_parameter_value BOARD_DDR3_USE_DEFAULT_SLEW_RATES {1}
	set_component_parameter_value BOARD_DDR4_AC_TO_CK_SKEW_NS {0.0}
	set_component_parameter_value BOARD_DDR4_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_DDR4_BRD_SKEW_WITHIN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDR4_DQS_TO_CK_SKEW_NS {0.02}
	set_component_parameter_value BOARD_DDR4_IS_SKEW_WITHIN_AC_DESKEWED {0}
	set_component_parameter_value BOARD_DDR4_IS_SKEW_WITHIN_DQS_DESKEWED {1}
	set_component_parameter_value BOARD_DDR4_MAX_CK_DELAY_NS {0.6}
	set_component_parameter_value BOARD_DDR4_MAX_DQS_DELAY_NS {0.6}
	set_component_parameter_value BOARD_DDR4_PKG_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_DDR4_PKG_BRD_SKEW_WITHIN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDR4_SKEW_BETWEEN_DIMMS_NS {0.05}
	set_component_parameter_value BOARD_DDR4_SKEW_BETWEEN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDR4_USER_AC_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR4_USER_AC_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_DDR4_USER_CK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_DDR4_USER_RCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR4_USER_RCLK_SLEW_RATE {8.0}
	set_component_parameter_value BOARD_DDR4_USER_RDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR4_USER_RDATA_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_DDR4_USER_WCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR4_USER_WCLK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_DDR4_USER_WDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDR4_USER_WDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_DDR4_USE_DEFAULT_ISI_VALUES {1}
	set_component_parameter_value BOARD_DDR4_USE_DEFAULT_SLEW_RATES {1}
	set_component_parameter_value BOARD_DDRT_AC_TO_CK_SKEW_NS {0.0}
	set_component_parameter_value BOARD_DDRT_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_DDRT_BRD_SKEW_WITHIN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDRT_DQS_TO_CK_SKEW_NS {0.02}
	set_component_parameter_value BOARD_DDRT_IS_SKEW_WITHIN_AC_DESKEWED {0}
	set_component_parameter_value BOARD_DDRT_IS_SKEW_WITHIN_DQS_DESKEWED {1}
	set_component_parameter_value BOARD_DDRT_MAX_CK_DELAY_NS {0.6}
	set_component_parameter_value BOARD_DDRT_MAX_DQS_DELAY_NS {0.6}
	set_component_parameter_value BOARD_DDRT_PKG_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_DDRT_PKG_BRD_SKEW_WITHIN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDRT_SKEW_BETWEEN_DIMMS_NS {0.05}
	set_component_parameter_value BOARD_DDRT_SKEW_BETWEEN_DQS_NS {0.02}
	set_component_parameter_value BOARD_DDRT_USER_AC_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDRT_USER_AC_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_DDRT_USER_CK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_DDRT_USER_RCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDRT_USER_RCLK_SLEW_RATE {8.0}
	set_component_parameter_value BOARD_DDRT_USER_RDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDRT_USER_RDATA_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_DDRT_USER_WCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDRT_USER_WCLK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_DDRT_USER_WDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_DDRT_USER_WDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_DDRT_USE_DEFAULT_ISI_VALUES {1}
	set_component_parameter_value BOARD_DDRT_USE_DEFAULT_SLEW_RATES {1}
	set_component_parameter_value BOARD_LPDDR3_AC_TO_CK_SKEW_NS {0.0}
	set_component_parameter_value BOARD_LPDDR3_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_LPDDR3_BRD_SKEW_WITHIN_DQS_NS {0.02}
	set_component_parameter_value BOARD_LPDDR3_DQS_TO_CK_SKEW_NS {0.02}
	set_component_parameter_value BOARD_LPDDR3_IS_SKEW_WITHIN_AC_DESKEWED {1}
	set_component_parameter_value BOARD_LPDDR3_IS_SKEW_WITHIN_DQS_DESKEWED {0}
	set_component_parameter_value BOARD_LPDDR3_MAX_CK_DELAY_NS {0.6}
	set_component_parameter_value BOARD_LPDDR3_MAX_DQS_DELAY_NS {0.6}
	set_component_parameter_value BOARD_LPDDR3_PKG_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_LPDDR3_PKG_BRD_SKEW_WITHIN_DQS_NS {0.02}
	set_component_parameter_value BOARD_LPDDR3_SKEW_BETWEEN_DIMMS_NS {0.05}
	set_component_parameter_value BOARD_LPDDR3_SKEW_BETWEEN_DQS_NS {0.02}
	set_component_parameter_value BOARD_LPDDR3_USER_AC_ISI_NS {0.0}
	set_component_parameter_value BOARD_LPDDR3_USER_AC_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_LPDDR3_USER_CK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_LPDDR3_USER_RCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_LPDDR3_USER_RCLK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_LPDDR3_USER_RDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_LPDDR3_USER_RDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_LPDDR3_USER_WCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_LPDDR3_USER_WCLK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_LPDDR3_USER_WDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_LPDDR3_USER_WDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_LPDDR3_USE_DEFAULT_ISI_VALUES {1}
	set_component_parameter_value BOARD_LPDDR3_USE_DEFAULT_SLEW_RATES {1}
	set_component_parameter_value BOARD_QDR2_AC_TO_K_SKEW_NS {0.0}
	set_component_parameter_value BOARD_QDR2_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_QDR2_BRD_SKEW_WITHIN_D_NS {0.02}
	set_component_parameter_value BOARD_QDR2_BRD_SKEW_WITHIN_Q_NS {0.02}
	set_component_parameter_value BOARD_QDR2_IS_SKEW_WITHIN_AC_DESKEWED {1}
	set_component_parameter_value BOARD_QDR2_IS_SKEW_WITHIN_D_DESKEWED {0}
	set_component_parameter_value BOARD_QDR2_IS_SKEW_WITHIN_Q_DESKEWED {0}
	set_component_parameter_value BOARD_QDR2_MAX_K_DELAY_NS {0.6}
	set_component_parameter_value BOARD_QDR2_PKG_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_QDR2_PKG_BRD_SKEW_WITHIN_D_NS {0.02}
	set_component_parameter_value BOARD_QDR2_PKG_BRD_SKEW_WITHIN_Q_NS {0.02}
	set_component_parameter_value BOARD_QDR2_USER_AC_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR2_USER_AC_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_QDR2_USER_K_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_QDR2_USER_RCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR2_USER_RCLK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_QDR2_USER_RDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR2_USER_RDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_QDR2_USER_WCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR2_USER_WDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR2_USER_WDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_QDR2_USE_DEFAULT_ISI_VALUES {1}
	set_component_parameter_value BOARD_QDR2_USE_DEFAULT_SLEW_RATES {1}
	set_component_parameter_value BOARD_QDR4_AC_TO_CK_SKEW_NS {0.0}
	set_component_parameter_value BOARD_QDR4_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_QDR4_BRD_SKEW_WITHIN_QK_NS {0.02}
	set_component_parameter_value BOARD_QDR4_DK_TO_CK_SKEW_NS {-0.02}
	set_component_parameter_value BOARD_QDR4_IS_SKEW_WITHIN_AC_DESKEWED {1}
	set_component_parameter_value BOARD_QDR4_IS_SKEW_WITHIN_QK_DESKEWED {1}
	set_component_parameter_value BOARD_QDR4_MAX_CK_DELAY_NS {0.6}
	set_component_parameter_value BOARD_QDR4_MAX_DK_DELAY_NS {0.6}
	set_component_parameter_value BOARD_QDR4_PKG_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_QDR4_PKG_BRD_SKEW_WITHIN_QK_NS {0.02}
	set_component_parameter_value BOARD_QDR4_SKEW_BETWEEN_DIMMS_NS {0.05}
	set_component_parameter_value BOARD_QDR4_SKEW_BETWEEN_DK_NS {0.02}
	set_component_parameter_value BOARD_QDR4_USER_AC_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR4_USER_AC_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_QDR4_USER_CK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_QDR4_USER_RCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR4_USER_RCLK_SLEW_RATE {5.0}
	set_component_parameter_value BOARD_QDR4_USER_RDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR4_USER_RDATA_SLEW_RATE {2.5}
	set_component_parameter_value BOARD_QDR4_USER_WCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR4_USER_WCLK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_QDR4_USER_WDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_QDR4_USER_WDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_QDR4_USE_DEFAULT_ISI_VALUES {1}
	set_component_parameter_value BOARD_QDR4_USE_DEFAULT_SLEW_RATES {1}
	set_component_parameter_value BOARD_RLD3_AC_TO_CK_SKEW_NS {0.0}
	set_component_parameter_value BOARD_RLD3_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_RLD3_BRD_SKEW_WITHIN_QK_NS {0.02}
	set_component_parameter_value BOARD_RLD3_DK_TO_CK_SKEW_NS {-0.02}
	set_component_parameter_value BOARD_RLD3_IS_SKEW_WITHIN_AC_DESKEWED {1}
	set_component_parameter_value BOARD_RLD3_IS_SKEW_WITHIN_QK_DESKEWED {0}
	set_component_parameter_value BOARD_RLD3_MAX_CK_DELAY_NS {0.6}
	set_component_parameter_value BOARD_RLD3_MAX_DK_DELAY_NS {0.6}
	set_component_parameter_value BOARD_RLD3_PKG_BRD_SKEW_WITHIN_AC_NS {0.02}
	set_component_parameter_value BOARD_RLD3_PKG_BRD_SKEW_WITHIN_QK_NS {0.02}
	set_component_parameter_value BOARD_RLD3_SKEW_BETWEEN_DIMMS_NS {0.05}
	set_component_parameter_value BOARD_RLD3_SKEW_BETWEEN_DK_NS {0.02}
	set_component_parameter_value BOARD_RLD3_USER_AC_ISI_NS {0.0}
	set_component_parameter_value BOARD_RLD3_USER_AC_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_RLD3_USER_CK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_RLD3_USER_RCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_RLD3_USER_RCLK_SLEW_RATE {7.0}
	set_component_parameter_value BOARD_RLD3_USER_RDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_RLD3_USER_RDATA_SLEW_RATE {3.5}
	set_component_parameter_value BOARD_RLD3_USER_WCLK_ISI_NS {0.0}
	set_component_parameter_value BOARD_RLD3_USER_WCLK_SLEW_RATE {4.0}
	set_component_parameter_value BOARD_RLD3_USER_WDATA_ISI_NS {0.0}
	set_component_parameter_value BOARD_RLD3_USER_WDATA_SLEW_RATE {2.0}
	set_component_parameter_value BOARD_RLD3_USE_DEFAULT_ISI_VALUES {1}
	set_component_parameter_value BOARD_RLD3_USE_DEFAULT_SLEW_RATES {1}
	set_component_parameter_value CTRL_DDR3_ADDR_ORDER_ENUM {DDR3_CTRL_ADDR_ORDER_CS_R_B_C}
	set_component_parameter_value CTRL_DDR3_AUTO_POWER_DOWN_CYCS {32}
	set_component_parameter_value CTRL_DDR3_AUTO_POWER_DOWN_EN {0}
	set_component_parameter_value CTRL_DDR3_AUTO_PRECHARGE_EN {0}
	set_component_parameter_value CTRL_DDR3_AVL_PROTOCOL_ENUM {CTRL_AVL_PROTOCOL_MM}
	set_component_parameter_value CTRL_DDR3_ECC_AUTO_CORRECTION_EN {0}
	set_component_parameter_value CTRL_DDR3_ECC_EN {0}
	set_component_parameter_value CTRL_DDR3_ECC_READDATAERROR_EN {1}
	set_component_parameter_value CTRL_DDR3_ECC_STATUS_EN {0}
	set_component_parameter_value CTRL_DDR3_MMR_EN {0}
	set_component_parameter_value CTRL_DDR3_RD_TO_RD_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR3_RD_TO_WR_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR3_RD_TO_WR_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR3_REORDER_EN {1}
	set_component_parameter_value CTRL_DDR3_SELF_REFRESH_EN {0}
	set_component_parameter_value CTRL_DDR3_STARVE_LIMIT {10}
	set_component_parameter_value CTRL_DDR3_USER_PRIORITY_EN {0}
	set_component_parameter_value CTRL_DDR3_USER_REFRESH_EN {0}
	set_component_parameter_value CTRL_DDR3_WR_TO_RD_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR3_WR_TO_RD_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR3_WR_TO_WR_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR4_ADDR_ORDER_ENUM {DDR4_CTRL_ADDR_ORDER_CS_R_B_C_BG}
	set_component_parameter_value CTRL_DDR4_AUTO_POWER_DOWN_CYCS {32}
	set_component_parameter_value CTRL_DDR4_AUTO_POWER_DOWN_EN {0}
	set_component_parameter_value CTRL_DDR4_AUTO_PRECHARGE_EN {0}
	set_component_parameter_value CTRL_DDR4_AVL_PROTOCOL_ENUM {CTRL_AVL_PROTOCOL_MM}
	set_component_parameter_value CTRL_DDR4_ECC_AUTO_CORRECTION_EN {0}
	set_component_parameter_value CTRL_DDR4_ECC_EN {1}
	set_component_parameter_value CTRL_DDR4_ECC_READDATAERROR_EN {0}
	set_component_parameter_value CTRL_DDR4_ECC_STATUS_EN {0}
	set_component_parameter_value CTRL_DDR4_MAJOR_MODE_EN {0}
	set_component_parameter_value CTRL_DDR4_MMR_EN {0}
	set_component_parameter_value CTRL_DDR4_POST_REFRESH_EN {1}
	set_component_parameter_value CTRL_DDR4_POST_REFRESH_LOWER_LIMIT {0}
	set_component_parameter_value CTRL_DDR4_POST_REFRESH_UPPER_LIMIT {2}
	set_component_parameter_value CTRL_DDR4_PRE_REFRESH_EN {0}
	set_component_parameter_value CTRL_DDR4_PRE_REFRESH_UPPER_LIMIT {1}
	set_component_parameter_value CTRL_DDR4_RD_TO_RD_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR4_RD_TO_WR_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR4_RD_TO_WR_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR4_REORDER_EN {1}
	set_component_parameter_value CTRL_DDR4_SELF_REFRESH_EN {0}
	set_component_parameter_value CTRL_DDR4_STARVE_LIMIT {10}
	set_component_parameter_value CTRL_DDR4_USER_PRIORITY_EN {0}
	set_component_parameter_value CTRL_DDR4_USER_REFRESH_EN {0}
	set_component_parameter_value CTRL_DDR4_WR_TO_RD_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR4_WR_TO_RD_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDR4_WR_TO_WR_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_ADDR_INTERLEAVING {COARSE}
	set_component_parameter_value CTRL_DDRT_ADDR_ORDER_ENUM {DDRT_CTRL_ADDR_ORDER_CS_R_B_C_BG}
	set_component_parameter_value CTRL_DDRT_AUTO_POWER_DOWN_CYCS {32}
	set_component_parameter_value CTRL_DDRT_AUTO_POWER_DOWN_EN {0}
	set_component_parameter_value CTRL_DDRT_AUTO_PRECHARGE_EN {0}
	set_component_parameter_value CTRL_DDRT_AVL_PROTOCOL_ENUM {CTRL_AVL_PROTOCOL_MM}
	set_component_parameter_value CTRL_DDRT_DIMM_DENSITY {128}
	set_component_parameter_value CTRL_DDRT_DIMM_VIRAL_FLOW_EN {0}
	set_component_parameter_value CTRL_DDRT_ECC_AUTO_CORRECTION_EN {0}
	set_component_parameter_value CTRL_DDRT_ECC_EN {0}
	set_component_parameter_value CTRL_DDRT_ECC_READDATAERROR_EN {1}
	set_component_parameter_value CTRL_DDRT_ECC_STATUS_EN {1}
	set_component_parameter_value CTRL_DDRT_ERR_INJECT_EN {0}
	set_component_parameter_value CTRL_DDRT_ERR_REPLAY_EN {0}
	set_component_parameter_value CTRL_DDRT_EXT_ERR_INJECT_EN {0}
	set_component_parameter_value CTRL_DDRT_GNT_TO_GNT_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_GNT_TO_WR_DIFF_CHIP_DELTA_CYCS {1}
	set_component_parameter_value CTRL_DDRT_GNT_TO_WR_SAME_CHIP_DELTA_CYCS {1}
	set_component_parameter_value CTRL_DDRT_HOST_VIRAL_FLOW_EN {0}
	set_component_parameter_value CTRL_DDRT_MMR_EN {0}
	set_component_parameter_value CTRL_DDRT_NUM_OF_AXIS_ID {1}
	set_component_parameter_value CTRL_DDRT_PARITY_CMD_EN {0}
	set_component_parameter_value CTRL_DDRT_PMM_ADR_FLOW_EN {0}
	set_component_parameter_value CTRL_DDRT_PMM_WPQ_FLUSH_EN {0}
	set_component_parameter_value CTRL_DDRT_POISON_DETECTION_EN {0}
	set_component_parameter_value CTRL_DDRT_PORT_AFI_C_WIDTH {2}
	set_component_parameter_value CTRL_DDRT_RD_TO_RD_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_RD_TO_WR_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_RD_TO_WR_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_REORDER_EN {1}
	set_component_parameter_value CTRL_DDRT_SELF_REFRESH_EN {0}
	set_component_parameter_value CTRL_DDRT_STARVE_LIMIT {10}
	set_component_parameter_value CTRL_DDRT_UPI_EN {0}
	set_component_parameter_value CTRL_DDRT_UPI_ID_WIDTH {8}
	set_component_parameter_value CTRL_DDRT_USER_PRIORITY_EN {0}
	set_component_parameter_value CTRL_DDRT_USER_REFRESH_EN {0}
	set_component_parameter_value CTRL_DDRT_WR_ACK_POLICY {POSTED}
	set_component_parameter_value CTRL_DDRT_WR_TO_GNT_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_WR_TO_GNT_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_WR_TO_RD_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_WR_TO_RD_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_WR_TO_WR_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_DDRT_ZQ_INTERVAL_MS {3}
	set_component_parameter_value CTRL_LPDDR3_ADDR_ORDER_ENUM {LPDDR3_CTRL_ADDR_ORDER_CS_R_B_C}
	set_component_parameter_value CTRL_LPDDR3_AUTO_POWER_DOWN_CYCS {32}
	set_component_parameter_value CTRL_LPDDR3_AUTO_POWER_DOWN_EN {0}
	set_component_parameter_value CTRL_LPDDR3_AUTO_PRECHARGE_EN {0}
	set_component_parameter_value CTRL_LPDDR3_AVL_PROTOCOL_ENUM {CTRL_AVL_PROTOCOL_MM}
	set_component_parameter_value CTRL_LPDDR3_MMR_EN {0}
	set_component_parameter_value CTRL_LPDDR3_RD_TO_RD_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_LPDDR3_RD_TO_WR_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_LPDDR3_RD_TO_WR_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_LPDDR3_REORDER_EN {1}
	set_component_parameter_value CTRL_LPDDR3_SELF_REFRESH_EN {0}
	set_component_parameter_value CTRL_LPDDR3_STARVE_LIMIT {10}
	set_component_parameter_value CTRL_LPDDR3_USER_PRIORITY_EN {0}
	set_component_parameter_value CTRL_LPDDR3_USER_REFRESH_EN {0}
	set_component_parameter_value CTRL_LPDDR3_WR_TO_RD_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_LPDDR3_WR_TO_RD_SAME_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_LPDDR3_WR_TO_WR_DIFF_CHIP_DELTA_CYCS {0}
	set_component_parameter_value CTRL_QDR2_AVL_ENABLE_POWER_OF_TWO_BUS {0}
	set_component_parameter_value CTRL_QDR2_AVL_MAX_BURST_COUNT {4}
	set_component_parameter_value CTRL_QDR2_AVL_PROTOCOL_ENUM {CTRL_AVL_PROTOCOL_MM}
	set_component_parameter_value CTRL_QDR4_ADD_RAW_TURNAROUND_DELAY_CYC {0}
	set_component_parameter_value CTRL_QDR4_ADD_WAR_TURNAROUND_DELAY_CYC {0}
	set_component_parameter_value CTRL_QDR4_AVL_ENABLE_POWER_OF_TWO_BUS {0}
	set_component_parameter_value CTRL_QDR4_AVL_MAX_BURST_COUNT {4}
	set_component_parameter_value CTRL_QDR4_AVL_PROTOCOL_ENUM {CTRL_AVL_PROTOCOL_MM}
	set_component_parameter_value CTRL_QDR4_DEF_RAW_TURNAROUND_DELAY_CYC {4}
	set_component_parameter_value CTRL_RLD2_AVL_PROTOCOL_ENUM {CTRL_AVL_PROTOCOL_MM}
	set_component_parameter_value CTRL_RLD3_ADDR_ORDER_ENUM {RLD3_CTRL_ADDR_ORDER_CS_R_B_C}
	set_component_parameter_value CTRL_RLD3_AVL_PROTOCOL_ENUM {CTRL_AVL_PROTOCOL_MM}
	set_component_parameter_value DIAG_ADD_READY_PIPELINE {1}
	set_component_parameter_value DIAG_BOARD_DELAY_CONFIG_STR {}
	set_component_parameter_value DIAG_DB_RESET_AUTO_RELEASE {avl_release}
	set_component_parameter_value DIAG_DDR3_ABSTRACT_PHY {0}
	set_component_parameter_value DIAG_DDR3_AC_PARITY_ERR {0}
	set_component_parameter_value DIAG_DDR3_CAL_ADDR0 {0}
	set_component_parameter_value DIAG_DDR3_CAL_ADDR1 {8}
	set_component_parameter_value DIAG_DDR3_CAL_ENABLE_MICRON_AP {0}
	set_component_parameter_value DIAG_DDR3_CAL_ENABLE_NON_DES {0}
	set_component_parameter_value DIAG_DDR3_CAL_FULL_CAL_ON_RESET {1}
	set_component_parameter_value DIAG_DDR3_CA_DESKEW_EN {1}
	set_component_parameter_value DIAG_DDR3_CA_LEVEL_EN {1}
	set_component_parameter_value DIAG_DDR3_DISABLE_AFI_P2C_REGISTERS {0}
	set_component_parameter_value DIAG_DDR3_EFFICIENCY_MONITOR {EFFMON_MODE_DISABLED}
	set_component_parameter_value DIAG_DDR3_ENABLE_DEFAULT_MODE {0}
	set_component_parameter_value DIAG_DDR3_ENABLE_USER_MODE {1}
	set_component_parameter_value DIAG_DDR3_EXPORT_SEQ_AVALON_HEAD_OF_CHAIN {1}
	set_component_parameter_value DIAG_DDR3_EXPORT_SEQ_AVALON_MASTER {0}
	set_component_parameter_value DIAG_DDR3_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_DDR3_EXPORT_TG_CFG_AVALON_SLAVE {TG_CFG_AMM_EXPORT_MODE_EXPORT}
	set_component_parameter_value DIAG_DDR3_EX_DESIGN_ISSP_EN {1}
	set_component_parameter_value DIAG_DDR3_EX_DESIGN_NUM_OF_SLAVES {1}
	set_component_parameter_value DIAG_DDR3_EX_DESIGN_SEPARATE_RZQS {1}
	set_component_parameter_value DIAG_DDR3_INTERFACE_ID {0}
	set_component_parameter_value DIAG_DDR3_SEPARATE_READ_WRITE_ITFS {0}
	set_component_parameter_value DIAG_DDR3_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_DDR3_SIM_VERBOSE {1}
	set_component_parameter_value DIAG_DDR3_TG2_TEST_DURATION {SHORT}
	set_component_parameter_value DIAG_DDR3_USER_SIM_MEMORY_PRELOAD {0}
	set_component_parameter_value DIAG_DDR3_USER_SIM_MEMORY_PRELOAD_PRI_EMIF_FILE {EMIF_PRI_PRELOAD.txt}
	set_component_parameter_value DIAG_DDR3_USER_SIM_MEMORY_PRELOAD_SEC_EMIF_FILE {EMIF_SEC_PRELOAD.txt}
	set_component_parameter_value DIAG_DDR3_USER_USE_SIM_MEMORY_VALIDATION_TG {1}
	set_component_parameter_value DIAG_DDR3_USE_NEW_EFFMON_S10 {0}
	set_component_parameter_value DIAG_DDR3_USE_TG_AVL_2 {0}
	set_component_parameter_value DIAG_DDR3_USE_TG_HBM {0}
	set_component_parameter_value DIAG_DDR4_ABSTRACT_PHY {0}
	set_component_parameter_value DIAG_DDR4_AC_PARITY_ERR {0}
	set_component_parameter_value DIAG_DDR4_CAL_ADDR0 {0}
	set_component_parameter_value DIAG_DDR4_CAL_ADDR1 {8}
	set_component_parameter_value DIAG_DDR4_CAL_ENABLE_NON_DES {0}
	set_component_parameter_value DIAG_DDR4_CAL_FULL_CAL_ON_RESET {1}
	set_component_parameter_value DIAG_DDR4_DISABLE_AFI_P2C_REGISTERS {0}
	set_component_parameter_value DIAG_DDR4_EFFICIENCY_MONITOR {EFFMON_MODE_DISABLED}
	set_component_parameter_value DIAG_DDR4_ENABLE_DEFAULT_MODE {0}
	set_component_parameter_value DIAG_DDR4_ENABLE_USER_MODE {1}
	set_component_parameter_value DIAG_DDR4_EXPORT_SEQ_AVALON_HEAD_OF_CHAIN {1}
	set_component_parameter_value DIAG_DDR4_EXPORT_SEQ_AVALON_MASTER {0}
	set_component_parameter_value DIAG_DDR4_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_DDR4_EXPORT_TG_CFG_AVALON_SLAVE {TG_CFG_AMM_EXPORT_MODE_EXPORT}
	set_component_parameter_value DIAG_DDR4_EX_DESIGN_ISSP_EN {0}
	set_component_parameter_value DIAG_DDR4_EX_DESIGN_NUM_OF_SLAVES {1}
	set_component_parameter_value DIAG_DDR4_EX_DESIGN_SEPARATE_RZQS {1}
	set_component_parameter_value DIAG_DDR4_INTERFACE_ID {0}
	set_component_parameter_value DIAG_DDR4_SEPARATE_READ_WRITE_ITFS {0}
	set_component_parameter_value DIAG_DDR4_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_DDR4_SIM_VERBOSE {1}
	set_component_parameter_value DIAG_DDR4_SKIP_AC_PARITY_CHECK {0}
	set_component_parameter_value DIAG_DDR4_SKIP_CA_DESKEW {0}
	set_component_parameter_value DIAG_DDR4_SKIP_CA_LEVEL {0}
	set_component_parameter_value DIAG_DDR4_SKIP_VREF_CAL {0}
	set_component_parameter_value DIAG_DDR4_TG2_TEST_DURATION {SHORT}
	set_component_parameter_value DIAG_DDR4_USER_SIM_MEMORY_PRELOAD {0}
	set_component_parameter_value DIAG_DDR4_USER_SIM_MEMORY_PRELOAD_PRI_EMIF_FILE {EMIF_PRI_PRELOAD.txt}
	set_component_parameter_value DIAG_DDR4_USER_SIM_MEMORY_PRELOAD_SEC_EMIF_FILE {EMIF_SEC_PRELOAD.txt}
	set_component_parameter_value DIAG_DDR4_USER_USE_SIM_MEMORY_VALIDATION_TG {1}
	set_component_parameter_value DIAG_DDR4_USE_NEW_EFFMON_S10 {0}
	set_component_parameter_value DIAG_DDR4_USE_TG_AVL_2 {0}
	set_component_parameter_value DIAG_DDR4_USE_TG_HBM {0}
	set_component_parameter_value DIAG_DDRT_ABSTRACT_PHY {0}
	set_component_parameter_value DIAG_DDRT_AC_PARITY_ERR {0}
	set_component_parameter_value DIAG_DDRT_CAL_ADDR0 {0}
	set_component_parameter_value DIAG_DDRT_CAL_ADDR1 {8}
	set_component_parameter_value DIAG_DDRT_CAL_ENABLE_NON_DES {0}
	set_component_parameter_value DIAG_DDRT_CAL_FULL_CAL_ON_RESET {1}
	set_component_parameter_value DIAG_DDRT_DISABLE_AFI_P2C_REGISTERS {0}
	set_component_parameter_value DIAG_DDRT_EFFICIENCY_MONITOR {EFFMON_MODE_DISABLED}
	set_component_parameter_value DIAG_DDRT_EFF_TEST {0}
	set_component_parameter_value DIAG_DDRT_ENABLE_DEFAULT_MODE {0}
	set_component_parameter_value DIAG_DDRT_ENABLE_DRIVER_MARGINING {0}
	set_component_parameter_value DIAG_DDRT_ENABLE_ENHANCED_TESTING {0}
	set_component_parameter_value DIAG_DDRT_ENABLE_USER_MODE {1}
	set_component_parameter_value DIAG_DDRT_EXPORT_SEQ_AVALON_HEAD_OF_CHAIN {1}
	set_component_parameter_value DIAG_DDRT_EXPORT_SEQ_AVALON_MASTER {0}
	set_component_parameter_value DIAG_DDRT_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_DDRT_EXPORT_TG_CFG_AVALON_SLAVE {TG_CFG_AMM_EXPORT_MODE_JTAG}
	set_component_parameter_value DIAG_DDRT_EX_DESIGN_ISSP_EN {1}
	set_component_parameter_value DIAG_DDRT_EX_DESIGN_NUM_OF_SLAVES {1}
	set_component_parameter_value DIAG_DDRT_EX_DESIGN_SEPARATE_RZQS {1}
	set_component_parameter_value DIAG_DDRT_INTERFACE_ID {0}
	set_component_parameter_value DIAG_DDRT_SEPARATE_READ_WRITE_ITFS {0}
	set_component_parameter_value DIAG_DDRT_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_DDRT_SIM_VERBOSE {1}
	set_component_parameter_value DIAG_DDRT_SKIP_CA_DESKEW {0}
	set_component_parameter_value DIAG_DDRT_SKIP_CA_LEVEL {0}
	set_component_parameter_value DIAG_DDRT_SKIP_VREF_CAL {0}
	set_component_parameter_value DIAG_DDRT_TG2_TEST_DURATION {SHORT}
	set_component_parameter_value DIAG_DDRT_USER_SIM_MEMORY_PRELOAD {0}
	set_component_parameter_value DIAG_DDRT_USER_SIM_MEMORY_PRELOAD_PRI_EMIF_FILE {EMIF_PRI_PRELOAD.txt}
	set_component_parameter_value DIAG_DDRT_USER_SIM_MEMORY_PRELOAD_SEC_EMIF_FILE {EMIF_SEC_PRELOAD.txt}
	set_component_parameter_value DIAG_DDRT_USER_USE_SIM_MEMORY_VALIDATION_TG {1}
	set_component_parameter_value DIAG_DDRT_USE_NEW_EFFMON_S10 {0}
	set_component_parameter_value DIAG_DDRT_USE_TG_AVL_2 {1}
	set_component_parameter_value DIAG_DDRT_USE_TG_HBM {0}
	set_component_parameter_value DIAG_ECLIPSE_DEBUG {0}
	set_component_parameter_value DIAG_ENABLE_HPS_EMIF_DEBUG {0}
	set_component_parameter_value DIAG_ENABLE_JTAG_UART {0}
	set_component_parameter_value DIAG_ENABLE_JTAG_UART_HEX {0}
	set_component_parameter_value DIAG_EXPORT_PLL_LOCKED {1}
	set_component_parameter_value DIAG_EXPORT_PLL_REF_CLK_OUT {0}
	set_component_parameter_value DIAG_EXPORT_VJI {0}
	set_component_parameter_value DIAG_EXPOSE_DFT_SIGNALS {0}
	set_component_parameter_value DIAG_EXPOSE_EARLY_READY {0}
	set_component_parameter_value DIAG_EXPOSE_RD_TYPE {0}
	set_component_parameter_value DIAG_EXTRA_CONFIGS {}
	set_component_parameter_value DIAG_EXT_DOCS {0}
	set_component_parameter_value DIAG_EX_DESIGN_ADD_TEST_EMIFS {}
	set_component_parameter_value DIAG_EX_DESIGN_SEPARATE_RESETS {0}
	set_component_parameter_value DIAG_FAST_SIM_OVERRIDE {FAST_SIM_OVERRIDE_DEFAULT}
	set_component_parameter_value DIAG_HMC_HRC {auto}
	set_component_parameter_value DIAG_LPDDR3_ABSTRACT_PHY {0}
	set_component_parameter_value DIAG_LPDDR3_AC_PARITY_ERR {0}
	set_component_parameter_value DIAG_LPDDR3_DISABLE_AFI_P2C_REGISTERS {0}
	set_component_parameter_value DIAG_LPDDR3_EFFICIENCY_MONITOR {EFFMON_MODE_DISABLED}
	set_component_parameter_value DIAG_LPDDR3_ENABLE_DEFAULT_MODE {0}
	set_component_parameter_value DIAG_LPDDR3_ENABLE_USER_MODE {1}
	set_component_parameter_value DIAG_LPDDR3_EXPORT_SEQ_AVALON_HEAD_OF_CHAIN {1}
	set_component_parameter_value DIAG_LPDDR3_EXPORT_SEQ_AVALON_MASTER {0}
	set_component_parameter_value DIAG_LPDDR3_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_LPDDR3_EXPORT_TG_CFG_AVALON_SLAVE {TG_CFG_AMM_EXPORT_MODE_EXPORT}
	set_component_parameter_value DIAG_LPDDR3_EX_DESIGN_ISSP_EN {1}
	set_component_parameter_value DIAG_LPDDR3_EX_DESIGN_NUM_OF_SLAVES {1}
	set_component_parameter_value DIAG_LPDDR3_EX_DESIGN_SEPARATE_RZQS {1}
	set_component_parameter_value DIAG_LPDDR3_INTERFACE_ID {0}
	set_component_parameter_value DIAG_LPDDR3_SEPARATE_READ_WRITE_ITFS {0}
	set_component_parameter_value DIAG_LPDDR3_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_LPDDR3_SIM_VERBOSE {1}
	set_component_parameter_value DIAG_LPDDR3_SKIP_CA_DESKEW {0}
	set_component_parameter_value DIAG_LPDDR3_SKIP_CA_LEVEL {0}
	set_component_parameter_value DIAG_LPDDR3_TG2_TEST_DURATION {SHORT}
	set_component_parameter_value DIAG_LPDDR3_USER_SIM_MEMORY_PRELOAD {0}
	set_component_parameter_value DIAG_LPDDR3_USER_SIM_MEMORY_PRELOAD_PRI_EMIF_FILE {EMIF_PRI_PRELOAD.txt}
	set_component_parameter_value DIAG_LPDDR3_USER_SIM_MEMORY_PRELOAD_SEC_EMIF_FILE {EMIF_SEC_PRELOAD.txt}
	set_component_parameter_value DIAG_LPDDR3_USER_USE_SIM_MEMORY_VALIDATION_TG {1}
	set_component_parameter_value DIAG_LPDDR3_USE_NEW_EFFMON_S10 {0}
	set_component_parameter_value DIAG_LPDDR3_USE_TG_AVL_2 {0}
	set_component_parameter_value DIAG_LPDDR3_USE_TG_HBM {0}
	set_component_parameter_value DIAG_QDR2_ABSTRACT_PHY {0}
	set_component_parameter_value DIAG_QDR2_AC_PARITY_ERR {0}
	set_component_parameter_value DIAG_QDR2_DISABLE_AFI_P2C_REGISTERS {0}
	set_component_parameter_value DIAG_QDR2_EFFICIENCY_MONITOR {EFFMON_MODE_DISABLED}
	set_component_parameter_value DIAG_QDR2_ENABLE_DEFAULT_MODE {0}
	set_component_parameter_value DIAG_QDR2_ENABLE_USER_MODE {1}
	set_component_parameter_value DIAG_QDR2_EXPORT_SEQ_AVALON_HEAD_OF_CHAIN {1}
	set_component_parameter_value DIAG_QDR2_EXPORT_SEQ_AVALON_MASTER {0}
	set_component_parameter_value DIAG_QDR2_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_QDR2_EXPORT_TG_CFG_AVALON_SLAVE {TG_CFG_AMM_EXPORT_MODE_EXPORT}
	set_component_parameter_value DIAG_QDR2_EX_DESIGN_ISSP_EN {1}
	set_component_parameter_value DIAG_QDR2_EX_DESIGN_NUM_OF_SLAVES {1}
	set_component_parameter_value DIAG_QDR2_EX_DESIGN_SEPARATE_RZQS {1}
	set_component_parameter_value DIAG_QDR2_INTERFACE_ID {0}
	set_component_parameter_value DIAG_QDR2_SEPARATE_READ_WRITE_ITFS {0}
	set_component_parameter_value DIAG_QDR2_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_QDR2_SIM_VERBOSE {1}
	set_component_parameter_value DIAG_QDR2_TG2_TEST_DURATION {SHORT}
	set_component_parameter_value DIAG_QDR2_USER_SIM_MEMORY_PRELOAD {0}
	set_component_parameter_value DIAG_QDR2_USER_SIM_MEMORY_PRELOAD_PRI_EMIF_FILE {EMIF_PRI_PRELOAD.txt}
	set_component_parameter_value DIAG_QDR2_USER_SIM_MEMORY_PRELOAD_SEC_EMIF_FILE {EMIF_SEC_PRELOAD.txt}
	set_component_parameter_value DIAG_QDR2_USER_USE_SIM_MEMORY_VALIDATION_TG {1}
	set_component_parameter_value DIAG_QDR2_USE_NEW_EFFMON_S10 {0}
	set_component_parameter_value DIAG_QDR2_USE_TG_AVL_2 {0}
	set_component_parameter_value DIAG_QDR2_USE_TG_HBM {0}
	set_component_parameter_value DIAG_QDR4_ABSTRACT_PHY {0}
	set_component_parameter_value DIAG_QDR4_AC_PARITY_ERR {0}
	set_component_parameter_value DIAG_QDR4_DISABLE_AFI_P2C_REGISTERS {0}
	set_component_parameter_value DIAG_QDR4_EFFICIENCY_MONITOR {EFFMON_MODE_DISABLED}
	set_component_parameter_value DIAG_QDR4_ENABLE_DEFAULT_MODE {0}
	set_component_parameter_value DIAG_QDR4_ENABLE_USER_MODE {1}
	set_component_parameter_value DIAG_QDR4_EXPORT_SEQ_AVALON_HEAD_OF_CHAIN {1}
	set_component_parameter_value DIAG_QDR4_EXPORT_SEQ_AVALON_MASTER {0}
	set_component_parameter_value DIAG_QDR4_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_QDR4_EXPORT_TG_CFG_AVALON_SLAVE {TG_CFG_AMM_EXPORT_MODE_EXPORT}
	set_component_parameter_value DIAG_QDR4_EX_DESIGN_ISSP_EN {1}
	set_component_parameter_value DIAG_QDR4_EX_DESIGN_NUM_OF_SLAVES {1}
	set_component_parameter_value DIAG_QDR4_EX_DESIGN_SEPARATE_RZQS {1}
	set_component_parameter_value DIAG_QDR4_INTERFACE_ID {0}
	set_component_parameter_value DIAG_QDR4_SEPARATE_READ_WRITE_ITFS {0}
	set_component_parameter_value DIAG_QDR4_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_QDR4_SIM_VERBOSE {1}
	set_component_parameter_value DIAG_QDR4_SKIP_VREF_CAL {0}
	set_component_parameter_value DIAG_QDR4_TG2_TEST_DURATION {SHORT}
	set_component_parameter_value DIAG_QDR4_USER_SIM_MEMORY_PRELOAD {0}
	set_component_parameter_value DIAG_QDR4_USER_SIM_MEMORY_PRELOAD_PRI_EMIF_FILE {EMIF_PRI_PRELOAD.txt}
	set_component_parameter_value DIAG_QDR4_USER_SIM_MEMORY_PRELOAD_SEC_EMIF_FILE {EMIF_SEC_PRELOAD.txt}
	set_component_parameter_value DIAG_QDR4_USER_USE_SIM_MEMORY_VALIDATION_TG {1}
	set_component_parameter_value DIAG_QDR4_USE_NEW_EFFMON_S10 {0}
	set_component_parameter_value DIAG_QDR4_USE_TG_AVL_2 {0}
	set_component_parameter_value DIAG_QDR4_USE_TG_HBM {0}
	set_component_parameter_value DIAG_RLD2_ABSTRACT_PHY {0}
	set_component_parameter_value DIAG_RLD2_AC_PARITY_ERR {0}
	set_component_parameter_value DIAG_RLD2_DISABLE_AFI_P2C_REGISTERS {0}
	set_component_parameter_value DIAG_RLD2_EFFICIENCY_MONITOR {EFFMON_MODE_DISABLED}
	set_component_parameter_value DIAG_RLD2_ENABLE_DEFAULT_MODE {0}
	set_component_parameter_value DIAG_RLD2_ENABLE_USER_MODE {1}
	set_component_parameter_value DIAG_RLD2_EXPORT_SEQ_AVALON_HEAD_OF_CHAIN {1}
	set_component_parameter_value DIAG_RLD2_EXPORT_SEQ_AVALON_MASTER {0}
	set_component_parameter_value DIAG_RLD2_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_RLD2_EXPORT_TG_CFG_AVALON_SLAVE {TG_CFG_AMM_EXPORT_MODE_EXPORT}
	set_component_parameter_value DIAG_RLD2_EX_DESIGN_ISSP_EN {1}
	set_component_parameter_value DIAG_RLD2_EX_DESIGN_NUM_OF_SLAVES {1}
	set_component_parameter_value DIAG_RLD2_EX_DESIGN_SEPARATE_RZQS {1}
	set_component_parameter_value DIAG_RLD2_INTERFACE_ID {0}
	set_component_parameter_value DIAG_RLD2_SEPARATE_READ_WRITE_ITFS {0}
	set_component_parameter_value DIAG_RLD2_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_RLD2_SIM_VERBOSE {1}
	set_component_parameter_value DIAG_RLD2_TG2_TEST_DURATION {SHORT}
	set_component_parameter_value DIAG_RLD2_USER_SIM_MEMORY_PRELOAD {0}
	set_component_parameter_value DIAG_RLD2_USER_SIM_MEMORY_PRELOAD_PRI_EMIF_FILE {EMIF_PRI_PRELOAD.txt}
	set_component_parameter_value DIAG_RLD2_USER_SIM_MEMORY_PRELOAD_SEC_EMIF_FILE {EMIF_SEC_PRELOAD.txt}
	set_component_parameter_value DIAG_RLD2_USER_USE_SIM_MEMORY_VALIDATION_TG {1}
	set_component_parameter_value DIAG_RLD2_USE_NEW_EFFMON_S10 {0}
	set_component_parameter_value DIAG_RLD2_USE_TG_AVL_2 {0}
	set_component_parameter_value DIAG_RLD2_USE_TG_HBM {0}
	set_component_parameter_value DIAG_RLD3_ABSTRACT_PHY {0}
	set_component_parameter_value DIAG_RLD3_AC_PARITY_ERR {0}
	set_component_parameter_value DIAG_RLD3_CA_DESKEW_EN {1}
	set_component_parameter_value DIAG_RLD3_CA_LEVEL_EN {1}
	set_component_parameter_value DIAG_RLD3_DISABLE_AFI_P2C_REGISTERS {0}
	set_component_parameter_value DIAG_RLD3_EFFICIENCY_MONITOR {EFFMON_MODE_DISABLED}
	set_component_parameter_value DIAG_RLD3_ENABLE_DEFAULT_MODE {0}
	set_component_parameter_value DIAG_RLD3_ENABLE_USER_MODE {1}
	set_component_parameter_value DIAG_RLD3_EXPORT_SEQ_AVALON_HEAD_OF_CHAIN {1}
	set_component_parameter_value DIAG_RLD3_EXPORT_SEQ_AVALON_MASTER {0}
	set_component_parameter_value DIAG_RLD3_EXPORT_SEQ_AVALON_SLAVE {CAL_DEBUG_EXPORT_MODE_DISABLED}
	set_component_parameter_value DIAG_RLD3_EXPORT_TG_CFG_AVALON_SLAVE {TG_CFG_AMM_EXPORT_MODE_EXPORT}
	set_component_parameter_value DIAG_RLD3_EX_DESIGN_ISSP_EN {1}
	set_component_parameter_value DIAG_RLD3_EX_DESIGN_NUM_OF_SLAVES {1}
	set_component_parameter_value DIAG_RLD3_EX_DESIGN_SEPARATE_RZQS {1}
	set_component_parameter_value DIAG_RLD3_INTERFACE_ID {0}
	set_component_parameter_value DIAG_RLD3_SEPARATE_READ_WRITE_ITFS {0}
	set_component_parameter_value DIAG_RLD3_SIM_CAL_MODE_ENUM {SIM_CAL_MODE_SKIP}
	set_component_parameter_value DIAG_RLD3_SIM_VERBOSE {1}
	set_component_parameter_value DIAG_RLD3_TG2_TEST_DURATION {SHORT}
	set_component_parameter_value DIAG_RLD3_USER_SIM_MEMORY_PRELOAD {0}
	set_component_parameter_value DIAG_RLD3_USER_SIM_MEMORY_PRELOAD_PRI_EMIF_FILE {EMIF_PRI_PRELOAD.txt}
	set_component_parameter_value DIAG_RLD3_USER_SIM_MEMORY_PRELOAD_SEC_EMIF_FILE {EMIF_SEC_PRELOAD.txt}
	set_component_parameter_value DIAG_RLD3_USER_USE_SIM_MEMORY_VALIDATION_TG {1}
	set_component_parameter_value DIAG_RLD3_USE_NEW_EFFMON_S10 {0}
	set_component_parameter_value DIAG_RLD3_USE_TG_AVL_2 {0}
	set_component_parameter_value DIAG_RLD3_USE_TG_HBM {0}
	set_component_parameter_value DIAG_RS232_UART_BAUDRATE {57600}
	set_component_parameter_value DIAG_SEQ_RESET_AUTO_RELEASE {avl}
	set_component_parameter_value DIAG_SIM_REGTEST_MODE {0}
	set_component_parameter_value DIAG_SOFT_NIOS_CLOCK_FREQUENCY {100}
	set_component_parameter_value DIAG_SOFT_NIOS_MODE {SOFT_NIOS_MODE_DISABLED}
	set_component_parameter_value DIAG_SYNTH_FOR_SIM {0}
	set_component_parameter_value DIAG_TG_AVL_2_NUM_CFG_INTERFACES {0}
	set_component_parameter_value DIAG_TIMING_REGTEST_MODE {0}
	set_component_parameter_value DIAG_USE_BOARD_DELAY_MODEL {0}
	set_component_parameter_value DIAG_USE_RS232_UART {0}
	set_component_parameter_value DIAG_VERBOSE_IOAUX {0}
	set_component_parameter_value EMIF_0_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_0_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_0_STORED_PARAM {}
	set_component_parameter_value EMIF_10_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_10_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_10_STORED_PARAM {}
	set_component_parameter_value EMIF_11_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_11_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_11_STORED_PARAM {}
	set_component_parameter_value EMIF_12_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_12_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_12_STORED_PARAM {}
	set_component_parameter_value EMIF_13_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_13_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_13_STORED_PARAM {}
	set_component_parameter_value EMIF_14_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_14_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_14_STORED_PARAM {}
	set_component_parameter_value EMIF_15_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_15_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_15_STORED_PARAM {}
	set_component_parameter_value EMIF_1_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_1_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_1_STORED_PARAM {}
	set_component_parameter_value EMIF_2_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_2_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_2_STORED_PARAM {}
	set_component_parameter_value EMIF_3_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_3_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_3_STORED_PARAM {}
	set_component_parameter_value EMIF_4_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_4_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_4_STORED_PARAM {}
	set_component_parameter_value EMIF_5_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_5_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_5_STORED_PARAM {}
	set_component_parameter_value EMIF_6_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_6_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_6_STORED_PARAM {}
	set_component_parameter_value EMIF_7_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_7_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_7_STORED_PARAM {}
	set_component_parameter_value EMIF_8_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_8_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_8_STORED_PARAM {}
	set_component_parameter_value EMIF_9_CONN_TO_CALIP {CALIP_0}
	set_component_parameter_value EMIF_9_REF_CLK_SHARING {EXPORTED}
	set_component_parameter_value EMIF_9_STORED_PARAM {}
	set_component_parameter_value EX_DESIGN_GUI_DDR3_GEN_BSI {0}
	set_component_parameter_value EX_DESIGN_GUI_DDR3_GEN_CDC {0}
	set_component_parameter_value EX_DESIGN_GUI_DDR3_GEN_SIM {1}
	set_component_parameter_value EX_DESIGN_GUI_DDR3_GEN_SYNTH {1}
	set_component_parameter_value EX_DESIGN_GUI_DDR3_HDL_FORMAT {HDL_FORMAT_VERILOG}
	set_component_parameter_value EX_DESIGN_GUI_DDR3_PREV_PRESET {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_DDR3_SEL_DESIGN {AVAIL_EX_DESIGNS_GEN_DESIGN}
	set_component_parameter_value EX_DESIGN_GUI_DDR3_TARGET_DEV_KIT {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_DDR4_GEN_BSI {0}
	set_component_parameter_value EX_DESIGN_GUI_DDR4_GEN_CDC {0}
	set_component_parameter_value EX_DESIGN_GUI_DDR4_GEN_SIM {1}
	set_component_parameter_value EX_DESIGN_GUI_DDR4_GEN_SYNTH {1}
	set_component_parameter_value EX_DESIGN_GUI_DDR4_HDL_FORMAT {HDL_FORMAT_VERILOG}
	set_component_parameter_value EX_DESIGN_GUI_DDR4_PREV_PRESET {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_DDR4_SEL_DESIGN {AVAIL_EX_DESIGNS_GEN_DESIGN}
	set_component_parameter_value EX_DESIGN_GUI_DDR4_TARGET_DEV_KIT {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_DDRT_GEN_BSI {0}
	set_component_parameter_value EX_DESIGN_GUI_DDRT_GEN_CDC {0}
	set_component_parameter_value EX_DESIGN_GUI_DDRT_GEN_SIM {1}
	set_component_parameter_value EX_DESIGN_GUI_DDRT_GEN_SYNTH {1}
	set_component_parameter_value EX_DESIGN_GUI_DDRT_HDL_FORMAT {HDL_FORMAT_VERILOG}
	set_component_parameter_value EX_DESIGN_GUI_DDRT_PREV_PRESET {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_DDRT_SEL_DESIGN {AVAIL_EX_DESIGNS_GEN_DESIGN}
	set_component_parameter_value EX_DESIGN_GUI_DDRT_TARGET_DEV_KIT {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_LPDDR3_GEN_BSI {0}
	set_component_parameter_value EX_DESIGN_GUI_LPDDR3_GEN_CDC {0}
	set_component_parameter_value EX_DESIGN_GUI_LPDDR3_GEN_SIM {1}
	set_component_parameter_value EX_DESIGN_GUI_LPDDR3_GEN_SYNTH {1}
	set_component_parameter_value EX_DESIGN_GUI_LPDDR3_HDL_FORMAT {HDL_FORMAT_VERILOG}
	set_component_parameter_value EX_DESIGN_GUI_LPDDR3_PREV_PRESET {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_LPDDR3_SEL_DESIGN {AVAIL_EX_DESIGNS_GEN_DESIGN}
	set_component_parameter_value EX_DESIGN_GUI_LPDDR3_TARGET_DEV_KIT {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_QDR2_GEN_BSI {0}
	set_component_parameter_value EX_DESIGN_GUI_QDR2_GEN_CDC {0}
	set_component_parameter_value EX_DESIGN_GUI_QDR2_GEN_SIM {1}
	set_component_parameter_value EX_DESIGN_GUI_QDR2_GEN_SYNTH {1}
	set_component_parameter_value EX_DESIGN_GUI_QDR2_HDL_FORMAT {HDL_FORMAT_VERILOG}
	set_component_parameter_value EX_DESIGN_GUI_QDR2_PREV_PRESET {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_QDR2_SEL_DESIGN {AVAIL_EX_DESIGNS_GEN_DESIGN}
	set_component_parameter_value EX_DESIGN_GUI_QDR2_TARGET_DEV_KIT {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_QDR4_GEN_BSI {0}
	set_component_parameter_value EX_DESIGN_GUI_QDR4_GEN_CDC {0}
	set_component_parameter_value EX_DESIGN_GUI_QDR4_GEN_SIM {1}
	set_component_parameter_value EX_DESIGN_GUI_QDR4_GEN_SYNTH {1}
	set_component_parameter_value EX_DESIGN_GUI_QDR4_HDL_FORMAT {HDL_FORMAT_VERILOG}
	set_component_parameter_value EX_DESIGN_GUI_QDR4_PREV_PRESET {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_QDR4_SEL_DESIGN {AVAIL_EX_DESIGNS_GEN_DESIGN}
	set_component_parameter_value EX_DESIGN_GUI_QDR4_TARGET_DEV_KIT {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_RLD2_GEN_BSI {0}
	set_component_parameter_value EX_DESIGN_GUI_RLD2_GEN_CDC {0}
	set_component_parameter_value EX_DESIGN_GUI_RLD2_GEN_SIM {1}
	set_component_parameter_value EX_DESIGN_GUI_RLD2_GEN_SYNTH {1}
	set_component_parameter_value EX_DESIGN_GUI_RLD2_HDL_FORMAT {HDL_FORMAT_VERILOG}
	set_component_parameter_value EX_DESIGN_GUI_RLD2_PREV_PRESET {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_RLD2_SEL_DESIGN {AVAIL_EX_DESIGNS_GEN_DESIGN}
	set_component_parameter_value EX_DESIGN_GUI_RLD2_TARGET_DEV_KIT {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_RLD3_GEN_BSI {0}
	set_component_parameter_value EX_DESIGN_GUI_RLD3_GEN_CDC {0}
	set_component_parameter_value EX_DESIGN_GUI_RLD3_GEN_SIM {1}
	set_component_parameter_value EX_DESIGN_GUI_RLD3_GEN_SYNTH {1}
	set_component_parameter_value EX_DESIGN_GUI_RLD3_HDL_FORMAT {HDL_FORMAT_VERILOG}
	set_component_parameter_value EX_DESIGN_GUI_RLD3_PREV_PRESET {TARGET_DEV_KIT_NONE}
	set_component_parameter_value EX_DESIGN_GUI_RLD3_SEL_DESIGN {AVAIL_EX_DESIGNS_GEN_DESIGN}
	set_component_parameter_value EX_DESIGN_GUI_RLD3_TARGET_DEV_KIT {TARGET_DEV_KIT_NONE}
	set_component_parameter_value INTERNAL_TESTING_MODE {0}
	set_component_parameter_value IS_ED_SLAVE {0}
	set_component_parameter_value MEM_DDR3_ALERT_N_DQS_GROUP {0}
	set_component_parameter_value MEM_DDR3_ALERT_N_PLACEMENT_ENUM {DDR3_ALERT_N_PLACEMENT_AC_LANES}
	set_component_parameter_value MEM_DDR3_ASR_ENUM {DDR3_ASR_MANUAL}
	set_component_parameter_value MEM_DDR3_ATCL_ENUM {DDR3_ATCL_DISABLED}
	set_component_parameter_value MEM_DDR3_BANK_ADDR_WIDTH {3}
	set_component_parameter_value MEM_DDR3_BL_ENUM {DDR3_BL_BL8}
	set_component_parameter_value MEM_DDR3_BT_ENUM {DDR3_BT_SEQUENTIAL}
	set_component_parameter_value MEM_DDR3_CFG_GEN_DBE {0}
	set_component_parameter_value MEM_DDR3_CFG_GEN_SBE {0}
	set_component_parameter_value MEM_DDR3_CKE_PER_DIMM {1}
	set_component_parameter_value MEM_DDR3_CK_WIDTH {1}
	set_component_parameter_value MEM_DDR3_COL_ADDR_WIDTH {10}
	set_component_parameter_value MEM_DDR3_DISCRETE_CS_WIDTH {1}
	set_component_parameter_value MEM_DDR3_DISCRETE_MIRROR_ADDRESSING_EN {0}
	set_component_parameter_value MEM_DDR3_DLL_EN {1}
	set_component_parameter_value MEM_DDR3_DM_EN {1}
	set_component_parameter_value MEM_DDR3_DQ_PER_DQS {8}
	set_component_parameter_value MEM_DDR3_DQ_WIDTH {72}
	set_component_parameter_value MEM_DDR3_DRV_STR_ENUM {DDR3_DRV_STR_RZQ_7}
	set_component_parameter_value MEM_DDR3_FORMAT_ENUM {MEM_FORMAT_UDIMM}
	set_component_parameter_value MEM_DDR3_HIDE_ADV_MR_SETTINGS {1}
	set_component_parameter_value MEM_DDR3_LRDIMM_EXTENDED_CONFIG {000000000000000000}
	set_component_parameter_value MEM_DDR3_MIRROR_ADDRESSING_EN {1}
	set_component_parameter_value MEM_DDR3_NUM_OF_DIMMS {1}
	set_component_parameter_value MEM_DDR3_PD_ENUM {DDR3_PD_OFF}
	set_component_parameter_value MEM_DDR3_RANKS_PER_DIMM {1}
	set_component_parameter_value MEM_DDR3_RDIMM_CONFIG {0000000000000000}
	set_component_parameter_value MEM_DDR3_ROW_ADDR_WIDTH {15}
	set_component_parameter_value MEM_DDR3_RTT_NOM_ENUM {DDR3_RTT_NOM_ODT_DISABLED}
	set_component_parameter_value MEM_DDR3_RTT_WR_ENUM {DDR3_RTT_WR_RZQ_4}
	set_component_parameter_value MEM_DDR3_R_ODT0_1X1 {off}
	set_component_parameter_value MEM_DDR3_R_ODT0_2X2 {off off}
	set_component_parameter_value MEM_DDR3_R_ODT0_4X2 {off off on on}
	set_component_parameter_value MEM_DDR3_R_ODT0_4X4 {off off on off}
	set_component_parameter_value MEM_DDR3_R_ODT1_2X2 {off off}
	set_component_parameter_value MEM_DDR3_R_ODT1_4X2 {on on off off}
	set_component_parameter_value MEM_DDR3_R_ODT1_4X4 {off off off on}
	set_component_parameter_value MEM_DDR3_R_ODT2_4X4 {on off off off}
	set_component_parameter_value MEM_DDR3_R_ODT3_4X4 {off on off off}
	set_component_parameter_value MEM_DDR3_R_ODTN_1X1 {Rank\ 0}
	set_component_parameter_value MEM_DDR3_R_ODTN_2X2 {Rank\ 0 Rank\ 1}
	set_component_parameter_value MEM_DDR3_R_ODTN_4X2 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDR3_R_ODTN_4X4 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDR3_SPEEDBIN_ENUM {DDR3_SPEEDBIN_2133}
	set_component_parameter_value MEM_DDR3_SRT_ENUM {DDR3_SRT_NORMAL}
	set_component_parameter_value MEM_DDR3_TCL {14}
	set_component_parameter_value MEM_DDR3_TDH_DC_MV {100}
	set_component_parameter_value MEM_DDR3_TDH_PS {55}
	set_component_parameter_value MEM_DDR3_TDQSCK_PS {180}
	set_component_parameter_value MEM_DDR3_TDQSQ_PS {75}
	set_component_parameter_value MEM_DDR3_TDQSS_CYC {0.27}
	set_component_parameter_value MEM_DDR3_TDSH_CYC {0.18}
	set_component_parameter_value MEM_DDR3_TDSS_CYC {0.18}
	set_component_parameter_value MEM_DDR3_TDS_AC_MV {135}
	set_component_parameter_value MEM_DDR3_TDS_PS {53}
	set_component_parameter_value MEM_DDR3_TFAW_NS {25.0}
	set_component_parameter_value MEM_DDR3_TIH_DC_MV {100}
	set_component_parameter_value MEM_DDR3_TIH_PS {95}
	set_component_parameter_value MEM_DDR3_TINIT_US {500}
	set_component_parameter_value MEM_DDR3_TIS_AC_MV {135}
	set_component_parameter_value MEM_DDR3_TIS_PS {60}
	set_component_parameter_value MEM_DDR3_TMRD_CK_CYC {4}
	set_component_parameter_value MEM_DDR3_TQH_CYC {0.38}
	set_component_parameter_value MEM_DDR3_TQSH_CYC {0.4}
	set_component_parameter_value MEM_DDR3_TRAS_NS {33.0}
	set_component_parameter_value MEM_DDR3_TRCD_NS {13.09}
	set_component_parameter_value MEM_DDR3_TREFI_US {7.8}
	set_component_parameter_value MEM_DDR3_TRFC_NS {160.0}
	set_component_parameter_value MEM_DDR3_TRP_NS {13.09}
	set_component_parameter_value MEM_DDR3_TRRD_CYC {6}
	set_component_parameter_value MEM_DDR3_TRTP_CYC {8}
	set_component_parameter_value MEM_DDR3_TWLH_PS {125.0}
	set_component_parameter_value MEM_DDR3_TWLS_PS {125.0}
	set_component_parameter_value MEM_DDR3_TWR_NS {15.0}
	set_component_parameter_value MEM_DDR3_TWTR_CYC {8}
	set_component_parameter_value MEM_DDR3_USE_DEFAULT_ODT {1}
	set_component_parameter_value MEM_DDR3_WTCL {10}
	set_component_parameter_value MEM_DDR3_W_ODT0_1X1 {on}
	set_component_parameter_value MEM_DDR3_W_ODT0_2X2 {on off}
	set_component_parameter_value MEM_DDR3_W_ODT0_4X2 {off off on on}
	set_component_parameter_value MEM_DDR3_W_ODT0_4X4 {on off on off}
	set_component_parameter_value MEM_DDR3_W_ODT1_2X2 {off on}
	set_component_parameter_value MEM_DDR3_W_ODT1_4X2 {on on off off}
	set_component_parameter_value MEM_DDR3_W_ODT1_4X4 {off on off on}
	set_component_parameter_value MEM_DDR3_W_ODT2_4X4 {on off on off}
	set_component_parameter_value MEM_DDR3_W_ODT3_4X4 {off on off on}
	set_component_parameter_value MEM_DDR3_W_ODTN_1X1 {Rank\ 0}
	set_component_parameter_value MEM_DDR3_W_ODTN_2X2 {Rank\ 0 Rank\ 1}
	set_component_parameter_value MEM_DDR3_W_ODTN_4X2 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDR3_W_ODTN_4X4 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDR4_AC_PARITY_LATENCY {DDR4_AC_PARITY_LATENCY_DISABLE}
	set_component_parameter_value MEM_DDR4_AC_PERSISTENT_ERROR {0}
	set_component_parameter_value MEM_DDR4_ALERT_N_AC_LANE {3}
	set_component_parameter_value MEM_DDR4_ALERT_N_AC_PIN {8}
	set_component_parameter_value MEM_DDR4_ALERT_N_DQS_GROUP {0}
	set_component_parameter_value MEM_DDR4_ALERT_N_PLACEMENT_ENUM {DDR4_ALERT_N_PLACEMENT_FM_LANE3}
	set_component_parameter_value MEM_DDR4_ALERT_PAR_EN {1}
	set_component_parameter_value MEM_DDR4_ASR_ENUM {DDR4_ASR_MANUAL_NORMAL}
	set_component_parameter_value MEM_DDR4_ATCL_ENUM {DDR4_ATCL_DISABLED}
	set_component_parameter_value MEM_DDR4_BANK_ADDR_WIDTH {2}
	set_component_parameter_value MEM_DDR4_BANK_GROUP_WIDTH {2}
	set_component_parameter_value MEM_DDR4_BL_ENUM {DDR4_BL_BL8}
	set_component_parameter_value MEM_DDR4_BT_ENUM {DDR4_BT_SEQUENTIAL}
	set_component_parameter_value MEM_DDR4_CAL_MODE {0}
	set_component_parameter_value MEM_DDR4_CFG_GEN_DBE {0}
	set_component_parameter_value MEM_DDR4_CFG_GEN_SBE {0}
	set_component_parameter_value MEM_DDR4_CHIP_ID_WIDTH {0}
	set_component_parameter_value MEM_DDR4_CKE_PER_DIMM {1}
	set_component_parameter_value MEM_DDR4_CK_WIDTH {1}
	set_component_parameter_value MEM_DDR4_COL_ADDR_WIDTH {10}
	set_component_parameter_value MEM_DDR4_DB_DQ_DRV_ENUM {DDR4_DB_DRV_STR_RZQ_7}
	set_component_parameter_value MEM_DDR4_DB_RTT_NOM_ENUM {DDR4_DB_RTT_NOM_ODT_DISABLED}
	set_component_parameter_value MEM_DDR4_DB_RTT_PARK_ENUM {DDR4_DB_RTT_PARK_ODT_DISABLED}
	set_component_parameter_value MEM_DDR4_DB_RTT_WR_ENUM {DDR4_DB_RTT_WR_RZQ_3}
	set_component_parameter_value MEM_DDR4_DEFAULT_VREFOUT {1}
	set_component_parameter_value MEM_DDR4_DISCRETE_CS_WIDTH {1}
	set_component_parameter_value MEM_DDR4_DISCRETE_MIRROR_ADDRESSING_EN {0}
	set_component_parameter_value MEM_DDR4_DLL_EN {1}
	set_component_parameter_value MEM_DDR4_DM_EN {0}
	set_component_parameter_value MEM_DDR4_DQ_PER_DQS {4}
	set_component_parameter_value MEM_DDR4_DQ_WIDTH {72}
	set_component_parameter_value MEM_DDR4_DRV_STR_ENUM {DDR4_DRV_STR_RZQ_7}
	set_component_parameter_value MEM_DDR4_FINE_GRANULARITY_REFRESH {DDR4_FINE_REFRESH_FIXED_1X}
	set_component_parameter_value MEM_DDR4_FORMAT_ENUM {MEM_FORMAT_RDIMM}
	set_component_parameter_value MEM_DDR4_GEARDOWN {DDR4_GEARDOWN_HR}
	set_component_parameter_value MEM_DDR4_HIDE_ADV_MR_SETTINGS {1}
	set_component_parameter_value MEM_DDR4_INTEL_DEFAULT_TERM {1}
	set_component_parameter_value MEM_DDR4_INTERNAL_VREFDQ_MONITOR {0}
	set_component_parameter_value MEM_DDR4_LRDIMM_ODT_LESS_BS {1}
	set_component_parameter_value MEM_DDR4_LRDIMM_ODT_LESS_BS_PARK_OHM {240}
	set_component_parameter_value MEM_DDR4_LRDIMM_VREFDQ_VALUE {}
	set_component_parameter_value MEM_DDR4_MAX_POWERDOWN {0}
	set_component_parameter_value MEM_DDR4_MIRROR_ADDRESSING_EN {1}
	set_component_parameter_value MEM_DDR4_MPR_READ_FORMAT {DDR4_MPR_READ_FORMAT_SERIAL}
	set_component_parameter_value MEM_DDR4_NUM_OF_DIMMS {1}
	set_component_parameter_value MEM_DDR4_ODT_IN_POWERDOWN {1}
	set_component_parameter_value MEM_DDR4_PER_DRAM_ADDR {0}
	set_component_parameter_value MEM_DDR4_RANKS_PER_DIMM {1}
	set_component_parameter_value MEM_DDR4_RCD_CA_IBT_ENUM {DDR4_RCD_CA_IBT_100}
	set_component_parameter_value MEM_DDR4_RCD_CKE_IBT_ENUM {DDR4_RCD_CKE_IBT_100}
	set_component_parameter_value MEM_DDR4_RCD_CS_IBT_ENUM {DDR4_RCD_CS_IBT_100}
	set_component_parameter_value MEM_DDR4_RCD_ODT_IBT_ENUM {DDR4_RCD_ODT_IBT_100}
	set_component_parameter_value MEM_DDR4_READ_DBI {0}
	set_component_parameter_value MEM_DDR4_READ_PREAMBLE {2}
	set_component_parameter_value MEM_DDR4_READ_PREAMBLE_TRAINING {0}
	set_component_parameter_value MEM_DDR4_ROW_ADDR_WIDTH {17}
	set_component_parameter_value MEM_DDR4_RTT_NOM_ENUM {DDR4_RTT_NOM_RZQ_4}
	set_component_parameter_value MEM_DDR4_RTT_PARK {DDR4_RTT_PARK_ODT_DISABLED}
	set_component_parameter_value MEM_DDR4_RTT_WR_ENUM {DDR4_RTT_WR_ODT_DISABLED}
	set_component_parameter_value MEM_DDR4_R_ODT0_1X1 {off}
	set_component_parameter_value MEM_DDR4_R_ODT0_2X2 {off off}
	set_component_parameter_value MEM_DDR4_R_ODT0_4X2 {off off on on}
	set_component_parameter_value MEM_DDR4_R_ODT0_4X4 {off off on off}
	set_component_parameter_value MEM_DDR4_R_ODT1_2X2 {off off}
	set_component_parameter_value MEM_DDR4_R_ODT1_4X2 {on on off off}
	set_component_parameter_value MEM_DDR4_R_ODT1_4X4 {off off off on}
	set_component_parameter_value MEM_DDR4_R_ODT2_4X4 {on off off off}
	set_component_parameter_value MEM_DDR4_R_ODT3_4X4 {off on off off}
	set_component_parameter_value MEM_DDR4_R_ODTN_1X1 {Rank\ 0}
	set_component_parameter_value MEM_DDR4_R_ODTN_2X2 {Rank\ 0 Rank\ 1}
	set_component_parameter_value MEM_DDR4_R_ODTN_4X2 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDR4_R_ODTN_4X4 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDR4_SELF_RFSH_ABORT {0}
	set_component_parameter_value MEM_DDR4_SPD_133_RCD_DB_VENDOR_LSB {0}
	set_component_parameter_value MEM_DDR4_SPD_134_RCD_DB_VENDOR_MSB {0}
	set_component_parameter_value MEM_DDR4_SPD_135_RCD_REV {0}
	set_component_parameter_value MEM_DDR4_SPD_137_RCD_CA_DRV {101}
	set_component_parameter_value MEM_DDR4_SPD_138_RCD_CK_DRV {5}
	set_component_parameter_value MEM_DDR4_SPD_139_DB_REV {0}
	set_component_parameter_value MEM_DDR4_SPD_140_DRAM_VREFDQ_R0 {29}
	set_component_parameter_value MEM_DDR4_SPD_141_DRAM_VREFDQ_R1 {29}
	set_component_parameter_value MEM_DDR4_SPD_142_DRAM_VREFDQ_R2 {29}
	set_component_parameter_value MEM_DDR4_SPD_143_DRAM_VREFDQ_R3 {29}
	set_component_parameter_value MEM_DDR4_SPD_144_DB_VREFDQ {37}
	set_component_parameter_value MEM_DDR4_SPD_145_DB_MDQ_DRV {21}
	set_component_parameter_value MEM_DDR4_SPD_148_DRAM_DRV {0}
	set_component_parameter_value MEM_DDR4_SPD_149_DRAM_RTT_WR_NOM {20}
	set_component_parameter_value MEM_DDR4_SPD_152_DRAM_RTT_PARK {39}
	set_component_parameter_value MEM_DDR4_SPD_155_DB_VREFDQ_RANGE {0}
	set_component_parameter_value MEM_DDR4_SPEEDBIN_ENUM {DDR4_SPEEDBIN_3200}
	set_component_parameter_value MEM_DDR4_TCCD_L_CYC {7}
	set_component_parameter_value MEM_DDR4_TCCD_S_CYC {4}
	set_component_parameter_value MEM_DDR4_TCL {20}
	set_component_parameter_value MEM_DDR4_TDIVW_DJ_CYC {0.1}
	set_component_parameter_value MEM_DDR4_TDIVW_TOTAL_UI {0.23}
	set_component_parameter_value MEM_DDR4_TDQSCK_PS {160}
	set_component_parameter_value MEM_DDR4_TDQSQ_PS {66}
	set_component_parameter_value MEM_DDR4_TDQSQ_UI {0.2}
	set_component_parameter_value MEM_DDR4_TDQSS_CYC {0.27}
	set_component_parameter_value MEM_DDR4_TDSH_CYC {0.18}
	set_component_parameter_value MEM_DDR4_TDSS_CYC {0.18}
	set_component_parameter_value MEM_DDR4_TDVWP_UI {0.72}
	set_component_parameter_value MEM_DDR4_TEMP_CONTROLLED_RFSH_ENA {0}
	set_component_parameter_value MEM_DDR4_TEMP_CONTROLLED_RFSH_RANGE {DDR4_TEMP_CONTROLLED_RFSH_NORMAL}
	set_component_parameter_value MEM_DDR4_TEMP_SENSOR_READOUT {0}
	set_component_parameter_value MEM_DDR4_TFAW_DLR_CYC {16}
	set_component_parameter_value MEM_DDR4_TFAW_NS {12.0}
	set_component_parameter_value MEM_DDR4_TIH_DC_MV {65}
	set_component_parameter_value MEM_DDR4_TIH_PS {65}
	set_component_parameter_value MEM_DDR4_TINIT_US {500}
	set_component_parameter_value MEM_DDR4_TIS_AC_MV {90}
	set_component_parameter_value MEM_DDR4_TIS_PS {40}
	set_component_parameter_value MEM_DDR4_TMRD_CK_CYC {8}
	set_component_parameter_value MEM_DDR4_TQH_CYC {0.38}
	set_component_parameter_value MEM_DDR4_TQH_UI {0.7}
	set_component_parameter_value MEM_DDR4_TQSH_CYC {0.4}
	set_component_parameter_value MEM_DDR4_TRAS_NS {32.0}
	set_component_parameter_value MEM_DDR4_TRCD_NS {13.75}
	set_component_parameter_value MEM_DDR4_TREFI_US {7.8}
	set_component_parameter_value MEM_DDR4_TRFC_DLR_NS {90.0}
	set_component_parameter_value MEM_DDR4_TRFC_NS {350.0}
	set_component_parameter_value MEM_DDR4_TRP_NS {13.75}
	set_component_parameter_value MEM_DDR4_TRRD_DLR_CYC {4}
	set_component_parameter_value MEM_DDR4_TRRD_L_CYC {7}
	set_component_parameter_value MEM_DDR4_TRRD_S_CYC {4}
	set_component_parameter_value MEM_DDR4_TWLH_CYC {0.13}
	set_component_parameter_value MEM_DDR4_TWLH_PS {0.0}
	set_component_parameter_value MEM_DDR4_TWLS_CYC {0.13}
	set_component_parameter_value MEM_DDR4_TWLS_PS {0.0}
	set_component_parameter_value MEM_DDR4_TWR_NS {15.0}
	set_component_parameter_value MEM_DDR4_TWTR_L_CYC {10}
	set_component_parameter_value MEM_DDR4_TWTR_S_CYC {4}
	set_component_parameter_value MEM_DDR4_USER_VREFDQ_TRAINING_RANGE {DDR4_VREFDQ_TRAINING_RANGE_1}
	set_component_parameter_value MEM_DDR4_USER_VREFDQ_TRAINING_VALUE {56.0}
	set_component_parameter_value MEM_DDR4_USE_DEFAULT_ODT {1}
	set_component_parameter_value MEM_DDR4_VDIVW_TOTAL {110}
	set_component_parameter_value MEM_DDR4_WRITE_CRC {0}
	set_component_parameter_value MEM_DDR4_WRITE_DBI {0}
	set_component_parameter_value MEM_DDR4_WRITE_PREAMBLE {1}
	set_component_parameter_value MEM_DDR4_WTCL {18}
	set_component_parameter_value MEM_DDR4_W_ODT0_1X1 {on}
	set_component_parameter_value MEM_DDR4_W_ODT0_2X2 {on off}
	set_component_parameter_value MEM_DDR4_W_ODT0_4X2 {off off on on}
	set_component_parameter_value MEM_DDR4_W_ODT0_4X4 {on off on off}
	set_component_parameter_value MEM_DDR4_W_ODT1_2X2 {off on}
	set_component_parameter_value MEM_DDR4_W_ODT1_4X2 {on on off off}
	set_component_parameter_value MEM_DDR4_W_ODT1_4X4 {off on off on}
	set_component_parameter_value MEM_DDR4_W_ODT2_4X4 {on off on off}
	set_component_parameter_value MEM_DDR4_W_ODT3_4X4 {off on off on}
	set_component_parameter_value MEM_DDR4_W_ODTN_1X1 {Rank\ 0}
	set_component_parameter_value MEM_DDR4_W_ODTN_2X2 {Rank\ 0 Rank\ 1}
	set_component_parameter_value MEM_DDR4_W_ODTN_4X2 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDR4_W_ODTN_4X4 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDRT_AC_PARITY_LATENCY {DDRT_AC_PARITY_LATENCY_DISABLE}
	set_component_parameter_value MEM_DDRT_AC_PERSISTENT_ERROR {0}
	set_component_parameter_value MEM_DDRT_ALERT_N_AC_LANE {0}
	set_component_parameter_value MEM_DDRT_ALERT_N_AC_PIN {0}
	set_component_parameter_value MEM_DDRT_ALERT_N_DQS_GROUP {0}
	set_component_parameter_value MEM_DDRT_ALERT_N_PLACEMENT_ENUM {DDRT_ALERT_N_PLACEMENT_AUTO}
	set_component_parameter_value MEM_DDRT_ALERT_PAR_EN {1}
	set_component_parameter_value MEM_DDRT_ASR_ENUM {DDRT_ASR_MANUAL_NORMAL}
	set_component_parameter_value MEM_DDRT_ATCL_ENUM {DDRT_ATCL_DISABLED}
	set_component_parameter_value MEM_DDRT_BANK_ADDR_WIDTH {2}
	set_component_parameter_value MEM_DDRT_BANK_GROUP_WIDTH {2}
	set_component_parameter_value MEM_DDRT_BL_ENUM {DDRT_BL_BL8}
	set_component_parameter_value MEM_DDRT_BT_ENUM {DDRT_BT_SEQUENTIAL}
	set_component_parameter_value MEM_DDRT_CAL_MODE {0}
	set_component_parameter_value MEM_DDRT_CFG_GEN_DBE {0}
	set_component_parameter_value MEM_DDRT_CFG_GEN_SBE {0}
	set_component_parameter_value MEM_DDRT_CKE_PER_DIMM {1}
	set_component_parameter_value MEM_DDRT_COL_ADDR_WIDTH {10}
	set_component_parameter_value MEM_DDRT_DB_DQ_DRV_ENUM {DDRT_DB_DRV_STR_RZQ_7}
	set_component_parameter_value MEM_DDRT_DB_RTT_NOM_ENUM {DDRT_DB_RTT_NOM_ODT_DISABLED}
	set_component_parameter_value MEM_DDRT_DB_RTT_PARK_ENUM {DDRT_DB_RTT_PARK_ODT_DISABLED}
	set_component_parameter_value MEM_DDRT_DB_RTT_WR_ENUM {DDRT_DB_RTT_WR_RZQ_4}
	set_component_parameter_value MEM_DDRT_DEFAULT_ADDED_LATENCY {1}
	set_component_parameter_value MEM_DDRT_DEFAULT_PREAMBLE {1}
	set_component_parameter_value MEM_DDRT_DEFAULT_VREFOUT {1}
	set_component_parameter_value MEM_DDRT_DISCRETE_CS_WIDTH {1}
	set_component_parameter_value MEM_DDRT_DISCRETE_MIRROR_ADDRESSING_EN {0}
	set_component_parameter_value MEM_DDRT_DLL_EN {1}
	set_component_parameter_value MEM_DDRT_DM_EN {0}
	set_component_parameter_value MEM_DDRT_DQ_PER_DQS {4}
	set_component_parameter_value MEM_DDRT_DQ_WIDTH {72}
	set_component_parameter_value MEM_DDRT_DRV_STR_ENUM {DDRT_DRV_STR_RZQ_7}
	set_component_parameter_value MEM_DDRT_FINE_GRANULARITY_REFRESH {DDRT_FINE_REFRESH_FIXED_1X}
	set_component_parameter_value MEM_DDRT_FORMAT_ENUM {MEM_FORMAT_LRDIMM}
	set_component_parameter_value MEM_DDRT_GEARDOWN {DDRT_GEARDOWN_HR}
	set_component_parameter_value MEM_DDRT_HIDE_ADV_MR_SETTINGS {1}
	set_component_parameter_value MEM_DDRT_HIDE_LATENCY_SETTINGS {1}
	set_component_parameter_value MEM_DDRT_I2C_DIMM_0_SA {0}
	set_component_parameter_value MEM_DDRT_I2C_DIMM_1_SA {1}
	set_component_parameter_value MEM_DDRT_I2C_DIMM_2_SA {2}
	set_component_parameter_value MEM_DDRT_I2C_DIMM_3_SA {3}
	set_component_parameter_value MEM_DDRT_INTERNAL_VREFDQ_MONITOR {0}
	set_component_parameter_value MEM_DDRT_LRDIMM_ODT_LESS_BS {0}
	set_component_parameter_value MEM_DDRT_LRDIMM_ODT_LESS_BS_PARK_OHM {240}
	set_component_parameter_value MEM_DDRT_LRDIMM_VREFDQ_VALUE {}
	set_component_parameter_value MEM_DDRT_MAX_POWERDOWN {0}
	set_component_parameter_value MEM_DDRT_MIRROR_ADDRESSING_EN {1}
	set_component_parameter_value MEM_DDRT_MPR_READ_FORMAT {DDRT_MPR_READ_FORMAT_SERIAL}
	set_component_parameter_value MEM_DDRT_NUM_OF_DIMMS {1}
	set_component_parameter_value MEM_DDRT_ODT_IN_POWERDOWN {1}
	set_component_parameter_value MEM_DDRT_PARTIAL_WRITES {0}
	set_component_parameter_value MEM_DDRT_PERSISTENT_MODE {1}
	set_component_parameter_value MEM_DDRT_PER_DRAM_ADDR {0}
	set_component_parameter_value MEM_DDRT_PWR_MODE {DDRT_PWR_MODE_12W}
	set_component_parameter_value MEM_DDRT_RANKS_PER_DIMM {1}
	set_component_parameter_value MEM_DDRT_RCD_CA_IBT_ENUM {DDRT_RCD_CA_IBT_100}
	set_component_parameter_value MEM_DDRT_RCD_CKE_IBT_ENUM {DDRT_RCD_CKE_IBT_100}
	set_component_parameter_value MEM_DDRT_RCD_CS_IBT_ENUM {DDRT_RCD_CS_IBT_100}
	set_component_parameter_value MEM_DDRT_RCD_ODT_IBT_ENUM {DDRT_RCD_ODT_IBT_100}
	set_component_parameter_value MEM_DDRT_READ_DBI {0}
	set_component_parameter_value MEM_DDRT_READ_PREAMBLE_TRAINING {0}
	set_component_parameter_value MEM_DDRT_ROW_ADDR_WIDTH {18}
	set_component_parameter_value MEM_DDRT_RTT_NOM_ENUM {DDRT_RTT_NOM_RZQ_4}
	set_component_parameter_value MEM_DDRT_RTT_PARK {DDRT_RTT_PARK_ODT_DISABLED}
	set_component_parameter_value MEM_DDRT_RTT_WR_ENUM {DDRT_RTT_WR_ODT_DISABLED}
	set_component_parameter_value MEM_DDRT_R_ODT0_1X1 {off}
	set_component_parameter_value MEM_DDRT_R_ODT0_2X2 {off off}
	set_component_parameter_value MEM_DDRT_R_ODT0_4X2 {off off on on}
	set_component_parameter_value MEM_DDRT_R_ODT0_4X4 {off off off off}
	set_component_parameter_value MEM_DDRT_R_ODT1_2X2 {off off}
	set_component_parameter_value MEM_DDRT_R_ODT1_4X2 {on on off off}
	set_component_parameter_value MEM_DDRT_R_ODT1_4X4 {off off on on}
	set_component_parameter_value MEM_DDRT_R_ODT2_4X4 {off off off off}
	set_component_parameter_value MEM_DDRT_R_ODT3_4X4 {on on off off}
	set_component_parameter_value MEM_DDRT_R_ODTN_1X1 {Rank\ 0}
	set_component_parameter_value MEM_DDRT_R_ODTN_2X2 {Rank\ 0 Rank\ 1}
	set_component_parameter_value MEM_DDRT_R_ODTN_4X2 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDRT_R_ODTN_4X4 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDRT_SELF_RFSH_ABORT {0}
	set_component_parameter_value MEM_DDRT_SPD_133_RCD_DB_VENDOR_LSB {0}
	set_component_parameter_value MEM_DDRT_SPD_134_RCD_DB_VENDOR_MSB {0}
	set_component_parameter_value MEM_DDRT_SPD_135_RCD_REV {0}
	set_component_parameter_value MEM_DDRT_SPD_137_RCD_CA_DRV {85}
	set_component_parameter_value MEM_DDRT_SPD_138_RCD_CK_DRV {5}
	set_component_parameter_value MEM_DDRT_SPD_139_DB_REV {0}
	set_component_parameter_value MEM_DDRT_SPD_140_DRAM_VREFDQ_R0 {29}
	set_component_parameter_value MEM_DDRT_SPD_141_DRAM_VREFDQ_R1 {29}
	set_component_parameter_value MEM_DDRT_SPD_142_DRAM_VREFDQ_R2 {29}
	set_component_parameter_value MEM_DDRT_SPD_143_DRAM_VREFDQ_R3 {29}
	set_component_parameter_value MEM_DDRT_SPD_144_DB_VREFDQ {25}
	set_component_parameter_value MEM_DDRT_SPD_145_DB_MDQ_DRV {21}
	set_component_parameter_value MEM_DDRT_SPD_148_DRAM_DRV {0}
	set_component_parameter_value MEM_DDRT_SPD_149_DRAM_RTT_WR_NOM {20}
	set_component_parameter_value MEM_DDRT_SPD_152_DRAM_RTT_PARK {39}
	set_component_parameter_value MEM_DDRT_SPEEDBIN_ENUM {DDRT_SPEEDBIN_2400}
	set_component_parameter_value MEM_DDRT_TCCD_L_CYC {6}
	set_component_parameter_value MEM_DDRT_TCCD_S_CYC {4}
	set_component_parameter_value MEM_DDRT_TCL {15}
	set_component_parameter_value MEM_DDRT_TDIVW_DJ_CYC {0.1}
	set_component_parameter_value MEM_DDRT_TDIVW_TOTAL_UI {0.2}
	set_component_parameter_value MEM_DDRT_TDQSCK_PS {165}
	set_component_parameter_value MEM_DDRT_TDQSQ_PS {66}
	set_component_parameter_value MEM_DDRT_TDQSQ_UI {0.16}
	set_component_parameter_value MEM_DDRT_TDQSS_CYC {0.27}
	set_component_parameter_value MEM_DDRT_TDSH_CYC {0.18}
	set_component_parameter_value MEM_DDRT_TDSS_CYC {0.18}
	set_component_parameter_value MEM_DDRT_TDVWP_UI {0.72}
	set_component_parameter_value MEM_DDRT_TEMP_CONTROLLED_RFSH_ENA {0}
	set_component_parameter_value MEM_DDRT_TEMP_CONTROLLED_RFSH_RANGE {DDRT_TEMP_CONTROLLED_RFSH_NORMAL}
	set_component_parameter_value MEM_DDRT_TEMP_SENSOR_READOUT {0}
	set_component_parameter_value MEM_DDRT_TFAW_DLR_CYC {16}
	set_component_parameter_value MEM_DDRT_TFAW_NS {21.0}
	set_component_parameter_value MEM_DDRT_TIH_DC_MV {75}
	set_component_parameter_value MEM_DDRT_TIH_PS {95}
	set_component_parameter_value MEM_DDRT_TINIT_US {500}
	set_component_parameter_value MEM_DDRT_TIS_AC_MV {100}
	set_component_parameter_value MEM_DDRT_TIS_PS {60}
	set_component_parameter_value MEM_DDRT_TMRD_CK_CYC {8}
	set_component_parameter_value MEM_DDRT_TQH_CYC {0.38}
	set_component_parameter_value MEM_DDRT_TQH_UI {0.76}
	set_component_parameter_value MEM_DDRT_TQSH_CYC {0.38}
	set_component_parameter_value MEM_DDRT_TRAS_NS {32.0}
	set_component_parameter_value MEM_DDRT_TRCD_NS {15.0}
	set_component_parameter_value MEM_DDRT_TREFI_US {7.8}
	set_component_parameter_value MEM_DDRT_TRFC_DLR_NS {90.0}
	set_component_parameter_value MEM_DDRT_TRFC_NS {260.0}
	set_component_parameter_value MEM_DDRT_TRP_NS {15.0}
	set_component_parameter_value MEM_DDRT_TRRD_DLR_CYC {4}
	set_component_parameter_value MEM_DDRT_TRRD_L_CYC {6}
	set_component_parameter_value MEM_DDRT_TRRD_S_CYC {4}
	set_component_parameter_value MEM_DDRT_TWLH_CYC {0.13}
	set_component_parameter_value MEM_DDRT_TWLH_PS {0.0}
	set_component_parameter_value MEM_DDRT_TWLS_CYC {0.13}
	set_component_parameter_value MEM_DDRT_TWLS_PS {0.0}
	set_component_parameter_value MEM_DDRT_TWR_NS {15.0}
	set_component_parameter_value MEM_DDRT_TWTR_L_CYC {9}
	set_component_parameter_value MEM_DDRT_TWTR_S_CYC {3}
	set_component_parameter_value MEM_DDRT_USER_READ_PREAMBLE {1}
	set_component_parameter_value MEM_DDRT_USER_TCL_ADDED {0}
	set_component_parameter_value MEM_DDRT_USER_VREFDQ_TRAINING_RANGE {DDRT_VREFDQ_TRAINING_RANGE_1}
	set_component_parameter_value MEM_DDRT_USER_VREFDQ_TRAINING_VALUE {56.0}
	set_component_parameter_value MEM_DDRT_USER_WRITE_PREAMBLE {1}
	set_component_parameter_value MEM_DDRT_USER_WTCL_ADDED {6}
	set_component_parameter_value MEM_DDRT_USE_DEFAULT_ODT {1}
	set_component_parameter_value MEM_DDRT_VDIVW_TOTAL {136}
	set_component_parameter_value MEM_DDRT_WRITE_CRC {0}
	set_component_parameter_value MEM_DDRT_WRITE_DBI {0}
	set_component_parameter_value MEM_DDRT_WTCL {18}
	set_component_parameter_value MEM_DDRT_W_ODT0_1X1 {on}
	set_component_parameter_value MEM_DDRT_W_ODT0_2X2 {on off}
	set_component_parameter_value MEM_DDRT_W_ODT0_4X2 {off off on on}
	set_component_parameter_value MEM_DDRT_W_ODT0_4X4 {on on off off}
	set_component_parameter_value MEM_DDRT_W_ODT1_2X2 {off on}
	set_component_parameter_value MEM_DDRT_W_ODT1_4X2 {on on off off}
	set_component_parameter_value MEM_DDRT_W_ODT1_4X4 {off off on on}
	set_component_parameter_value MEM_DDRT_W_ODT2_4X4 {off off on on}
	set_component_parameter_value MEM_DDRT_W_ODT3_4X4 {on on off off}
	set_component_parameter_value MEM_DDRT_W_ODTN_1X1 {Rank\ 0}
	set_component_parameter_value MEM_DDRT_W_ODTN_2X2 {Rank\ 0 Rank\ 1}
	set_component_parameter_value MEM_DDRT_W_ODTN_4X2 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_DDRT_W_ODTN_4X4 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_LPDDR3_BANK_ADDR_WIDTH {3}
	set_component_parameter_value MEM_LPDDR3_BL {LPDDR3_BL_BL8}
	set_component_parameter_value MEM_LPDDR3_CK_WIDTH {1}
	set_component_parameter_value MEM_LPDDR3_COL_ADDR_WIDTH {10}
	set_component_parameter_value MEM_LPDDR3_DATA_LATENCY {LPDDR3_DL_RL12_WL6}
	set_component_parameter_value MEM_LPDDR3_DISCRETE_CS_WIDTH {1}
	set_component_parameter_value MEM_LPDDR3_DM_EN {1}
	set_component_parameter_value MEM_LPDDR3_DQODT {LPDDR3_DQODT_DISABLE}
	set_component_parameter_value MEM_LPDDR3_DQ_WIDTH {32}
	set_component_parameter_value MEM_LPDDR3_DRV_STR {LPDDR3_DRV_STR_40D_40U}
	set_component_parameter_value MEM_LPDDR3_PDODT {LPDDR3_PDODT_DISABLED}
	set_component_parameter_value MEM_LPDDR3_ROW_ADDR_WIDTH {15}
	set_component_parameter_value MEM_LPDDR3_R_ODT0_1X1 {off}
	set_component_parameter_value MEM_LPDDR3_R_ODT0_2X2 {off off}
	set_component_parameter_value MEM_LPDDR3_R_ODT0_4X4 {off off off off}
	set_component_parameter_value MEM_LPDDR3_R_ODT1_2X2 {off off}
	set_component_parameter_value MEM_LPDDR3_R_ODT1_4X4 {off off off off}
	set_component_parameter_value MEM_LPDDR3_R_ODT2_4X4 {off off off off}
	set_component_parameter_value MEM_LPDDR3_R_ODT3_4X4 {off off off off}
	set_component_parameter_value MEM_LPDDR3_R_ODTN_1X1 {Rank\ 0}
	set_component_parameter_value MEM_LPDDR3_R_ODTN_2X2 {Rank\ 0 Rank\ 1}
	set_component_parameter_value MEM_LPDDR3_R_ODTN_4X4 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_LPDDR3_SPEEDBIN_ENUM {LPDDR3_SPEEDBIN_1600}
	set_component_parameter_value MEM_LPDDR3_TDH_DC_MV {100}
	set_component_parameter_value MEM_LPDDR3_TDH_PS {100}
	set_component_parameter_value MEM_LPDDR3_TDQSCKDL {614}
	set_component_parameter_value MEM_LPDDR3_TDQSQ_PS {135}
	set_component_parameter_value MEM_LPDDR3_TDQSS_CYC {1.25}
	set_component_parameter_value MEM_LPDDR3_TDSH_CYC {0.2}
	set_component_parameter_value MEM_LPDDR3_TDSS_CYC {0.2}
	set_component_parameter_value MEM_LPDDR3_TDS_AC_MV {150}
	set_component_parameter_value MEM_LPDDR3_TDS_PS {75}
	set_component_parameter_value MEM_LPDDR3_TFAW_NS {50.0}
	set_component_parameter_value MEM_LPDDR3_TIH_DC_MV {100}
	set_component_parameter_value MEM_LPDDR3_TIH_PS {100}
	set_component_parameter_value MEM_LPDDR3_TINIT_US {500}
	set_component_parameter_value MEM_LPDDR3_TIS_AC_MV {150}
	set_component_parameter_value MEM_LPDDR3_TIS_PS {75}
	set_component_parameter_value MEM_LPDDR3_TMRR_CK_CYC {4}
	set_component_parameter_value MEM_LPDDR3_TMRW_CK_CYC {10}
	set_component_parameter_value MEM_LPDDR3_TQH_CYC {0.38}
	set_component_parameter_value MEM_LPDDR3_TQSH_CYC {0.38}
	set_component_parameter_value MEM_LPDDR3_TRAS_NS {42.5}
	set_component_parameter_value MEM_LPDDR3_TRCD_NS {18.0}
	set_component_parameter_value MEM_LPDDR3_TREFI_US {3.9}
	set_component_parameter_value MEM_LPDDR3_TRFC_NS {210.0}
	set_component_parameter_value MEM_LPDDR3_TRP_NS {18.0}
	set_component_parameter_value MEM_LPDDR3_TRRD_CYC {8}
	set_component_parameter_value MEM_LPDDR3_TRTP_CYC {6}
	set_component_parameter_value MEM_LPDDR3_TWLH_PS {175.0}
	set_component_parameter_value MEM_LPDDR3_TWLS_PS {175.0}
	set_component_parameter_value MEM_LPDDR3_TWR_NS {15.0}
	set_component_parameter_value MEM_LPDDR3_TWTR_CYC {6}
	set_component_parameter_value MEM_LPDDR3_USE_DEFAULT_ODT {1}
	set_component_parameter_value MEM_LPDDR3_W_ODT0_1X1 {on}
	set_component_parameter_value MEM_LPDDR3_W_ODT0_2X2 {on on}
	set_component_parameter_value MEM_LPDDR3_W_ODT0_4X4 {on on on on}
	set_component_parameter_value MEM_LPDDR3_W_ODT1_2X2 {off off}
	set_component_parameter_value MEM_LPDDR3_W_ODT1_4X4 {off off off off}
	set_component_parameter_value MEM_LPDDR3_W_ODT2_4X4 {off off off off}
	set_component_parameter_value MEM_LPDDR3_W_ODT3_4X4 {off off off off}
	set_component_parameter_value MEM_LPDDR3_W_ODTN_1X1 {Rank\ 0}
	set_component_parameter_value MEM_LPDDR3_W_ODTN_2X2 {Rank\ 0 Rank\ 1}
	set_component_parameter_value MEM_LPDDR3_W_ODTN_4X4 {Rank\ 0 Rank\ 1 Rank\ 2 Rank\ 3}
	set_component_parameter_value MEM_QDR2_ADDR_WIDTH {19}
	set_component_parameter_value MEM_QDR2_BL {4}
	set_component_parameter_value MEM_QDR2_BWS_EN {1}
	set_component_parameter_value MEM_QDR2_DATA_PER_DEVICE {36}
	set_component_parameter_value MEM_QDR2_INTERNAL_JITTER_NS {0.08}
	set_component_parameter_value MEM_QDR2_SPEEDBIN_ENUM {QDR2_SPEEDBIN_633}
	set_component_parameter_value MEM_QDR2_TCCQO_NS {0.45}
	set_component_parameter_value MEM_QDR2_TCQDOH_NS {-0.09}
	set_component_parameter_value MEM_QDR2_TCQD_NS {0.09}
	set_component_parameter_value MEM_QDR2_TCQH_NS {0.71}
	set_component_parameter_value MEM_QDR2_THA_NS {0.18}
	set_component_parameter_value MEM_QDR2_THD_NS {0.18}
	set_component_parameter_value MEM_QDR2_TRL_CYC {2.5}
	set_component_parameter_value MEM_QDR2_TSA_NS {0.23}
	set_component_parameter_value MEM_QDR2_TSD_NS {0.23}
	set_component_parameter_value MEM_QDR2_WIDTH_EXPANDED {0}
	set_component_parameter_value MEM_QDR4_AC_ODT_MODE_ENUM {QDR4_ODT_25_PCT}
	set_component_parameter_value MEM_QDR4_ADDR_INV_ENA {0}
	set_component_parameter_value MEM_QDR4_ADDR_WIDTH {21}
	set_component_parameter_value MEM_QDR4_CK_ODT_MODE_ENUM {QDR4_ODT_25_PCT}
	set_component_parameter_value MEM_QDR4_DATA_INV_ENA {1}
	set_component_parameter_value MEM_QDR4_DATA_ODT_MODE_ENUM {QDR4_ODT_25_PCT}
	set_component_parameter_value MEM_QDR4_DQ_PER_PORT_PER_DEVICE {36}
	set_component_parameter_value MEM_QDR4_MEM_TYPE_ENUM {MEM_XP}
	set_component_parameter_value MEM_QDR4_PD_OUTPUT_DRIVE_MODE_ENUM {QDR4_OUTPUT_DRIVE_25_PCT}
	set_component_parameter_value MEM_QDR4_PU_OUTPUT_DRIVE_MODE_ENUM {QDR4_OUTPUT_DRIVE_25_PCT}
	set_component_parameter_value MEM_QDR4_SKIP_ODT_SWEEPING {1}
	set_component_parameter_value MEM_QDR4_SPEEDBIN_ENUM {QDR4_SPEEDBIN_2133}
	set_component_parameter_value MEM_QDR4_TASH_PS {170}
	set_component_parameter_value MEM_QDR4_TCKDK_MAX_PS {150}
	set_component_parameter_value MEM_QDR4_TCKDK_MIN_PS {-150}
	set_component_parameter_value MEM_QDR4_TCKQK_MAX_PS {225}
	set_component_parameter_value MEM_QDR4_TCSH_PS {170}
	set_component_parameter_value MEM_QDR4_TISH_PS {150}
	set_component_parameter_value MEM_QDR4_TQH_CYC {0.4}
	set_component_parameter_value MEM_QDR4_TQKQ_MAX_PS {75}
	set_component_parameter_value MEM_QDR4_USE_ADDR_PARITY {0}
	set_component_parameter_value MEM_QDR4_WIDTH_EXPANDED {0}
	set_component_parameter_value MEM_RLD2_ADDR_WIDTH {21}
	set_component_parameter_value MEM_RLD2_BANK_ADDR_WIDTH {3}
	set_component_parameter_value MEM_RLD2_BL {4}
	set_component_parameter_value MEM_RLD2_CONFIG_ENUM {RLD2_CONFIG_TRC_8_TRL_8_TWL_9}
	set_component_parameter_value MEM_RLD2_DM_EN {1}
	set_component_parameter_value MEM_RLD2_DQ_PER_DEVICE {9}
	set_component_parameter_value MEM_RLD2_DRIVE_IMPEDENCE_ENUM {RLD2_DRIVE_IMPEDENCE_INTERNAL_50}
	set_component_parameter_value MEM_RLD2_ODT_MODE_ENUM {RLD2_ODT_ON}
	set_component_parameter_value MEM_RLD2_REFRESH_INTERVAL_US {0.24}
	set_component_parameter_value MEM_RLD2_SPEEDBIN_ENUM {RLD2_SPEEDBIN_18}
	set_component_parameter_value MEM_RLD2_TAH_NS {0.3}
	set_component_parameter_value MEM_RLD2_TAS_NS {0.3}
	set_component_parameter_value MEM_RLD2_TCKDK_MAX_NS {0.3}
	set_component_parameter_value MEM_RLD2_TCKDK_MIN_NS {-0.3}
	set_component_parameter_value MEM_RLD2_TCKH_CYC {0.45}
	set_component_parameter_value MEM_RLD2_TCKQK_MAX_NS {0.2}
	set_component_parameter_value MEM_RLD2_TDH_NS {0.17}
	set_component_parameter_value MEM_RLD2_TDS_NS {0.17}
	set_component_parameter_value MEM_RLD2_TQKH_HCYC {0.9}
	set_component_parameter_value MEM_RLD2_TQKQ_MAX_NS {0.12}
	set_component_parameter_value MEM_RLD2_TQKQ_MIN_NS {-0.12}
	set_component_parameter_value MEM_RLD2_WIDTH_EXPANDED {0}
	set_component_parameter_value MEM_RLD3_ADDR_WIDTH {20}
	set_component_parameter_value MEM_RLD3_AREF_PROTOCOL_ENUM {RLD3_AREF_BAC}
	set_component_parameter_value MEM_RLD3_BANK_ADDR_WIDTH {4}
	set_component_parameter_value MEM_RLD3_BL {2}
	set_component_parameter_value MEM_RLD3_DATA_LATENCY_MODE_ENUM {RLD3_DL_RL16_WL17}
	set_component_parameter_value MEM_RLD3_DEPTH_EXPANDED {0}
	set_component_parameter_value MEM_RLD3_DM_EN {1}
	set_component_parameter_value MEM_RLD3_DQ_PER_DEVICE {36}
	set_component_parameter_value MEM_RLD3_ODT_MODE_ENUM {RLD3_ODT_40}
	set_component_parameter_value MEM_RLD3_OUTPUT_DRIVE_MODE_ENUM {RLD3_OUTPUT_DRIVE_40}
	set_component_parameter_value MEM_RLD3_SPEEDBIN_ENUM {RLD3_SPEEDBIN_093E}
	set_component_parameter_value MEM_RLD3_TCKDK_MAX_CYC {0.27}
	set_component_parameter_value MEM_RLD3_TCKDK_MIN_CYC {-0.27}
	set_component_parameter_value MEM_RLD3_TCKQK_MAX_PS {135}
	set_component_parameter_value MEM_RLD3_TDH_DC_MV {100}
	set_component_parameter_value MEM_RLD3_TDH_PS {5}
	set_component_parameter_value MEM_RLD3_TDS_AC_MV {150}
	set_component_parameter_value MEM_RLD3_TDS_PS {-30}
	set_component_parameter_value MEM_RLD3_TIH_DC_MV {100}
	set_component_parameter_value MEM_RLD3_TIH_PS {65}
	set_component_parameter_value MEM_RLD3_TIS_AC_MV {150}
	set_component_parameter_value MEM_RLD3_TIS_PS {85}
	set_component_parameter_value MEM_RLD3_TQH_CYC {0.38}
	set_component_parameter_value MEM_RLD3_TQKQ_MAX_PS {75}
	set_component_parameter_value MEM_RLD3_T_RC_MODE_ENUM {RLD3_TRC_9}
	set_component_parameter_value MEM_RLD3_WIDTH_EXPANDED {0}
	set_component_parameter_value MEM_RLD3_WRITE_PROTOCOL_ENUM {RLD3_WRITE_1BANK}
	set_component_parameter_value NUM_IPS {1}
	set_component_parameter_value PHY_DDR3_CAL_ADDR0 {0}
	set_component_parameter_value PHY_DDR3_CAL_ADDR1 {8}
	set_component_parameter_value PHY_DDR3_CAL_ENABLE_NON_DES {0}
	set_component_parameter_value PHY_DDR3_CONFIG_ENUM {CONFIG_PHY_AND_HARD_CTRL}
	set_component_parameter_value PHY_DDR3_CORE_CLKS_SHARING_ENUM {CORE_CLKS_SHARING_DISABLED}
	set_component_parameter_value PHY_DDR3_CORE_CLKS_SHARING_EXPOSE_SLAVE_OUT {0}
	set_component_parameter_value PHY_DDR3_DEFAULT_IO {1}
	set_component_parameter_value PHY_DDR3_DEFAULT_REF_CLK_FREQ {1}
	set_component_parameter_value PHY_DDR3_HPS_ENABLE_EARLY_RELEASE {0}
	set_component_parameter_value PHY_DDR3_IO_VOLTAGE {1.5}
	set_component_parameter_value PHY_DDR3_MEM_CLK_FREQ_MHZ {1066.667}
	set_component_parameter_value PHY_DDR3_MIMIC_HPS_EMIF {0}
	set_component_parameter_value PHY_DDR3_RATE_ENUM {RATE_QUARTER}
	set_component_parameter_value PHY_DDR3_REF_CLK_JITTER_PS {10.0}
	set_component_parameter_value PHY_DDR3_USER_AC_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_AC_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_AC_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_AC_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_AUTO_STARTING_VREFIN_EN {1}
	set_component_parameter_value PHY_DDR3_USER_CK_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_CK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_CK_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_CK_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_DATA_IN_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_DATA_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_DATA_OUT_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_DATA_OUT_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_DATA_OUT_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_DLL_CORE_UPDN_EN {1}
	set_component_parameter_value PHY_DDR3_USER_PERIODIC_OCT_RECAL_ENUM {PERIODIC_OCT_RECAL_AUTO}
	set_component_parameter_value PHY_DDR3_USER_PING_PONG_EN {0}
	set_component_parameter_value PHY_DDR3_USER_PLL_REF_CLK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_REF_CLK_FREQ_MHZ {-1.0}
	set_component_parameter_value PHY_DDR3_USER_RZQ_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDR3_USER_STARTING_VREFIN {70.0}
	set_component_parameter_value PHY_DDR4_ALLOW_72_DQ_WIDTH {0}
	set_component_parameter_value PHY_DDR4_CONFIG_ENUM {CONFIG_PHY_AND_HARD_CTRL}
	set_component_parameter_value PHY_DDR4_CORE_CLKS_SHARING_ENUM {CORE_CLKS_SHARING_DISABLED}
	set_component_parameter_value PHY_DDR4_CORE_CLKS_SHARING_EXPOSE_SLAVE_OUT {0}
	set_component_parameter_value PHY_DDR4_DEFAULT_IO {1}
	set_component_parameter_value PHY_DDR4_DEFAULT_REF_CLK_FREQ {0}
	set_component_parameter_value PHY_DDR4_HPS_ENABLE_EARLY_RELEASE {0}
	set_component_parameter_value PHY_DDR4_IO_VOLTAGE {1.2}
	set_component_parameter_value PHY_DDR4_MEM_CLK_FREQ_MHZ {1333.33}
	set_component_parameter_value PHY_DDR4_MIMIC_HPS_EMIF {0}
	set_component_parameter_value PHY_DDR4_RATE_ENUM {RATE_QUARTER}
	set_component_parameter_value PHY_DDR4_REF_CLK_JITTER_PS {10.0}
	set_component_parameter_value PHY_DDR4_USER_AC_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDR4_USER_AC_IO_STD_ENUM {IO_STD_SSTL_12}
	set_component_parameter_value PHY_DDR4_USER_AC_MODE_ENUM {OUT_OCT_40_CAL}
	set_component_parameter_value PHY_DDR4_USER_AC_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDR4_USER_AUTO_STARTING_VREFIN_EN {1}
	set_component_parameter_value PHY_DDR4_USER_CK_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDR4_USER_CK_IO_STD_ENUM {IO_STD_SSTL_12}
	set_component_parameter_value PHY_DDR4_USER_CK_MODE_ENUM {OUT_OCT_40_CAL}
	set_component_parameter_value PHY_DDR4_USER_CK_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDR4_USER_CLAMSHELL_EN {0}
	set_component_parameter_value PHY_DDR4_USER_DATA_IN_MODE_ENUM {IN_OCT_60_CAL}
	set_component_parameter_value PHY_DDR4_USER_DATA_IO_STD_ENUM {IO_STD_POD_12}
	set_component_parameter_value PHY_DDR4_USER_DATA_OUT_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDR4_USER_DATA_OUT_MODE_ENUM {OUT_OCT_40_CAL}
	set_component_parameter_value PHY_DDR4_USER_DATA_OUT_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDR4_USER_DLL_CORE_UPDN_EN {1}
	set_component_parameter_value PHY_DDR4_USER_PERIODIC_OCT_RECAL_ENUM {PERIODIC_OCT_RECAL_AUTO}
	set_component_parameter_value PHY_DDR4_USER_PING_PONG_EN {0}
	set_component_parameter_value PHY_DDR4_USER_PLL_REF_CLK_IO_STD_ENUM {IO_STD_TRUE_DIFF_SIGNALING}
	set_component_parameter_value PHY_DDR4_USER_REF_CLK_FREQ_MHZ {33.333}
	set_component_parameter_value PHY_DDR4_USER_RZQ_IO_STD_ENUM {IO_STD_CMOS_12}
	set_component_parameter_value PHY_DDR4_USER_STARTING_VREFIN {70.0}
	set_component_parameter_value PHY_DDRT_2CH_EN {0}
	set_component_parameter_value PHY_DDRT_CONFIG_ENUM {CONFIG_PHY_AND_SOFT_CTRL}
	set_component_parameter_value PHY_DDRT_CORE_CLKS_SHARING_ENUM {CORE_CLKS_SHARING_DISABLED}
	set_component_parameter_value PHY_DDRT_CORE_CLKS_SHARING_EXPOSE_SLAVE_OUT {0}
	set_component_parameter_value PHY_DDRT_DEFAULT_IO {1}
	set_component_parameter_value PHY_DDRT_DEFAULT_REF_CLK_FREQ {1}
	set_component_parameter_value PHY_DDRT_EXPORT_CLK_STP_IF {0}
	set_component_parameter_value PHY_DDRT_HPS_ENABLE_EARLY_RELEASE {0}
	set_component_parameter_value PHY_DDRT_I2C_USE_SMC {0}
	set_component_parameter_value PHY_DDRT_IC_EN {1}
	set_component_parameter_value PHY_DDRT_IO_VOLTAGE {1.2}
	set_component_parameter_value PHY_DDRT_MEM_CLK_FREQ_MHZ {1200.0}
	set_component_parameter_value PHY_DDRT_MIMIC_HPS_EMIF {0}
	set_component_parameter_value PHY_DDRT_RATE_ENUM {RATE_QUARTER}
	set_component_parameter_value PHY_DDRT_REF_CLK_JITTER_PS {10.0}
	set_component_parameter_value PHY_DDRT_USER_AC_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_AC_IN_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_AC_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_AC_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_AC_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_AUTO_STARTING_VREFIN_EN {1}
	set_component_parameter_value PHY_DDRT_USER_CK_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_CK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_CK_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_CK_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_DATA_IN_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_DATA_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_DATA_OUT_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_DATA_OUT_MODE_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_DATA_OUT_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_DLL_CORE_UPDN_EN {0}
	set_component_parameter_value PHY_DDRT_USER_PERIODIC_OCT_RECAL_ENUM {PERIODIC_OCT_RECAL_AUTO}
	set_component_parameter_value PHY_DDRT_USER_PING_PONG_EN {0}
	set_component_parameter_value PHY_DDRT_USER_PLL_REF_CLK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_REF_CLK_FREQ_MHZ {-1.0}
	set_component_parameter_value PHY_DDRT_USER_RZQ_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_DDRT_USER_STARTING_VREFIN {70.0}
	set_component_parameter_value PHY_DDRT_USE_OLD_SMBUS_MULTICOL {0}
	set_component_parameter_value PHY_LPDDR3_CONFIG_ENUM {CONFIG_PHY_AND_HARD_CTRL}
	set_component_parameter_value PHY_LPDDR3_CORE_CLKS_SHARING_ENUM {CORE_CLKS_SHARING_DISABLED}
	set_component_parameter_value PHY_LPDDR3_CORE_CLKS_SHARING_EXPOSE_SLAVE_OUT {0}
	set_component_parameter_value PHY_LPDDR3_DEFAULT_IO {1}
	set_component_parameter_value PHY_LPDDR3_DEFAULT_REF_CLK_FREQ {1}
	set_component_parameter_value PHY_LPDDR3_HPS_ENABLE_EARLY_RELEASE {0}
	set_component_parameter_value PHY_LPDDR3_IO_VOLTAGE {1.2}
	set_component_parameter_value PHY_LPDDR3_MEM_CLK_FREQ_MHZ {800.0}
	set_component_parameter_value PHY_LPDDR3_MIMIC_HPS_EMIF {0}
	set_component_parameter_value PHY_LPDDR3_RATE_ENUM {RATE_QUARTER}
	set_component_parameter_value PHY_LPDDR3_REF_CLK_JITTER_PS {10.0}
	set_component_parameter_value PHY_LPDDR3_USER_AC_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_AC_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_AC_MODE_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_AC_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_AUTO_STARTING_VREFIN_EN {1}
	set_component_parameter_value PHY_LPDDR3_USER_CK_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_CK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_CK_MODE_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_CK_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_DATA_IN_MODE_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_DATA_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_DATA_OUT_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_DATA_OUT_MODE_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_DATA_OUT_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_DLL_CORE_UPDN_EN {0}
	set_component_parameter_value PHY_LPDDR3_USER_PERIODIC_OCT_RECAL_ENUM {PERIODIC_OCT_RECAL_AUTO}
	set_component_parameter_value PHY_LPDDR3_USER_PING_PONG_EN {0}
	set_component_parameter_value PHY_LPDDR3_USER_PLL_REF_CLK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_REF_CLK_FREQ_MHZ {-1.0}
	set_component_parameter_value PHY_LPDDR3_USER_RZQ_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_LPDDR3_USER_STARTING_VREFIN {70.0}
	set_component_parameter_value PHY_QDR2_CONFIG_ENUM {CONFIG_PHY_AND_SOFT_CTRL}
	set_component_parameter_value PHY_QDR2_CORE_CLKS_SHARING_ENUM {CORE_CLKS_SHARING_DISABLED}
	set_component_parameter_value PHY_QDR2_CORE_CLKS_SHARING_EXPOSE_SLAVE_OUT {0}
	set_component_parameter_value PHY_QDR2_DEFAULT_IO {1}
	set_component_parameter_value PHY_QDR2_DEFAULT_REF_CLK_FREQ {1}
	set_component_parameter_value PHY_QDR2_HPS_ENABLE_EARLY_RELEASE {0}
	set_component_parameter_value PHY_QDR2_IO_VOLTAGE {1.5}
	set_component_parameter_value PHY_QDR2_MEM_CLK_FREQ_MHZ {633.333}
	set_component_parameter_value PHY_QDR2_MIMIC_HPS_EMIF {0}
	set_component_parameter_value PHY_QDR2_RATE_ENUM {RATE_HALF}
	set_component_parameter_value PHY_QDR2_REF_CLK_JITTER_PS {10.0}
	set_component_parameter_value PHY_QDR2_USER_AC_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_AC_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_AC_MODE_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_AC_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_AUTO_STARTING_VREFIN_EN {1}
	set_component_parameter_value PHY_QDR2_USER_CK_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_CK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_CK_MODE_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_CK_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_DATA_IN_MODE_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_DATA_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_DATA_OUT_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_DATA_OUT_MODE_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_DATA_OUT_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_DLL_CORE_UPDN_EN {0}
	set_component_parameter_value PHY_QDR2_USER_PERIODIC_OCT_RECAL_ENUM {PERIODIC_OCT_RECAL_AUTO}
	set_component_parameter_value PHY_QDR2_USER_PING_PONG_EN {0}
	set_component_parameter_value PHY_QDR2_USER_PLL_REF_CLK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_REF_CLK_FREQ_MHZ {-1.0}
	set_component_parameter_value PHY_QDR2_USER_RZQ_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR2_USER_STARTING_VREFIN {70.0}
	set_component_parameter_value PHY_QDR4_CONFIG_ENUM {CONFIG_PHY_AND_SOFT_CTRL}
	set_component_parameter_value PHY_QDR4_CORE_CLKS_SHARING_ENUM {CORE_CLKS_SHARING_DISABLED}
	set_component_parameter_value PHY_QDR4_CORE_CLKS_SHARING_EXPOSE_SLAVE_OUT {0}
	set_component_parameter_value PHY_QDR4_DEFAULT_IO {1}
	set_component_parameter_value PHY_QDR4_DEFAULT_REF_CLK_FREQ {1}
	set_component_parameter_value PHY_QDR4_HPS_ENABLE_EARLY_RELEASE {0}
	set_component_parameter_value PHY_QDR4_IO_VOLTAGE {1.2}
	set_component_parameter_value PHY_QDR4_MEM_CLK_FREQ_MHZ {1066.667}
	set_component_parameter_value PHY_QDR4_MIMIC_HPS_EMIF {0}
	set_component_parameter_value PHY_QDR4_RATE_ENUM {RATE_QUARTER}
	set_component_parameter_value PHY_QDR4_REF_CLK_JITTER_PS {10.0}
	set_component_parameter_value PHY_QDR4_USER_AC_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_AC_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_AC_MODE_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_AC_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_AUTO_STARTING_VREFIN_EN {1}
	set_component_parameter_value PHY_QDR4_USER_CK_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_CK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_CK_MODE_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_CK_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_DATA_IN_MODE_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_DATA_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_DATA_OUT_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_DATA_OUT_MODE_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_DATA_OUT_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_DLL_CORE_UPDN_EN {1}
	set_component_parameter_value PHY_QDR4_USER_PERIODIC_OCT_RECAL_ENUM {PERIODIC_OCT_RECAL_AUTO}
	set_component_parameter_value PHY_QDR4_USER_PING_PONG_EN {0}
	set_component_parameter_value PHY_QDR4_USER_PLL_REF_CLK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_REF_CLK_FREQ_MHZ {-1.0}
	set_component_parameter_value PHY_QDR4_USER_RZQ_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_QDR4_USER_STARTING_VREFIN {70.0}
	set_component_parameter_value PHY_RLD2_CONFIG_ENUM {CONFIG_PHY_AND_SOFT_CTRL}
	set_component_parameter_value PHY_RLD2_CORE_CLKS_SHARING_ENUM {CORE_CLKS_SHARING_DISABLED}
	set_component_parameter_value PHY_RLD2_CORE_CLKS_SHARING_EXPOSE_SLAVE_OUT {0}
	set_component_parameter_value PHY_RLD2_DEFAULT_IO {1}
	set_component_parameter_value PHY_RLD2_DEFAULT_REF_CLK_FREQ {1}
	set_component_parameter_value PHY_RLD2_HPS_ENABLE_EARLY_RELEASE {0}
	set_component_parameter_value PHY_RLD2_IO_VOLTAGE {1.8}
	set_component_parameter_value PHY_RLD2_MEM_CLK_FREQ_MHZ {533.333}
	set_component_parameter_value PHY_RLD2_MIMIC_HPS_EMIF {0}
	set_component_parameter_value PHY_RLD2_RATE_ENUM {RATE_HALF}
	set_component_parameter_value PHY_RLD2_REF_CLK_JITTER_PS {10.0}
	set_component_parameter_value PHY_RLD2_USER_AC_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_AC_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_AC_MODE_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_AC_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_AUTO_STARTING_VREFIN_EN {1}
	set_component_parameter_value PHY_RLD2_USER_CK_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_CK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_CK_MODE_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_CK_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_DATA_IN_MODE_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_DATA_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_DATA_OUT_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_DATA_OUT_MODE_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_DATA_OUT_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_DLL_CORE_UPDN_EN {0}
	set_component_parameter_value PHY_RLD2_USER_PERIODIC_OCT_RECAL_ENUM {PERIODIC_OCT_RECAL_AUTO}
	set_component_parameter_value PHY_RLD2_USER_PING_PONG_EN {0}
	set_component_parameter_value PHY_RLD2_USER_PLL_REF_CLK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_REF_CLK_FREQ_MHZ {-1.0}
	set_component_parameter_value PHY_RLD2_USER_RZQ_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD2_USER_STARTING_VREFIN {70.0}
	set_component_parameter_value PHY_RLD3_CONFIG_ENUM {CONFIG_PHY_ONLY}
	set_component_parameter_value PHY_RLD3_CORE_CLKS_SHARING_ENUM {CORE_CLKS_SHARING_DISABLED}
	set_component_parameter_value PHY_RLD3_CORE_CLKS_SHARING_EXPOSE_SLAVE_OUT {0}
	set_component_parameter_value PHY_RLD3_DEFAULT_IO {1}
	set_component_parameter_value PHY_RLD3_DEFAULT_REF_CLK_FREQ {1}
	set_component_parameter_value PHY_RLD3_HPS_ENABLE_EARLY_RELEASE {0}
	set_component_parameter_value PHY_RLD3_IO_VOLTAGE {1.2}
	set_component_parameter_value PHY_RLD3_MEM_CLK_FREQ_MHZ {1066.667}
	set_component_parameter_value PHY_RLD3_MIMIC_HPS_EMIF {0}
	set_component_parameter_value PHY_RLD3_RATE_ENUM {RATE_QUARTER}
	set_component_parameter_value PHY_RLD3_REF_CLK_JITTER_PS {10.0}
	set_component_parameter_value PHY_RLD3_USER_AC_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_AC_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_AC_MODE_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_AC_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_AUTO_STARTING_VREFIN_EN {1}
	set_component_parameter_value PHY_RLD3_USER_CK_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_CK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_CK_MODE_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_CK_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_DATA_IN_MODE_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_DATA_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_DATA_OUT_DEEMPHASIS_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_DATA_OUT_MODE_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_DATA_OUT_SLEW_RATE_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_DLL_CORE_UPDN_EN {0}
	set_component_parameter_value PHY_RLD3_USER_PERIODIC_OCT_RECAL_ENUM {PERIODIC_OCT_RECAL_AUTO}
	set_component_parameter_value PHY_RLD3_USER_PING_PONG_EN {0}
	set_component_parameter_value PHY_RLD3_USER_PLL_REF_CLK_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_REF_CLK_FREQ_MHZ {-1.0}
	set_component_parameter_value PHY_RLD3_USER_RZQ_IO_STD_ENUM {unset}
	set_component_parameter_value PHY_RLD3_USER_STARTING_VREFIN {70.0}
	set_component_parameter_value PLL_ADD_EXTRA_CLKS {0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_0 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_1 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_2 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_3 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_4 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_5 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_6 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_7 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_8 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_0 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_1 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_2 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_3 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_4 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_5 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_6 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_7 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_DUTY_CYCLE_GUI_8 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_0 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_1 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_2 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_3 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_4 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_5 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_6 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_7 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_FREQ_MHZ_GUI_8 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_0 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_1 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_2 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_3 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_4 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_5 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_6 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_7 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_DEG_GUI_8 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_0 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_1 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_2 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_3 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_4 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_5 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_6 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_7 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_ACTUAL_PHASE_PS_GUI_8 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_0 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_1 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_2 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_3 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_4 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_5 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_6 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_7 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_DUTY_CYCLE_GUI_8 {50.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_0 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_1 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_2 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_3 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_4 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_5 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_6 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_7 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_FREQ_MHZ_GUI_8 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_0 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_1 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_2 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_3 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_4 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_5 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_6 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_7 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_DESIRED_PHASE_GUI_8 {0.0}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_0 {ps}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_1 {ps}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_2 {ps}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_3 {ps}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_4 {ps}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_5 {ps}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_6 {ps}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_7 {ps}
	set_component_parameter_value PLL_EXTRA_CLK_PHASE_SHIFT_UNIT_GUI_8 {ps}
	set_component_parameter_value PLL_USER_NUM_OF_EXTRA_CLKS {0}
	set_component_parameter_value PROTOCOL_ENUM {PROTOCOL_DDR4}
	set_component_parameter_value SHORT_QSYS_INTERFACE_NAMES {1}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation emif_fm_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface local_reset_req conduit INPUT
	set_instantiation_interface_parameter_value local_reset_req associatedClock {}
	set_instantiation_interface_parameter_value local_reset_req associatedReset {}
	set_instantiation_interface_parameter_value local_reset_req prSafe {false}
	add_instantiation_interface_port local_reset_req local_reset_req local_reset_req 1 STD_LOGIC Input
	add_instantiation_interface local_reset_status conduit INPUT
	set_instantiation_interface_parameter_value local_reset_status associatedClock {}
	set_instantiation_interface_parameter_value local_reset_status associatedReset {}
	set_instantiation_interface_parameter_value local_reset_status prSafe {false}
	add_instantiation_interface_port local_reset_status local_reset_done local_reset_done 1 STD_LOGIC Output
	add_instantiation_interface pll_ref_clk clock INPUT
	set_instantiation_interface_parameter_value pll_ref_clk clockRate {0}
	set_instantiation_interface_parameter_value pll_ref_clk externallyDriven {false}
	set_instantiation_interface_parameter_value pll_ref_clk ptfSchematicName {}
	add_instantiation_interface_port pll_ref_clk pll_ref_clk clk 1 STD_LOGIC Input
	add_instantiation_interface pll_locked conduit INPUT
	set_instantiation_interface_parameter_value pll_locked associatedClock {}
	set_instantiation_interface_parameter_value pll_locked associatedReset {}
	set_instantiation_interface_parameter_value pll_locked prSafe {false}
	add_instantiation_interface_port pll_locked pll_locked pll_locked 1 STD_LOGIC Output
	add_instantiation_interface oct conduit INPUT
	set_instantiation_interface_parameter_value oct associatedClock {}
	set_instantiation_interface_parameter_value oct associatedReset {}
	set_instantiation_interface_parameter_value oct prSafe {false}
	add_instantiation_interface_port oct oct_rzqin oct_rzqin 1 STD_LOGIC Input
	add_instantiation_interface mem conduit INPUT
	set_instantiation_interface_parameter_value mem associatedClock {}
	set_instantiation_interface_parameter_value mem associatedReset {}
	set_instantiation_interface_parameter_value mem prSafe {false}
	add_instantiation_interface_port mem mem_ck mem_ck 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_ck_n mem_ck_n 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_a mem_a 17 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_act_n mem_act_n 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_ba mem_ba 2 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_bg mem_bg 2 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_cke mem_cke 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_cs_n mem_cs_n 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_odt mem_odt 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_reset_n mem_reset_n 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_par mem_par 1 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port mem mem_alert_n mem_alert_n 1 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port mem mem_dqs mem_dqs 18 STD_LOGIC_VECTOR Bidir
	add_instantiation_interface_port mem mem_dqs_n mem_dqs_n 18 STD_LOGIC_VECTOR Bidir
	add_instantiation_interface_port mem mem_dq mem_dq 72 STD_LOGIC_VECTOR Bidir
	add_instantiation_interface status conduit INPUT
	set_instantiation_interface_parameter_value status associatedClock {}
	set_instantiation_interface_parameter_value status associatedReset {}
	set_instantiation_interface_parameter_value status prSafe {false}
	add_instantiation_interface_port status local_cal_success local_cal_success 1 STD_LOGIC Output
	add_instantiation_interface_port status local_cal_fail local_cal_fail 1 STD_LOGIC Output
	add_instantiation_interface emif_calbus conduit INPUT
	set_instantiation_interface_parameter_value emif_calbus associatedClock {emif_calbus_clk}
	set_instantiation_interface_parameter_value emif_calbus associatedReset {}
	set_instantiation_interface_parameter_value emif_calbus prSafe {false}
	add_instantiation_interface_port emif_calbus calbus_read calbus_read 1 STD_LOGIC Input
	add_instantiation_interface_port emif_calbus calbus_write calbus_write 1 STD_LOGIC Input
	add_instantiation_interface_port emif_calbus calbus_address calbus_address 20 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port emif_calbus calbus_wdata calbus_wdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port emif_calbus calbus_rdata calbus_rdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port emif_calbus calbus_seq_param_tbl calbus_seq_param_tbl 4096 STD_LOGIC_VECTOR Output
	add_instantiation_interface emif_calbus_clk clock INPUT
	set_instantiation_interface_parameter_value emif_calbus_clk clockRate {0}
	set_instantiation_interface_parameter_value emif_calbus_clk externallyDriven {false}
	set_instantiation_interface_parameter_value emif_calbus_clk ptfSchematicName {}
	add_instantiation_interface_port emif_calbus_clk calbus_clk clk 1 STD_LOGIC Input
	add_instantiation_interface emif_usr_reset_n reset OUTPUT
	set_instantiation_interface_parameter_value emif_usr_reset_n associatedClock {}
	set_instantiation_interface_parameter_value emif_usr_reset_n associatedDirectReset {}
	set_instantiation_interface_parameter_value emif_usr_reset_n associatedResetSinks {none}
	set_instantiation_interface_parameter_value emif_usr_reset_n synchronousEdges {NONE}
	add_instantiation_interface_port emif_usr_reset_n emif_usr_reset_n reset_n 1 STD_LOGIC Output
	add_instantiation_interface emif_usr_clk clock OUTPUT
	set_instantiation_interface_parameter_value emif_usr_clk associatedDirectClock {}
	set_instantiation_interface_parameter_value emif_usr_clk clockRate {333332500}
	set_instantiation_interface_parameter_value emif_usr_clk clockRateKnown {true}
	set_instantiation_interface_parameter_value emif_usr_clk externallyDriven {false}
	set_instantiation_interface_parameter_value emif_usr_clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value emif_usr_clk clock_rate {333332500}
	add_instantiation_interface_port emif_usr_clk emif_usr_clk clk 1 STD_LOGIC Output
	add_instantiation_interface ctrl_ecc_user_interrupt_0 conduit INPUT
	set_instantiation_interface_parameter_value ctrl_ecc_user_interrupt_0 associatedClock {}
	set_instantiation_interface_parameter_value ctrl_ecc_user_interrupt_0 associatedReset {}
	set_instantiation_interface_parameter_value ctrl_ecc_user_interrupt_0 prSafe {false}
	add_instantiation_interface_port ctrl_ecc_user_interrupt_0 ctrl_ecc_user_interrupt_0 ctrl_ecc_user_interrupt 1 STD_LOGIC Output
	add_instantiation_interface ctrl_amm_0 avalon INPUT
	set_instantiation_interface_parameter_value ctrl_amm_0 addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value ctrl_amm_0 addressGroup {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 addressSpan {17179869184}
	set_instantiation_interface_parameter_value ctrl_amm_0 addressUnits {WORDS}
	set_instantiation_interface_parameter_value ctrl_amm_0 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 associatedClock {emif_usr_clk}
	set_instantiation_interface_parameter_value ctrl_amm_0 associatedReset {emif_usr_reset_n}
	set_instantiation_interface_parameter_value ctrl_amm_0 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value ctrl_amm_0 bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 bridgesToMaster {}
	set_instantiation_interface_parameter_value ctrl_amm_0 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value ctrl_amm_0 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhFeatureId {35}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhFeatureType {3}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhGroupId {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhParameterData {}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhParameterDataLength {}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhParameterId {}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhParameterName {}
	set_instantiation_interface_parameter_value ctrl_amm_0 dfhParameterVersion {}
	set_instantiation_interface_parameter_value ctrl_amm_0 explicitAddressSpan {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 holdTime {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 interleaveBursts {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 isBigEndian {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 isFlash {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 isMemoryDevice {true}
	set_instantiation_interface_parameter_value ctrl_amm_0 isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 linewrapBursts {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 maximumPendingReadTransactions {64}
	set_instantiation_interface_parameter_value ctrl_amm_0 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 minimumReadLatency {1}
	set_instantiation_interface_parameter_value ctrl_amm_0 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value ctrl_amm_0 minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value ctrl_amm_0 prSafe {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 printableDevice {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 readLatency {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 readWaitStates {1}
	set_instantiation_interface_parameter_value ctrl_amm_0 readWaitTime {1}
	set_instantiation_interface_parameter_value ctrl_amm_0 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 setupTime {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 timingUnits {Cycles}
	set_instantiation_interface_parameter_value ctrl_amm_0 transparentBridge {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value ctrl_amm_0 writeLatency {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 writeWaitStates {0}
	set_instantiation_interface_parameter_value ctrl_amm_0 writeWaitTime {0}
	set_instantiation_interface_assignment_value ctrl_amm_0 embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value ctrl_amm_0 embeddedsw.configuration.isMemoryDevice {1}
	set_instantiation_interface_assignment_value ctrl_amm_0 embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value ctrl_amm_0 embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value ctrl_amm_0 address_map {<address-map><slave name='ctrl_amm_0' start='0x0' end='0x400000000' datawidth='512' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value ctrl_amm_0 address_width {34}
	set_instantiation_interface_sysinfo_parameter_value ctrl_amm_0 max_slave_data_width {512}
	add_instantiation_interface_port ctrl_amm_0 amm_ready_0 waitrequest_n 1 STD_LOGIC Output
	add_instantiation_interface_port ctrl_amm_0 amm_read_0 read 1 STD_LOGIC Input
	add_instantiation_interface_port ctrl_amm_0 amm_write_0 write 1 STD_LOGIC Input
	add_instantiation_interface_port ctrl_amm_0 amm_address_0 address 28 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port ctrl_amm_0 amm_readdata_0 readdata 512 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port ctrl_amm_0 amm_writedata_0 writedata 512 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port ctrl_amm_0 amm_burstcount_0 burstcount 7 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port ctrl_amm_0 amm_readdatavalid_0 readdatavalid 1 STD_LOGIC Output
	save_instantiation
	add_component freq_counter_0 ip/ed_synth/ed_synth_freq_counter_0.ip freq_counter freq_counter_0
	load_component freq_counter_0
	set_component_parameter_value DIV {1}
	set_component_parameter_value SYSTEM_CLK_FREQ_PICO_SEC {20000}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation freq_counter_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clock}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface csr avalon INPUT
	set_instantiation_interface_parameter_value csr addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value csr addressGroup {0}
	set_instantiation_interface_parameter_value csr addressSpan {64}
	set_instantiation_interface_parameter_value csr addressUnits {WORDS}
	set_instantiation_interface_parameter_value csr alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value csr associatedClock {clock}
	set_instantiation_interface_parameter_value csr associatedReset {reset}
	set_instantiation_interface_parameter_value csr bitsPerSymbol {8}
	set_instantiation_interface_parameter_value csr bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value csr bridgesToMaster {}
	set_instantiation_interface_parameter_value csr burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value csr burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value csr constantBurstBehavior {false}
	set_instantiation_interface_parameter_value csr dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value csr dfhFeatureId {35}
	set_instantiation_interface_parameter_value csr dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureType {3}
	set_instantiation_interface_parameter_value csr dfhGroupId {0}
	set_instantiation_interface_parameter_value csr dfhParameterData {}
	set_instantiation_interface_parameter_value csr dfhParameterDataLength {}
	set_instantiation_interface_parameter_value csr dfhParameterId {}
	set_instantiation_interface_parameter_value csr dfhParameterName {}
	set_instantiation_interface_parameter_value csr dfhParameterVersion {}
	set_instantiation_interface_parameter_value csr explicitAddressSpan {0}
	set_instantiation_interface_parameter_value csr holdTime {0}
	set_instantiation_interface_parameter_value csr interleaveBursts {false}
	set_instantiation_interface_parameter_value csr isBigEndian {false}
	set_instantiation_interface_parameter_value csr isFlash {false}
	set_instantiation_interface_parameter_value csr isMemoryDevice {false}
	set_instantiation_interface_parameter_value csr isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value csr linewrapBursts {false}
	set_instantiation_interface_parameter_value csr maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value csr maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value csr minimumReadLatency {1}
	set_instantiation_interface_parameter_value csr minimumResponseLatency {1}
	set_instantiation_interface_parameter_value csr minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value csr prSafe {false}
	set_instantiation_interface_parameter_value csr printableDevice {false}
	set_instantiation_interface_parameter_value csr readLatency {0}
	set_instantiation_interface_parameter_value csr readWaitStates {1}
	set_instantiation_interface_parameter_value csr readWaitTime {1}
	set_instantiation_interface_parameter_value csr registerIncomingSignals {false}
	set_instantiation_interface_parameter_value csr registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value csr setupTime {0}
	set_instantiation_interface_parameter_value csr timingUnits {Cycles}
	set_instantiation_interface_parameter_value csr transparentBridge {false}
	set_instantiation_interface_parameter_value csr waitrequestAllowance {0}
	set_instantiation_interface_parameter_value csr wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value csr writeLatency {0}
	set_instantiation_interface_parameter_value csr writeWaitStates {0}
	set_instantiation_interface_parameter_value csr writeWaitTime {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value csr address_map {<address-map><slave name='csr' start='0x0' end='0x40' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value csr address_width {6}
	set_instantiation_interface_sysinfo_parameter_value csr max_slave_data_width {32}
	add_instantiation_interface_port csr csr_address address 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr csr_read read 1 STD_LOGIC Input
	add_instantiation_interface_port csr csr_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port csr csr_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface sample_clock clock INPUT
	set_instantiation_interface_parameter_value sample_clock clockRate {0}
	set_instantiation_interface_parameter_value sample_clock externallyDriven {false}
	set_instantiation_interface_parameter_value sample_clock ptfSchematicName {}
	add_instantiation_interface_port sample_clock sample_clk clk 1 STD_LOGIC Input
	save_instantiation
	add_component local_reset_combiner ip/ed_synth/ed_synth_local_reset_combiner.ip altera_emif_local_reset_combiner local_reset_combiner
	load_component local_reset_combiner
	set_component_parameter_value EXPOSE_RESET_AS_CONDUIT {1}
	set_component_parameter_value NUM_OF_RESET_REQ_IFS {1}
	set_component_parameter_value NUM_OF_RESET_STATUS_IFS {1}
	set_component_parameter_value RESET_CONDUIT_ROLE {pll_locked}
	set_component_parameter_value SHORT_QSYS_INTERFACE_NAMES {1}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation local_reset_combiner
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface local_reset_req_out_0 conduit INPUT
	set_instantiation_interface_parameter_value local_reset_req_out_0 associatedClock {}
	set_instantiation_interface_parameter_value local_reset_req_out_0 associatedReset {}
	set_instantiation_interface_parameter_value local_reset_req_out_0 prSafe {false}
	add_instantiation_interface_port local_reset_req_out_0 local_reset_req_out_0 local_reset_req 1 STD_LOGIC Output
	add_instantiation_interface local_reset_status_in_0 conduit INPUT
	set_instantiation_interface_parameter_value local_reset_status_in_0 associatedClock {}
	set_instantiation_interface_parameter_value local_reset_status_in_0 associatedReset {}
	set_instantiation_interface_parameter_value local_reset_status_in_0 prSafe {false}
	add_instantiation_interface_port local_reset_status_in_0 local_reset_done_in_0 local_reset_done 1 STD_LOGIC Input
	add_instantiation_interface generic_clk clock INPUT
	set_instantiation_interface_parameter_value generic_clk clockRate {0}
	set_instantiation_interface_parameter_value generic_clk externallyDriven {false}
	set_instantiation_interface_parameter_value generic_clk ptfSchematicName {}
	add_instantiation_interface_port generic_clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface generic_conduit_reset_n conduit INPUT
	set_instantiation_interface_parameter_value generic_conduit_reset_n associatedClock {}
	set_instantiation_interface_parameter_value generic_conduit_reset_n associatedReset {}
	set_instantiation_interface_parameter_value generic_conduit_reset_n prSafe {false}
	add_instantiation_interface_port generic_conduit_reset_n reset_n pll_locked 1 STD_LOGIC Input
	add_instantiation_interface local_reset_req conduit INPUT
	set_instantiation_interface_parameter_value local_reset_req associatedClock {}
	set_instantiation_interface_parameter_value local_reset_req associatedReset {}
	set_instantiation_interface_parameter_value local_reset_req prSafe {false}
	add_instantiation_interface_port local_reset_req local_reset_req local_reset_req 1 STD_LOGIC Input
	add_instantiation_interface local_reset_status conduit INPUT
	set_instantiation_interface_parameter_value local_reset_status associatedClock {}
	set_instantiation_interface_parameter_value local_reset_status associatedReset {}
	set_instantiation_interface_parameter_value local_reset_status prSafe {false}
	add_instantiation_interface_port local_reset_status local_reset_done local_reset_done 1 STD_LOGIC Output
	save_instantiation
	add_instance mSGDMA_0 mSGDMA
	add_component master_0 ip/ed_synth/ed_synth_master_0.ip altera_jtag_avalon_master ed_synth_master_0
	load_component master_0
	set_component_parameter_value FAST_VER {0}
	set_component_parameter_value FIFO_DEPTHS {2}
	set_component_parameter_value PLI_PORT {50000}
	set_component_parameter_value USE_PLI {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation master_0
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value debug.hostConnection {type jtag id 110:132}
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk_clk clk 1 STD_LOGIC Input
	add_instantiation_interface clk_reset reset INPUT
	set_instantiation_interface_parameter_value clk_reset associatedClock {}
	set_instantiation_interface_parameter_value clk_reset synchronousEdges {NONE}
	add_instantiation_interface_port clk_reset clk_reset_reset reset 1 STD_LOGIC Input
	add_instantiation_interface master_reset reset OUTPUT
	set_instantiation_interface_parameter_value master_reset associatedClock {}
	set_instantiation_interface_parameter_value master_reset associatedDirectReset {}
	set_instantiation_interface_parameter_value master_reset associatedResetSinks {none}
	set_instantiation_interface_parameter_value master_reset synchronousEdges {NONE}
	add_instantiation_interface_port master_reset master_reset_reset reset 1 STD_LOGIC Output
	add_instantiation_interface master avalon OUTPUT
	set_instantiation_interface_parameter_value master adaptsTo {}
	set_instantiation_interface_parameter_value master addressGroup {0}
	set_instantiation_interface_parameter_value master addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value master alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value master associatedClock {clk}
	set_instantiation_interface_parameter_value master associatedReset {clk_reset}
	set_instantiation_interface_parameter_value master bitsPerSymbol {8}
	set_instantiation_interface_parameter_value master burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value master burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value master constantBurstBehavior {false}
	set_instantiation_interface_parameter_value master dBSBigEndian {false}
	set_instantiation_interface_parameter_value master doStreamReads {false}
	set_instantiation_interface_parameter_value master doStreamWrites {false}
	set_instantiation_interface_parameter_value master holdTime {0}
	set_instantiation_interface_parameter_value master interleaveBursts {false}
	set_instantiation_interface_parameter_value master isAsynchronous {false}
	set_instantiation_interface_parameter_value master isBigEndian {false}
	set_instantiation_interface_parameter_value master isReadable {false}
	set_instantiation_interface_parameter_value master isWriteable {false}
	set_instantiation_interface_parameter_value master linewrapBursts {false}
	set_instantiation_interface_parameter_value master maxAddressWidth {32}
	set_instantiation_interface_parameter_value master maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value master maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value master minimumReadLatency {1}
	set_instantiation_interface_parameter_value master minimumResponseLatency {1}
	set_instantiation_interface_parameter_value master prSafe {false}
	set_instantiation_interface_parameter_value master readLatency {0}
	set_instantiation_interface_parameter_value master readWaitTime {1}
	set_instantiation_interface_parameter_value master registerIncomingSignals {false}
	set_instantiation_interface_parameter_value master registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value master setupTime {0}
	set_instantiation_interface_parameter_value master timingUnits {Cycles}
	set_instantiation_interface_parameter_value master waitrequestAllowance {0}
	set_instantiation_interface_parameter_value master writeWaitTime {0}
	set_instantiation_interface_assignment_value master debug.controlledBy {in_stream}
	set_instantiation_interface_assignment_value master debug.providesServices {master}
	set_instantiation_interface_assignment_value master debug.typeName {altera_jtag_avalon_master.master}
	set_instantiation_interface_assignment_value master debug.visible {true}
	add_instantiation_interface_port master master_address address 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port master master_readdata readdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port master master_read read 1 STD_LOGIC Output
	add_instantiation_interface_port master master_write write 1 STD_LOGIC Output
	add_instantiation_interface_port master master_writedata writedata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port master master_waitrequest waitrequest 1 STD_LOGIC Input
	add_instantiation_interface_port master master_readdatavalid readdatavalid 1 STD_LOGIC Input
	add_instantiation_interface_port master master_byteenable byteenable 4 STD_LOGIC_VECTOR Output
	save_instantiation
	add_component master_driver_msgdma_0 ip/ed_synth/ed_synth_master_driver_msgdma_0.ip master_driver_msgdma master_driver_msgdma_0
	load_component master_driver_msgdma_0
	set_component_parameter_value DATA_WIDTH {512}
	set_component_parameter_value DUT_MEMORY_BASE_ADDRESS {0}
	set_component_parameter_value DUT_MEMORY_TEST_OFFSET_ADDRESS {0}
	set_component_parameter_value DUT_MEMORY_TEST_SIZE {17179869184}
	set_component_parameter_value DUT_MEMORY_TOTAL_SIZE {17179869184}
	set_component_parameter_value LOCAL_DATA_WORDS {64}
	set_component_parameter_value MAX_BURST_COUNT {32}
	set_component_parameter_value MSGDMA_DISP_READ_CSR_OFFSET {320}
	set_component_parameter_value MSGDMA_DISP_READ_DESCRIPTOR_OFFSET {352}
	set_component_parameter_value MSGDMA_DISP_WRITE_CSR_OFFSET {256}
	set_component_parameter_value MSGDMA_DISP_WRITE_DESCRIPTOR_OFFSET {288}
	set_component_parameter_value MSGDMA_FREQ_COUNTER_OFFSET {448}
	set_component_parameter_value MSGDMA_PRBS_PATTERN_CHK_OFFSET {0}
	set_component_parameter_value MSGDMA_PRBS_PATTERN_GEN_OFFSET {128}
	set_component_parameter_value MSGDMA_QSYS_BASE_ADDRESS {0}
	set_component_parameter_value PRBS_WIDTH {64}
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation master_driver_msgdma_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clock}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface csr avalon INPUT
	set_instantiation_interface_parameter_value csr addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value csr addressGroup {0}
	set_instantiation_interface_parameter_value csr addressSpan {128}
	set_instantiation_interface_parameter_value csr addressUnits {WORDS}
	set_instantiation_interface_parameter_value csr alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value csr associatedClock {clock}
	set_instantiation_interface_parameter_value csr associatedReset {reset}
	set_instantiation_interface_parameter_value csr bitsPerSymbol {8}
	set_instantiation_interface_parameter_value csr bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value csr bridgesToMaster {}
	set_instantiation_interface_parameter_value csr burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value csr burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value csr constantBurstBehavior {false}
	set_instantiation_interface_parameter_value csr dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value csr dfhFeatureId {35}
	set_instantiation_interface_parameter_value csr dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureType {3}
	set_instantiation_interface_parameter_value csr dfhGroupId {0}
	set_instantiation_interface_parameter_value csr dfhParameterData {}
	set_instantiation_interface_parameter_value csr dfhParameterDataLength {}
	set_instantiation_interface_parameter_value csr dfhParameterId {}
	set_instantiation_interface_parameter_value csr dfhParameterName {}
	set_instantiation_interface_parameter_value csr dfhParameterVersion {}
	set_instantiation_interface_parameter_value csr explicitAddressSpan {0}
	set_instantiation_interface_parameter_value csr holdTime {0}
	set_instantiation_interface_parameter_value csr interleaveBursts {false}
	set_instantiation_interface_parameter_value csr isBigEndian {false}
	set_instantiation_interface_parameter_value csr isFlash {false}
	set_instantiation_interface_parameter_value csr isMemoryDevice {false}
	set_instantiation_interface_parameter_value csr isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value csr linewrapBursts {false}
	set_instantiation_interface_parameter_value csr maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value csr maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value csr minimumReadLatency {1}
	set_instantiation_interface_parameter_value csr minimumResponseLatency {1}
	set_instantiation_interface_parameter_value csr minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value csr prSafe {false}
	set_instantiation_interface_parameter_value csr printableDevice {false}
	set_instantiation_interface_parameter_value csr readLatency {2}
	set_instantiation_interface_parameter_value csr readWaitStates {2}
	set_instantiation_interface_parameter_value csr readWaitTime {2}
	set_instantiation_interface_parameter_value csr registerIncomingSignals {false}
	set_instantiation_interface_parameter_value csr registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value csr setupTime {0}
	set_instantiation_interface_parameter_value csr timingUnits {Cycles}
	set_instantiation_interface_parameter_value csr transparentBridge {false}
	set_instantiation_interface_parameter_value csr waitrequestAllowance {0}
	set_instantiation_interface_parameter_value csr wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value csr writeLatency {0}
	set_instantiation_interface_parameter_value csr writeWaitStates {0}
	set_instantiation_interface_parameter_value csr writeWaitTime {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value csr address_map {<address-map><slave name='csr' start='0x0' end='0x80' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value csr address_width {7}
	set_instantiation_interface_sysinfo_parameter_value csr max_slave_data_width {32}
	add_instantiation_interface_port csr csr_address address 5 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr csr_read read 1 STD_LOGIC Input
	add_instantiation_interface_port csr csr_write write 1 STD_LOGIC Input
	add_instantiation_interface_port csr csr_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port csr csr_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr csr_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface interrupt_receiver interrupt OUTPUT
	set_instantiation_interface_parameter_value interrupt_receiver associatedAddressablePoint {avalon_master}
	set_instantiation_interface_parameter_value interrupt_receiver associatedClock {clock}
	set_instantiation_interface_parameter_value interrupt_receiver associatedReset {reset}
	set_instantiation_interface_parameter_value interrupt_receiver irqMap {}
	set_instantiation_interface_parameter_value interrupt_receiver irqScheme {INDIVIDUAL_REQUESTS}
	add_instantiation_interface_port interrupt_receiver irq irq 2 STD_LOGIC_VECTOR Input
	add_instantiation_interface avalon_master avalon OUTPUT
	set_instantiation_interface_parameter_value avalon_master adaptsTo {}
	set_instantiation_interface_parameter_value avalon_master addressGroup {0}
	set_instantiation_interface_parameter_value avalon_master addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value avalon_master alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value avalon_master associatedClock {clock}
	set_instantiation_interface_parameter_value avalon_master associatedReset {reset}
	set_instantiation_interface_parameter_value avalon_master bitsPerSymbol {8}
	set_instantiation_interface_parameter_value avalon_master burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value avalon_master burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_master constantBurstBehavior {false}
	set_instantiation_interface_parameter_value avalon_master dBSBigEndian {false}
	set_instantiation_interface_parameter_value avalon_master doStreamReads {false}
	set_instantiation_interface_parameter_value avalon_master doStreamWrites {false}
	set_instantiation_interface_parameter_value avalon_master holdTime {0}
	set_instantiation_interface_parameter_value avalon_master interleaveBursts {false}
	set_instantiation_interface_parameter_value avalon_master isAsynchronous {false}
	set_instantiation_interface_parameter_value avalon_master isBigEndian {false}
	set_instantiation_interface_parameter_value avalon_master isReadable {false}
	set_instantiation_interface_parameter_value avalon_master isWriteable {false}
	set_instantiation_interface_parameter_value avalon_master linewrapBursts {false}
	set_instantiation_interface_parameter_value avalon_master maxAddressWidth {32}
	set_instantiation_interface_parameter_value avalon_master maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value avalon_master maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value avalon_master minimumReadLatency {1}
	set_instantiation_interface_parameter_value avalon_master minimumResponseLatency {1}
	set_instantiation_interface_parameter_value avalon_master prSafe {false}
	set_instantiation_interface_parameter_value avalon_master readLatency {0}
	set_instantiation_interface_parameter_value avalon_master readWaitTime {1}
	set_instantiation_interface_parameter_value avalon_master registerIncomingSignals {false}
	set_instantiation_interface_parameter_value avalon_master registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value avalon_master setupTime {0}
	set_instantiation_interface_parameter_value avalon_master timingUnits {Cycles}
	set_instantiation_interface_parameter_value avalon_master waitrequestAllowance {0}
	set_instantiation_interface_parameter_value avalon_master writeWaitTime {0}
	add_instantiation_interface_port avalon_master waitrequest_in waitrequest 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_master csn chipselect_n 1 STD_LOGIC Output
	add_instantiation_interface_port avalon_master wen write_n 1 STD_LOGIC Output
	add_instantiation_interface_port avalon_master oen read_n 1 STD_LOGIC Output
	add_instantiation_interface_port avalon_master be byteenable 4 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port avalon_master addr address 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port avalon_master wdata writedata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port avalon_master rdata readdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface reset_source reset OUTPUT
	set_instantiation_interface_parameter_value reset_source associatedClock {clock}
	set_instantiation_interface_parameter_value reset_source associatedDirectReset {}
	set_instantiation_interface_parameter_value reset_source associatedResetSinks {none}
	set_instantiation_interface_parameter_value reset_source synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset_source reset_out reset 1 STD_LOGIC Output
	add_instantiation_interface cal_success conduit INPUT
	set_instantiation_interface_parameter_value cal_success associatedClock {}
	set_instantiation_interface_parameter_value cal_success associatedReset {}
	set_instantiation_interface_parameter_value cal_success prSafe {false}
	add_instantiation_interface_port cal_success cal_success export 1 STD_LOGIC Input
	add_instantiation_interface cal_fail conduit INPUT
	set_instantiation_interface_parameter_value cal_fail associatedClock {}
	set_instantiation_interface_parameter_value cal_fail associatedReset {}
	set_instantiation_interface_parameter_value cal_fail prSafe {false}
	add_instantiation_interface_port cal_fail cal_fail export 1 STD_LOGIC Input
	add_instantiation_interface error_mon conduit INPUT
	set_instantiation_interface_parameter_value error_mon associatedClock {}
	set_instantiation_interface_parameter_value error_mon associatedReset {}
	set_instantiation_interface_parameter_value error_mon prSafe {false}
	add_instantiation_interface_port error_mon error_mon export 1 STD_LOGIC Output
	add_instantiation_interface status_mon conduit INPUT
	set_instantiation_interface_parameter_value status_mon associatedClock {}
	set_instantiation_interface_parameter_value status_mon associatedReset {}
	set_instantiation_interface_parameter_value status_mon prSafe {false}
	add_instantiation_interface_port status_mon status_mon export 1 STD_LOGIC Output
	save_instantiation
	add_component product_info_0 ip/ed_synth/ed_synth_product_info_1.ip product_info ed_synth_product_info_1
	load_component product_info_0
	set_component_parameter_value board {1095190840}
	set_component_parameter_value product {75560}
	set_component_parameter_value sof {1145654612}
	set_component_parameter_value version {1}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation product_info_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clock}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface avalon_slave_0 avalon INPUT
	set_instantiation_interface_parameter_value avalon_slave_0 addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value avalon_slave_0 addressGroup {0}
	set_instantiation_interface_parameter_value avalon_slave_0 addressSpan {16}
	set_instantiation_interface_parameter_value avalon_slave_0 addressUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_slave_0 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value avalon_slave_0 associatedClock {clock}
	set_instantiation_interface_parameter_value avalon_slave_0 associatedReset {reset}
	set_instantiation_interface_parameter_value avalon_slave_0 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value avalon_slave_0 bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value avalon_slave_0 bridgesToMaster {}
	set_instantiation_interface_parameter_value avalon_slave_0 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value avalon_slave_0 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value avalon_slave_0 constantBurstBehavior {true}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureId {35}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhFeatureType {3}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhGroupId {0}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterData {}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterDataLength {}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterId {}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterName {}
	set_instantiation_interface_parameter_value avalon_slave_0 dfhParameterVersion {}
	set_instantiation_interface_parameter_value avalon_slave_0 explicitAddressSpan {0}
	set_instantiation_interface_parameter_value avalon_slave_0 holdTime {0}
	set_instantiation_interface_parameter_value avalon_slave_0 interleaveBursts {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isBigEndian {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isFlash {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isMemoryDevice {false}
	set_instantiation_interface_parameter_value avalon_slave_0 isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value avalon_slave_0 linewrapBursts {false}
	set_instantiation_interface_parameter_value avalon_slave_0 maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value avalon_slave_0 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumReadLatency {1}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value avalon_slave_0 minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value avalon_slave_0 prSafe {false}
	set_instantiation_interface_parameter_value avalon_slave_0 printableDevice {false}
	set_instantiation_interface_parameter_value avalon_slave_0 readLatency {0}
	set_instantiation_interface_parameter_value avalon_slave_0 readWaitStates {1}
	set_instantiation_interface_parameter_value avalon_slave_0 readWaitTime {1}
	set_instantiation_interface_parameter_value avalon_slave_0 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value avalon_slave_0 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value avalon_slave_0 setupTime {0}
	set_instantiation_interface_parameter_value avalon_slave_0 timingUnits {Cycles}
	set_instantiation_interface_parameter_value avalon_slave_0 transparentBridge {false}
	set_instantiation_interface_parameter_value avalon_slave_0 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value avalon_slave_0 wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value avalon_slave_0 writeLatency {0}
	set_instantiation_interface_parameter_value avalon_slave_0 writeWaitStates {0}
	set_instantiation_interface_parameter_value avalon_slave_0 writeWaitTime {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value avalon_slave_0 embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 address_map {<address-map><slave name='avalon_slave_0' start='0x0' end='0x10' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 address_width {4}
	set_instantiation_interface_sysinfo_parameter_value avalon_slave_0 max_slave_data_width {32}
	add_instantiation_interface_port avalon_slave_0 chipselect_n chipselect_n 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_slave_0 read_n read_n 1 STD_LOGIC Input
	add_instantiation_interface_port avalon_slave_0 av_data_read readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port avalon_slave_0 av_address address 2 STD_LOGIC_VECTOR Input
	save_instantiation
	add_instance reset_bridge_100mhz altera_generic_component
	load_instantiation reset_bridge_100mhz
	set_instantiation_property HDL_COMPILATION_LIBRARY {ed_synth_reset_bridge_0}
	set_instantiation_property HDL_ENTITY_NAME {ed_synth_reset_bridge_0}
	set_instantiation_property IP_FILE {ip/ed_synth/ed_synth_reset_bridge_0.ip}
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface in_reset reset INPUT
	set_instantiation_interface_parameter_value in_reset associatedClock {clk}
	set_instantiation_interface_parameter_value in_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port in_reset in_reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface out_reset reset OUTPUT
	set_instantiation_interface_parameter_value out_reset associatedClock {clk}
	set_instantiation_interface_parameter_value out_reset associatedDirectReset {in_reset}
	set_instantiation_interface_parameter_value out_reset associatedResetSinks {in_reset}
	set_instantiation_interface_parameter_value out_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port out_reset out_reset_n reset_n 1 STD_LOGIC Output
	save_instantiation
	set_instance_property reset_bridge_100mhz ENABLED false

	# add wirelevel expressions

	# preserve ports for debug

	# add the connections
	add_connection clk_50m.clk/freq_counter_0.clock
	set_connection_parameter_value clk_50m.clk/freq_counter_0.clock clockDomainSysInfo {1}
	set_connection_parameter_value clk_50m.clk/freq_counter_0.clock clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50m.clk/freq_counter_0.clock clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk/freq_counter_0.clock resetDomainSysInfo {1}
	add_connection clk_50m.clk/mSGDMA_0.clk_0
	set_connection_parameter_value clk_50m.clk/mSGDMA_0.clk_0 clockDomainSysInfo {1}
	set_connection_parameter_value clk_50m.clk/mSGDMA_0.clk_0 clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50m.clk/mSGDMA_0.clk_0 clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk/mSGDMA_0.clk_0 resetDomainSysInfo {1}
	add_connection clk_50m.clk/master_0.clk
	set_connection_parameter_value clk_50m.clk/master_0.clk clockDomainSysInfo {1}
	set_connection_parameter_value clk_50m.clk/master_0.clk clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50m.clk/master_0.clk clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk/master_0.clk resetDomainSysInfo {1}
	add_connection clk_50m.clk/master_driver_msgdma_0.clock
	set_connection_parameter_value clk_50m.clk/master_driver_msgdma_0.clock clockDomainSysInfo {1}
	set_connection_parameter_value clk_50m.clk/master_driver_msgdma_0.clock clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50m.clk/master_driver_msgdma_0.clock clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk/master_driver_msgdma_0.clock resetDomainSysInfo {1}
	add_connection clk_50m.clk/product_info_0.clock
	set_connection_parameter_value clk_50m.clk/product_info_0.clock clockDomainSysInfo {1}
	set_connection_parameter_value clk_50m.clk/product_info_0.clock clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_50m.clk/product_info_0.clock clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk/product_info_0.clock resetDomainSysInfo {1}
	add_connection clk_50m.clk_reset/freq_counter_0.reset
	set_connection_parameter_value clk_50m.clk_reset/freq_counter_0.reset clockDomainSysInfo {2}
	set_connection_parameter_value clk_50m.clk_reset/freq_counter_0.reset clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk_reset/freq_counter_0.reset resetDomainSysInfo {2}
	add_connection clk_50m.clk_reset/mSGDMA_0.reset_0
	set_connection_parameter_value clk_50m.clk_reset/mSGDMA_0.reset_0 clockDomainSysInfo {2}
	set_connection_parameter_value clk_50m.clk_reset/mSGDMA_0.reset_0 clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk_reset/mSGDMA_0.reset_0 resetDomainSysInfo {2}
	add_connection clk_50m.clk_reset/master_0.clk_reset
	set_connection_parameter_value clk_50m.clk_reset/master_0.clk_reset clockDomainSysInfo {2}
	set_connection_parameter_value clk_50m.clk_reset/master_0.clk_reset clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk_reset/master_0.clk_reset resetDomainSysInfo {2}
	add_connection clk_50m.clk_reset/master_driver_msgdma_0.reset
	set_connection_parameter_value clk_50m.clk_reset/master_driver_msgdma_0.reset clockDomainSysInfo {2}
	set_connection_parameter_value clk_50m.clk_reset/master_driver_msgdma_0.reset clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk_reset/master_driver_msgdma_0.reset resetDomainSysInfo {2}
	add_connection clk_50m.clk_reset/product_info_0.reset
	set_connection_parameter_value clk_50m.clk_reset/product_info_0.reset clockDomainSysInfo {2}
	set_connection_parameter_value clk_50m.clk_reset/product_info_0.reset clockResetSysInfo {}
	set_connection_parameter_value clk_50m.clk_reset/product_info_0.reset resetDomainSysInfo {2}
	add_connection clock_bridge_emif_refclk.out_clk/emif_fm_0.pll_ref_clk
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/emif_fm_0.pll_ref_clk clockDomainSysInfo {3}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/emif_fm_0.pll_ref_clk clockRateSysInfo {33333333.0}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/emif_fm_0.pll_ref_clk clockResetSysInfo {}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/emif_fm_0.pll_ref_clk resetDomainSysInfo {3}
	add_connection clock_bridge_emif_refclk.out_clk/freq_counter_0.sample_clock
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/freq_counter_0.sample_clock clockDomainSysInfo {3}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/freq_counter_0.sample_clock clockRateSysInfo {33333333.0}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/freq_counter_0.sample_clock clockResetSysInfo {}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/freq_counter_0.sample_clock resetDomainSysInfo {3}
	add_connection clock_bridge_emif_refclk.out_clk/local_reset_combiner.generic_clk
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/local_reset_combiner.generic_clk clockDomainSysInfo {3}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/local_reset_combiner.generic_clk clockRateSysInfo {33333333.0}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/local_reset_combiner.generic_clk clockResetSysInfo {}
	set_connection_parameter_value clock_bridge_emif_refclk.out_clk/local_reset_combiner.generic_clk resetDomainSysInfo {3}
	add_connection emif_cal_0.emif_calbus_clk/emif_fm_0.emif_calbus_clk
	set_connection_parameter_value emif_cal_0.emif_calbus_clk/emif_fm_0.emif_calbus_clk clockDomainSysInfo {4}
	set_connection_parameter_value emif_cal_0.emif_calbus_clk/emif_fm_0.emif_calbus_clk clockRateSysInfo {}
	set_connection_parameter_value emif_cal_0.emif_calbus_clk/emif_fm_0.emif_calbus_clk clockResetSysInfo {}
	set_connection_parameter_value emif_cal_0.emif_calbus_clk/emif_fm_0.emif_calbus_clk resetDomainSysInfo {4}
	add_connection emif_fm_0.emif_calbus/emif_cal_0.emif_calbus_0
	set_connection_parameter_value emif_fm_0.emif_calbus/emif_cal_0.emif_calbus_0 endPort {}
	set_connection_parameter_value emif_fm_0.emif_calbus/emif_cal_0.emif_calbus_0 endPortLSB {0}
	set_connection_parameter_value emif_fm_0.emif_calbus/emif_cal_0.emif_calbus_0 startPort {}
	set_connection_parameter_value emif_fm_0.emif_calbus/emif_cal_0.emif_calbus_0 startPortLSB {0}
	set_connection_parameter_value emif_fm_0.emif_calbus/emif_cal_0.emif_calbus_0 width {0}
	add_connection emif_fm_0.emif_usr_clk/mSGDMA_0.clk
	set_connection_parameter_value emif_fm_0.emif_usr_clk/mSGDMA_0.clk clockDomainSysInfo {5}
	set_connection_parameter_value emif_fm_0.emif_usr_clk/mSGDMA_0.clk clockRateSysInfo {333332500.0}
	set_connection_parameter_value emif_fm_0.emif_usr_clk/mSGDMA_0.clk clockResetSysInfo {}
	set_connection_parameter_value emif_fm_0.emif_usr_clk/mSGDMA_0.clk resetDomainSysInfo {5}
	add_connection emif_fm_0.emif_usr_reset_n/mSGDMA_0.reset
	set_connection_parameter_value emif_fm_0.emif_usr_reset_n/mSGDMA_0.reset clockDomainSysInfo {6}
	set_connection_parameter_value emif_fm_0.emif_usr_reset_n/mSGDMA_0.reset clockResetSysInfo {}
	set_connection_parameter_value emif_fm_0.emif_usr_reset_n/mSGDMA_0.reset resetDomainSysInfo {6}
	add_connection emif_fm_0.local_reset_status/local_reset_combiner.local_reset_status_in_0
	set_connection_parameter_value emif_fm_0.local_reset_status/local_reset_combiner.local_reset_status_in_0 endPort {}
	set_connection_parameter_value emif_fm_0.local_reset_status/local_reset_combiner.local_reset_status_in_0 endPortLSB {0}
	set_connection_parameter_value emif_fm_0.local_reset_status/local_reset_combiner.local_reset_status_in_0 startPort {}
	set_connection_parameter_value emif_fm_0.local_reset_status/local_reset_combiner.local_reset_status_in_0 startPortLSB {0}
	set_connection_parameter_value emif_fm_0.local_reset_status/local_reset_combiner.local_reset_status_in_0 width {0}
	add_connection emif_fm_0.pll_locked/local_reset_combiner.generic_conduit_reset_n
	set_connection_parameter_value emif_fm_0.pll_locked/local_reset_combiner.generic_conduit_reset_n endPort {}
	set_connection_parameter_value emif_fm_0.pll_locked/local_reset_combiner.generic_conduit_reset_n endPortLSB {0}
	set_connection_parameter_value emif_fm_0.pll_locked/local_reset_combiner.generic_conduit_reset_n startPort {}
	set_connection_parameter_value emif_fm_0.pll_locked/local_reset_combiner.generic_conduit_reset_n startPortLSB {0}
	set_connection_parameter_value emif_fm_0.pll_locked/local_reset_combiner.generic_conduit_reset_n width {0}
	add_connection local_reset_combiner.local_reset_req_out_0/emif_fm_0.local_reset_req
	set_connection_parameter_value local_reset_combiner.local_reset_req_out_0/emif_fm_0.local_reset_req endPort {}
	set_connection_parameter_value local_reset_combiner.local_reset_req_out_0/emif_fm_0.local_reset_req endPortLSB {0}
	set_connection_parameter_value local_reset_combiner.local_reset_req_out_0/emif_fm_0.local_reset_req startPort {}
	set_connection_parameter_value local_reset_combiner.local_reset_req_out_0/emif_fm_0.local_reset_req startPortLSB {0}
	set_connection_parameter_value local_reset_combiner.local_reset_req_out_0/emif_fm_0.local_reset_req width {0}
	add_connection mSGDMA_0.cal_fail_mon/master_driver_msgdma_0.cal_fail
	set_connection_parameter_value mSGDMA_0.cal_fail_mon/master_driver_msgdma_0.cal_fail endPort {}
	set_connection_parameter_value mSGDMA_0.cal_fail_mon/master_driver_msgdma_0.cal_fail endPortLSB {0}
	set_connection_parameter_value mSGDMA_0.cal_fail_mon/master_driver_msgdma_0.cal_fail startPort {}
	set_connection_parameter_value mSGDMA_0.cal_fail_mon/master_driver_msgdma_0.cal_fail startPortLSB {0}
	set_connection_parameter_value mSGDMA_0.cal_fail_mon/master_driver_msgdma_0.cal_fail width {0}
	add_connection mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 addressMapSysInfo {<address-map><slave name='emif_fm_0.ctrl_amm_0' start='0x0' end='0x400000000' datawidth='512' /></address-map>}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 addressWidthSysInfo {34}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 arbitrationPriority {1}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 baseAddress {0x0000}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 defaultConnection {0}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 domainAlias {}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.syncResets {TRUE}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mSGDMA_0.dma_read_master/emif_fm_0.ctrl_amm_0 slaveDataWidthSysInfo {-1}
	add_connection mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 addressMapSysInfo {<address-map><slave name='emif_fm_0.ctrl_amm_0' start='0x0' end='0x400000000' datawidth='512' /></address-map>}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 addressWidthSysInfo {34}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 arbitrationPriority {1}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 baseAddress {0x0000}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 defaultConnection {0}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 domainAlias {}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.syncResets {TRUE}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mSGDMA_0.dma_write_master/emif_fm_0.ctrl_amm_0 slaveDataWidthSysInfo {-1}
	add_connection mSGDMA_0.status_mon_in/emif_fm_0.status
	set_connection_parameter_value mSGDMA_0.status_mon_in/emif_fm_0.status endPort {}
	set_connection_parameter_value mSGDMA_0.status_mon_in/emif_fm_0.status endPortLSB {0}
	set_connection_parameter_value mSGDMA_0.status_mon_in/emif_fm_0.status startPort {}
	set_connection_parameter_value mSGDMA_0.status_mon_in/emif_fm_0.status startPortLSB {0}
	set_connection_parameter_value mSGDMA_0.status_mon_in/emif_fm_0.status width {0}
	add_connection master_0.master/freq_counter_0.csr
	set_connection_parameter_value master_0.master/freq_counter_0.csr addressMapSysInfo {<address-map><slave name='product_info_0.avalon_slave_0' start='0x0' end='0x10' datawidth='32' /><slave name='freq_counter_0.csr' start='0x40' end='0x80' datawidth='32' /><slave name='master_driver_msgdma_0.csr' start='0x80' end='0x100' datawidth='32' /></address-map>}
	set_connection_parameter_value master_0.master/freq_counter_0.csr addressWidthSysInfo {8}
	set_connection_parameter_value master_0.master/freq_counter_0.csr arbitrationPriority {1}
	set_connection_parameter_value master_0.master/freq_counter_0.csr baseAddress {0x0040}
	set_connection_parameter_value master_0.master/freq_counter_0.csr defaultConnection {0}
	set_connection_parameter_value master_0.master/freq_counter_0.csr domainAlias {}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.syncResets {FALSE}
	set_connection_parameter_value master_0.master/freq_counter_0.csr qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/freq_counter_0.csr slaveDataWidthSysInfo {-1}
	add_connection master_0.master/master_driver_msgdma_0.csr
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr addressMapSysInfo {<address-map><slave name='product_info_0.avalon_slave_0' start='0x0' end='0x10' datawidth='32' /><slave name='freq_counter_0.csr' start='0x40' end='0x80' datawidth='32' /><slave name='master_driver_msgdma_0.csr' start='0x80' end='0x100' datawidth='32' /></address-map>}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr addressWidthSysInfo {8}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr arbitrationPriority {1}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr baseAddress {0x0080}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr defaultConnection {0}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr domainAlias {}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.syncResets {FALSE}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/master_driver_msgdma_0.csr slaveDataWidthSysInfo {-1}
	add_connection master_0.master/product_info_0.avalon_slave_0
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 addressMapSysInfo {<address-map><slave name='product_info_0.avalon_slave_0' start='0x0' end='0x10' datawidth='32' /><slave name='freq_counter_0.csr' start='0x40' end='0x80' datawidth='32' /><slave name='master_driver_msgdma_0.csr' start='0x80' end='0x100' datawidth='32' /></address-map>}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 addressWidthSysInfo {8}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 arbitrationPriority {1}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 baseAddress {0x0000}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 defaultConnection {0}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 domainAlias {}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.syncResets {FALSE}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_0.master/product_info_0.avalon_slave_0 slaveDataWidthSysInfo {-1}
	add_connection master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv addressMapSysInfo {<address-map><slave name='mSGDMA_0.prbs_pattern_checker.csr' start='0x0' end='0x80' datawidth='32' /><slave name='mSGDMA_0.prbs_pattern_generator.csr' start='0x80' end='0x100' datawidth='32' /><slave name='mSGDMA_0.dispatcher_write.CSR' start='0x100' end='0x120' datawidth='32' /><slave name='mSGDMA_0.dispatcher_write.Descriptor_Slave' start='0x120' end='0x140' datawidth='256' /><slave name='mSGDMA_0.dispatcher_read.CSR' start='0x140' end='0x160' datawidth='32' /><slave name='mSGDMA_0.dispatcher_read.Descriptor_Slave' start='0x160' end='0x180' datawidth='256' /><slave name='mSGDMA_0.status_mon_0.slv' start='0x180' end='0x190' datawidth='32' /><slave name='mSGDMA_0.timer_0.s1' start='0x1A0' end='0x1C0' datawidth='16' /><slave name='mSGDMA_0.freq_counter_0.csr' start='0x1C0' end='0x200' datawidth='32' /></address-map>}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv addressWidthSysInfo {9}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv arbitrationPriority {1}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv baseAddress {0x0000}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv defaultConnection {0}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv domainAlias {}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.syncResets {TRUE}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value master_driver_msgdma_0.avalon_master/mSGDMA_0.mm_bridge_slv slaveDataWidthSysInfo {256}
	add_connection master_driver_msgdma_0.cal_success/mSGDMA_0.cal_success_mon
	set_connection_parameter_value master_driver_msgdma_0.cal_success/mSGDMA_0.cal_success_mon endPort {}
	set_connection_parameter_value master_driver_msgdma_0.cal_success/mSGDMA_0.cal_success_mon endPortLSB {0}
	set_connection_parameter_value master_driver_msgdma_0.cal_success/mSGDMA_0.cal_success_mon startPort {}
	set_connection_parameter_value master_driver_msgdma_0.cal_success/mSGDMA_0.cal_success_mon startPortLSB {0}
	set_connection_parameter_value master_driver_msgdma_0.cal_success/mSGDMA_0.cal_success_mon width {0}
	add_connection master_driver_msgdma_0.interrupt_receiver/mSGDMA_0.dispatcher_read_csr_irq
	set_connection_parameter_value master_driver_msgdma_0.interrupt_receiver/mSGDMA_0.dispatcher_read_csr_irq interruptsUsedSysInfo {3}
	set_connection_parameter_value master_driver_msgdma_0.interrupt_receiver/mSGDMA_0.dispatcher_read_csr_irq irqNumber {1}
	add_connection master_driver_msgdma_0.interrupt_receiver/mSGDMA_0.dispatcher_write_csr_irq
	set_connection_parameter_value master_driver_msgdma_0.interrupt_receiver/mSGDMA_0.dispatcher_write_csr_irq interruptsUsedSysInfo {3}
	set_connection_parameter_value master_driver_msgdma_0.interrupt_receiver/mSGDMA_0.dispatcher_write_csr_irq irqNumber {0}
	add_connection master_driver_msgdma_0.reset_source/mSGDMA_0.reset
	set_connection_parameter_value master_driver_msgdma_0.reset_source/mSGDMA_0.reset clockDomainSysInfo {7}
	set_connection_parameter_value master_driver_msgdma_0.reset_source/mSGDMA_0.reset clockResetSysInfo {}
	set_connection_parameter_value master_driver_msgdma_0.reset_source/mSGDMA_0.reset resetDomainSysInfo {7}

	# add the exports
	set_interface_property clk_50m EXPORT_OF clk_50m.clk_in
	set_interface_property global_reset EXPORT_OF clk_50m.clk_in_reset
	set_interface_property clock_bridge_emif_refclk EXPORT_OF clock_bridge_emif_refclk.in_clk
	set_interface_property emif_fm_0_oct EXPORT_OF emif_fm_0.oct
	set_interface_port_property emif_fm_0_oct emif_fm_0_oct_oct_rzqin PIN_TABLE {0,PIN_LN44,NA}
	set_interface_property emif_fm_0_mem EXPORT_OF emif_fm_0.mem
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_ck PIN_TABLE {0,PIN_LH48,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_ck_n PIN_TABLE {0,PIN_LL49,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_a PIN_TABLE {0,PIN_KR45,NA;1,PIN_KU44,NA;2,PIN_KJ45,NA;3,PIN_KF44,NA;4,PIN_KU46,NA;5,PIN_KR47,NA;6,PIN_KF46,NA;7,PIN_KJ47,NA;8,PIN_KR49,NA;9,PIN_KU48,NA;10,PIN_KF48,NA;11,PIN_KJ49,NA;12,PIN_LR43,NA;13,PIN_LW45,NA;14,PIN_MA46,NA;15,PIN_LR45,NA;16,PIN_LN46,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_act_n PIN_TABLE {0,PIN_KW45,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_ba PIN_TABLE {0,PIN_LW47,NA;1,PIN_LN48,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_bg PIN_TABLE {0,PIN_LR47,NA;1,PIN_LH44,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_cke PIN_TABLE {0,PIN_LB46,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_cs_n PIN_TABLE {0,PIN_LB44,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_odt PIN_TABLE {0,PIN_LH46,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_reset_n PIN_TABLE {0,PIN_LL45,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_par PIN_TABLE {0,PIN_LB48,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_alert_n PIN_TABLE {0,PIN_MA54,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_dqs PIN_TABLE {0,PIN_LW57,NA;1,PIN_LR57,NA;2,PIN_LW39,NA;3,PIN_LR39,NA;4,PIN_KU52,NA;5,PIN_KF52,NA;6,PIN_MH36,NA;7,PIN_MD36,NA;8,PIN_MH48,NA;9,PIN_MD48,NA;10,PIN_MH60,NA;11,PIN_MD60,NA;12,PIN_MH54,NA;13,PIN_MD54,NA;14,PIN_LH52,NA;15,PIN_LB52,NA;16,PIN_MH42,NA;17,PIN_MD42,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_dqs_n PIN_TABLE {0,PIN_MA58,NA;1,PIN_LN58,NA;2,PIN_MA40,NA;3,PIN_LN40,NA;4,PIN_KR53,NA;5,PIN_KJ53,NA;6,PIN_MK37,NA;7,PIN_MC37,NA;8,PIN_MK49,NA;9,PIN_MC49,NA;10,PIN_MK61,NA;11,PIN_MC61,NA;12,PIN_MK55,NA;13,PIN_MC55,NA;14,PIN_LL53,NA;15,PIN_KW53,NA;16,PIN_MK43,NA;17,PIN_MC43,NA}
	set_interface_port_property emif_fm_0_mem emif_fm_0_mem_mem_dq PIN_TABLE {0,PIN_LN56,NA;1,PIN_MA56,NA;2,PIN_LW55,NA;3,PIN_LR55,NA;4,PIN_LN60,NA;5,PIN_MA60,NA;6,PIN_LW59,NA;7,PIN_LR59,NA;8,PIN_LW37,NA;9,PIN_LR37,NA;10,PIN_MA38,NA;11,PIN_LN38,NA;12,PIN_MA42,NA;13,PIN_LW41,NA;14,PIN_LN42,NA;15,PIN_LR41,NA;16,PIN_KF50,NA;17,PIN_KJ51,NA;18,PIN_KU50,NA;19,PIN_KR51,NA;20,PIN_KJ55,NA;21,PIN_KR55,NA;22,PIN_KU54,NA;23,PIN_KF54,NA;24,PIN_MK35,NA;25,PIN_MC35,NA;26,PIN_MD34,NA;27,PIN_MH34,NA;28,PIN_MK39,NA;29,PIN_MC39,NA;30,PIN_MD38,NA;31,PIN_MH38,NA;32,PIN_MC47,NA;33,PIN_MK47,NA;34,PIN_MH46,NA;35,PIN_MD46,NA;36,PIN_MC51,NA;37,PIN_MK51,NA;38,PIN_MD50,NA;39,PIN_MH50,NA;40,PIN_MK59,NA;41,PIN_MH58,NA;42,PIN_MC59,NA;43,PIN_MD58,NA;44,PIN_MK63,NA;45,PIN_MC63,NA;46,PIN_MH62,NA;47,PIN_MD62,NA;48,PIN_MC53,NA;49,PIN_MK53,NA;50,PIN_MH52,NA;51,PIN_MD52,NA;52,PIN_MH56,NA;53,PIN_MC57,NA;54,PIN_MK57,NA;55,PIN_MD56,NA;56,PIN_LL51,NA;57,PIN_KW51,NA;58,PIN_LB50,NA;59,PIN_LH50,NA;60,PIN_LL55,NA;61,PIN_KW55,NA;62,PIN_LH54,NA;63,PIN_LB54,NA;64,PIN_MH40,NA;65,PIN_MD40,NA;66,PIN_MC41,NA;67,PIN_MK41,NA;68,PIN_MH44,NA;69,PIN_MK45,NA;70,PIN_MD44,NA;71,PIN_MC45,NA}
	set_interface_property local_reset_req EXPORT_OF local_reset_combiner.local_reset_req
	set_interface_port_property local_reset_req local_reset_req_local_reset_req NAME local_reset_req
	set_interface_property local_reset_status EXPORT_OF local_reset_combiner.local_reset_status
	set_interface_port_property local_reset_status local_reset_status_local_reset_done NAME local_reset_done
	set_interface_property master_driver_msgdma_0_error_mon EXPORT_OF master_driver_msgdma_0.error_mon
	set_interface_property master_driver_msgdma_0_status_mon EXPORT_OF master_driver_msgdma_0.status_mon

	# set values for exposed HDL parameters
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.burstAdapterImplementation GENERIC_CONVERTER
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.clockCrossingAdapter HANDSHAKE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.enableAllPipelines FALSE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.enableEccProtection FALSE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.enableInstrumentation FALSE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.enableOutOfOrderSupport FALSE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.insertDefaultSlave FALSE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.interconnectResetSource DEFAULT
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.interconnectType STANDARD
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.maxAdditionalLatency 1
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.optimizeRdFifoSize FALSE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.piplineType PIPELINE_STAGE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.responseFifoType REGISTER_BASED
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.syncResets TRUE
	set_domain_assignment mSGDMA_0.dma_read_master qsys_mm.widthAdapterImplementation GENERIC_CONVERTER
	set_domain_assignment master_0.master qsys_mm.burstAdapterImplementation GENERIC_CONVERTER
	set_domain_assignment master_0.master qsys_mm.clockCrossingAdapter HANDSHAKE
	set_domain_assignment master_0.master qsys_mm.enableAllPipelines FALSE
	set_domain_assignment master_0.master qsys_mm.enableEccProtection FALSE
	set_domain_assignment master_0.master qsys_mm.enableInstrumentation FALSE
	set_domain_assignment master_0.master qsys_mm.enableOutOfOrderSupport FALSE
	set_domain_assignment master_0.master qsys_mm.insertDefaultSlave FALSE
	set_domain_assignment master_0.master qsys_mm.interconnectResetSource DEFAULT
	set_domain_assignment master_0.master qsys_mm.interconnectType STANDARD
	set_domain_assignment master_0.master qsys_mm.maxAdditionalLatency 4
	set_domain_assignment master_0.master qsys_mm.optimizeRdFifoSize FALSE
	set_domain_assignment master_0.master qsys_mm.piplineType PIPELINE_STAGE
	set_domain_assignment master_0.master qsys_mm.responseFifoType REGISTER_BASED
	set_domain_assignment master_0.master qsys_mm.syncResets FALSE
	set_domain_assignment master_0.master qsys_mm.widthAdapterImplementation GENERIC_CONVERTER
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.burstAdapterImplementation GENERIC_CONVERTER
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.clockCrossingAdapter HANDSHAKE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.enableAllPipelines FALSE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.enableEccProtection FALSE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.enableInstrumentation FALSE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.enableOutOfOrderSupport FALSE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.insertDefaultSlave FALSE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.interconnectResetSource DEFAULT
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.interconnectType STANDARD
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.maxAdditionalLatency 1
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.optimizeRdFifoSize FALSE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.piplineType PIPELINE_STAGE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.responseFifoType REGISTER_BASED
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.syncResets TRUE
	set_domain_assignment master_driver_msgdma_0.avalon_master qsys_mm.widthAdapterImplementation GENERIC_CONVERTER

	# set the the module properties
	set_module_property BONUS_DATA {<?xml version="1.0" encoding="UTF-8"?>
<bonusData>
 <element __value="clk_50m">
  <datum __value="_sortIndex" value="6" type="int" />
 </element>
 <element __value="clock_bridge_100mhz">
  <datum __value="_sortIndex" value="0" type="int" />
  <datum __value="sopceditor_expanded" value="0" type="boolean" />
 </element>
 <element __value="clock_bridge_emif_refclk">
  <datum __value="_sortIndex" value="2" type="int" />
 </element>
 <element __value="emif_cal_0">
  <datum __value="_sortIndex" value="4" type="int" />
 </element>
 <element __value="emif_fm_0">
  <datum __value="_sortIndex" value="3" type="int" />
 </element>
 <element __value="freq_counter_0">
  <datum __value="_sortIndex" value="8" type="int" />
 </element>
 <element __value="local_reset_combiner">
  <datum __value="_sortIndex" value="5" type="int" />
 </element>
 <element __value="mSGDMA_0">
  <datum __value="_sortIndex" value="11" type="int" />
 </element>
 <element __value="master_0">
  <datum __value="_sortIndex" value="7" type="int" />
 </element>
 <element __value="master_driver_msgdma_0">
  <datum __value="_sortIndex" value="10" type="int" />
 </element>
 <element __value="product_info_0">
  <datum __value="_sortIndex" value="9" type="int" />
 </element>
 <element __value="reset_bridge_100mhz">
  <datum __value="_sortIndex" value="1" type="int" />
  <datum __value="sopceditor_expanded" value="0" type="boolean" />
 </element>
</bonusData>
}
	set_module_property FILE {ed_synth.qsys}
	set_module_property GENERATION_ID {0x00000000}
	set_module_property NAME {ed_synth}

	# save the system
	sync_sysinfo_parameters
	save_system ed_synth
}

# create the system "mSGDMA"
proc do_create_mSGDMA {} {
	# create the system
	create_system mSGDMA
	set_project_property BOARD {Intel Agilex 7 FPGA I-Series Development Kit 2xR-Tile and 1xF-Tile DK-DEV-AGI027RBES}
	set_project_property DEVICE {AGIB027R29A1E2VR3}
	set_project_property DEVICE_FAMILY {Agilex 7}
	set_project_property HIDE_FROM_IP_CATALOG {false}
	set_use_testbench_naming_pattern 0 {}

	# add HDL parameters

	# add the components
	add_component clk ip/mSGDMA/mSGDMA_clk.ip clock_source clk
	load_component clk
	set_component_parameter_value clockFrequency {266667000.0}
	set_component_parameter_value clockFrequencyKnown {1}
	set_component_parameter_value resetSynchronousEdges {DEASSERT}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation clk
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk_in clock INPUT
	set_instantiation_interface_parameter_value clk_in clockRate {333332500}
	set_instantiation_interface_parameter_value clk_in externallyDriven {false}
	set_instantiation_interface_parameter_value clk_in ptfSchematicName {}
	set_instantiation_interface_assignment_value clk_in qsys.ui.export_name {clk}
	add_instantiation_interface_port clk_in in_clk clk 1 STD_LOGIC Input
	add_instantiation_interface clk_in_reset reset INPUT
	set_instantiation_interface_parameter_value clk_in_reset associatedClock {clk_in}
	set_instantiation_interface_parameter_value clk_in_reset synchronousEdges {DEASSERT}
	set_instantiation_interface_assignment_value clk_in_reset qsys.ui.export_name {reset}
	add_instantiation_interface_port clk_in_reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface clk clock OUTPUT
	set_instantiation_interface_parameter_value clk associatedDirectClock {clk_in}
	set_instantiation_interface_parameter_value clk clockRate {333332500}
	set_instantiation_interface_parameter_value clk clockRateKnown {true}
	set_instantiation_interface_parameter_value clk externallyDriven {true}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value clk clock_rate {333332500}
	add_instantiation_interface_port clk clk_out clk 1 STD_LOGIC Output
	add_instantiation_interface clk_reset reset OUTPUT
	set_instantiation_interface_parameter_value clk_reset associatedClock {clk}
	set_instantiation_interface_parameter_value clk_reset associatedDirectReset {clk_in_reset}
	set_instantiation_interface_parameter_value clk_reset associatedResetSinks {clk_in_reset}
	set_instantiation_interface_parameter_value clk_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port clk_reset reset_n_out reset_n 1 STD_LOGIC Output
	save_instantiation
	add_component clk_0 ip/mSGDMA/mSGDMA_clk_0.ip clock_source clk_0
	load_component clk_0
	set_component_parameter_value clockFrequency {50000000.0}
	set_component_parameter_value clockFrequencyKnown {1}
	set_component_parameter_value resetSynchronousEdges {DEASSERT}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation clk_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk_in clock INPUT
	set_instantiation_interface_parameter_value clk_in clockRate {50000000}
	set_instantiation_interface_parameter_value clk_in externallyDriven {false}
	set_instantiation_interface_parameter_value clk_in ptfSchematicName {}
	set_instantiation_interface_assignment_value clk_in qsys.ui.export_name {clk}
	add_instantiation_interface_port clk_in in_clk clk 1 STD_LOGIC Input
	add_instantiation_interface clk_in_reset reset INPUT
	set_instantiation_interface_parameter_value clk_in_reset associatedClock {clk_in}
	set_instantiation_interface_parameter_value clk_in_reset synchronousEdges {DEASSERT}
	set_instantiation_interface_assignment_value clk_in_reset qsys.ui.export_name {reset}
	add_instantiation_interface_port clk_in_reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface clk clock OUTPUT
	set_instantiation_interface_parameter_value clk associatedDirectClock {clk_in}
	set_instantiation_interface_parameter_value clk clockRate {50000000}
	set_instantiation_interface_parameter_value clk clockRateKnown {true}
	set_instantiation_interface_parameter_value clk externallyDriven {true}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	set_instantiation_interface_sysinfo_parameter_value clk clock_rate {50000000}
	add_instantiation_interface_port clk clk_out clk 1 STD_LOGIC Output
	add_instantiation_interface clk_reset reset OUTPUT
	set_instantiation_interface_parameter_value clk_reset associatedClock {clk}
	set_instantiation_interface_parameter_value clk_reset associatedDirectReset {clk_in_reset}
	set_instantiation_interface_parameter_value clk_reset associatedResetSinks {clk_in_reset}
	set_instantiation_interface_parameter_value clk_reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port clk_reset reset_n_out reset_n 1 STD_LOGIC Output
	save_instantiation
	add_component dispatcher_read ip/mSGDMA/mSGDMA_dispatcher_read.ip modular_sgdma_dispatcher dispatcher_read
	load_component dispatcher_read
	set_component_parameter_value BURST_ENABLE {0}
	set_component_parameter_value BURST_WRAPPING_SUPPORT {0}
	set_component_parameter_value CHANNEL_ENABLE {0}
	set_component_parameter_value CHANNEL_WIDTH {8}
	set_component_parameter_value CSR_ADDRESS_WIDTH {3}
	set_component_parameter_value DATA_FIFO_DEPTH {32}
	set_component_parameter_value DATA_WIDTH {32}
	set_component_parameter_value DESCRIPTOR_FIFO_DEPTH {1024}
	set_component_parameter_value ENHANCED_FEATURES {1}
	set_component_parameter_value ERROR_ENABLE {0}
	set_component_parameter_value ERROR_WIDTH {8}
	set_component_parameter_value GUI_RESPONSE_PORT {0}
	set_component_parameter_value MAX_BURST_COUNT {2}
	set_component_parameter_value MAX_BYTE {1024}
	set_component_parameter_value MAX_STRIDE {1}
	set_component_parameter_value MODE {1}
	set_component_parameter_value PACKET_ENABLE {0}
	set_component_parameter_value PREFETCHER_USE_CASE {0}
	set_component_parameter_value PROGRAMMABLE_BURST_ENABLE {0}
	set_component_parameter_value STRIDE_ENABLE {0}
	set_component_parameter_value STRIDE_ENABLE_DERIVED {0}
	set_component_parameter_value TRANSFER_TYPE {Aligned Accesses}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation dispatcher_read
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.BURST_ENABLE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.BURST_WRAPPING_SUPPORT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.DATA_FIFO_DEPTH {32}
	set_instantiation_assignment_value embeddedsw.CMacro.DATA_WIDTH {32}
	set_instantiation_assignment_value embeddedsw.CMacro.DESCRIPTOR_FIFO_DEPTH {1024}
	set_instantiation_assignment_value embeddedsw.CMacro.ENHANCED_FEATURES {1}
	set_instantiation_assignment_value embeddedsw.CMacro.MAX_BURST_COUNT {2}
	set_instantiation_assignment_value embeddedsw.CMacro.MAX_BYTE {1024}
	set_instantiation_assignment_value embeddedsw.CMacro.MAX_STRIDE {1}
	set_instantiation_assignment_value embeddedsw.CMacro.PROGRAMMABLE_BURST_ENABLE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.RESPONSE_FIFO_DEPTH {2048}
	set_instantiation_assignment_value embeddedsw.CMacro.RESPONSE_PORT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.STRIDE_ENABLE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.TRANSFER_TYPE {Aligned Accesses}
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface clock_reset reset INPUT
	set_instantiation_interface_parameter_value clock_reset associatedClock {clock}
	set_instantiation_interface_parameter_value clock_reset synchronousEdges {BOTH}
	add_instantiation_interface_port clock_reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface CSR avalon INPUT
	set_instantiation_interface_parameter_value CSR addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value CSR addressGroup {0}
	set_instantiation_interface_parameter_value CSR addressSpan {32}
	set_instantiation_interface_parameter_value CSR addressUnits {WORDS}
	set_instantiation_interface_parameter_value CSR alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value CSR associatedClock {clock}
	set_instantiation_interface_parameter_value CSR associatedReset {clock_reset}
	set_instantiation_interface_parameter_value CSR bitsPerSymbol {8}
	set_instantiation_interface_parameter_value CSR bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value CSR bridgesToMaster {}
	set_instantiation_interface_parameter_value CSR burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value CSR burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value CSR constantBurstBehavior {false}
	set_instantiation_interface_parameter_value CSR dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value CSR dfhFeatureId {35}
	set_instantiation_interface_parameter_value CSR dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value CSR dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value CSR dfhFeatureType {3}
	set_instantiation_interface_parameter_value CSR dfhGroupId {0}
	set_instantiation_interface_parameter_value CSR dfhParameterData {}
	set_instantiation_interface_parameter_value CSR dfhParameterDataLength {}
	set_instantiation_interface_parameter_value CSR dfhParameterId {}
	set_instantiation_interface_parameter_value CSR dfhParameterName {}
	set_instantiation_interface_parameter_value CSR dfhParameterVersion {}
	set_instantiation_interface_parameter_value CSR explicitAddressSpan {0}
	set_instantiation_interface_parameter_value CSR holdTime {0}
	set_instantiation_interface_parameter_value CSR interleaveBursts {false}
	set_instantiation_interface_parameter_value CSR isBigEndian {false}
	set_instantiation_interface_parameter_value CSR isFlash {false}
	set_instantiation_interface_parameter_value CSR isMemoryDevice {false}
	set_instantiation_interface_parameter_value CSR isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value CSR linewrapBursts {false}
	set_instantiation_interface_parameter_value CSR maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value CSR maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value CSR minimumReadLatency {1}
	set_instantiation_interface_parameter_value CSR minimumResponseLatency {1}
	set_instantiation_interface_parameter_value CSR minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value CSR prSafe {false}
	set_instantiation_interface_parameter_value CSR printableDevice {false}
	set_instantiation_interface_parameter_value CSR readLatency {1}
	set_instantiation_interface_parameter_value CSR readWaitStates {1}
	set_instantiation_interface_parameter_value CSR readWaitTime {1}
	set_instantiation_interface_parameter_value CSR registerIncomingSignals {false}
	set_instantiation_interface_parameter_value CSR registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value CSR setupTime {0}
	set_instantiation_interface_parameter_value CSR timingUnits {Cycles}
	set_instantiation_interface_parameter_value CSR transparentBridge {false}
	set_instantiation_interface_parameter_value CSR waitrequestAllowance {0}
	set_instantiation_interface_parameter_value CSR wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value CSR writeLatency {0}
	set_instantiation_interface_parameter_value CSR writeWaitStates {0}
	set_instantiation_interface_parameter_value CSR writeWaitTime {0}
	set_instantiation_interface_assignment_value CSR embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value CSR embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value CSR embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value CSR embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value CSR address_map {<address-map><slave name='CSR' start='0x0' end='0x20' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value CSR address_width {5}
	set_instantiation_interface_sysinfo_parameter_value CSR max_slave_data_width {32}
	add_instantiation_interface_port CSR csr_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port CSR csr_write write 1 STD_LOGIC Input
	add_instantiation_interface_port CSR csr_byteenable byteenable 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port CSR csr_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port CSR csr_read read 1 STD_LOGIC Input
	add_instantiation_interface_port CSR csr_address address 3 STD_LOGIC_VECTOR Input
	add_instantiation_interface Descriptor_Slave avalon INPUT
	set_instantiation_interface_parameter_value Descriptor_Slave addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value Descriptor_Slave addressGroup {0}
	set_instantiation_interface_parameter_value Descriptor_Slave addressSpan {32}
	set_instantiation_interface_parameter_value Descriptor_Slave addressUnits {WORDS}
	set_instantiation_interface_parameter_value Descriptor_Slave alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value Descriptor_Slave associatedClock {clock}
	set_instantiation_interface_parameter_value Descriptor_Slave associatedReset {clock_reset}
	set_instantiation_interface_parameter_value Descriptor_Slave bitsPerSymbol {8}
	set_instantiation_interface_parameter_value Descriptor_Slave bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value Descriptor_Slave bridgesToMaster {}
	set_instantiation_interface_parameter_value Descriptor_Slave burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value Descriptor_Slave burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value Descriptor_Slave constantBurstBehavior {false}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureId {35}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureType {3}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhGroupId {0}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterData {}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterDataLength {}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterId {}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterName {}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterVersion {}
	set_instantiation_interface_parameter_value Descriptor_Slave explicitAddressSpan {0}
	set_instantiation_interface_parameter_value Descriptor_Slave holdTime {0}
	set_instantiation_interface_parameter_value Descriptor_Slave interleaveBursts {false}
	set_instantiation_interface_parameter_value Descriptor_Slave isBigEndian {false}
	set_instantiation_interface_parameter_value Descriptor_Slave isFlash {false}
	set_instantiation_interface_parameter_value Descriptor_Slave isMemoryDevice {false}
	set_instantiation_interface_parameter_value Descriptor_Slave isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value Descriptor_Slave linewrapBursts {false}
	set_instantiation_interface_parameter_value Descriptor_Slave maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value Descriptor_Slave maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value Descriptor_Slave minimumReadLatency {1}
	set_instantiation_interface_parameter_value Descriptor_Slave minimumResponseLatency {1}
	set_instantiation_interface_parameter_value Descriptor_Slave minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value Descriptor_Slave prSafe {false}
	set_instantiation_interface_parameter_value Descriptor_Slave printableDevice {false}
	set_instantiation_interface_parameter_value Descriptor_Slave readLatency {0}
	set_instantiation_interface_parameter_value Descriptor_Slave readWaitStates {1}
	set_instantiation_interface_parameter_value Descriptor_Slave readWaitTime {1}
	set_instantiation_interface_parameter_value Descriptor_Slave registerIncomingSignals {false}
	set_instantiation_interface_parameter_value Descriptor_Slave registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value Descriptor_Slave setupTime {0}
	set_instantiation_interface_parameter_value Descriptor_Slave timingUnits {Cycles}
	set_instantiation_interface_parameter_value Descriptor_Slave transparentBridge {false}
	set_instantiation_interface_parameter_value Descriptor_Slave waitrequestAllowance {0}
	set_instantiation_interface_parameter_value Descriptor_Slave wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value Descriptor_Slave writeLatency {0}
	set_instantiation_interface_parameter_value Descriptor_Slave writeWaitStates {0}
	set_instantiation_interface_parameter_value Descriptor_Slave writeWaitTime {0}
	set_instantiation_interface_assignment_value Descriptor_Slave embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value Descriptor_Slave embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value Descriptor_Slave embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value Descriptor_Slave embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value Descriptor_Slave address_map {<address-map><slave name='Descriptor_Slave' start='0x0' end='0x20' datawidth='256' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value Descriptor_Slave address_width {5}
	set_instantiation_interface_sysinfo_parameter_value Descriptor_Slave max_slave_data_width {256}
	add_instantiation_interface_port Descriptor_Slave descriptor_write write 1 STD_LOGIC Input
	add_instantiation_interface_port Descriptor_Slave descriptor_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface_port Descriptor_Slave descriptor_writedata writedata 256 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port Descriptor_Slave descriptor_byteenable byteenable 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface Read_Command_Source avalon_streaming OUTPUT
	set_instantiation_interface_parameter_value Read_Command_Source associatedClock {clock}
	set_instantiation_interface_parameter_value Read_Command_Source associatedReset {clock_reset}
	set_instantiation_interface_parameter_value Read_Command_Source beatsPerCycle {1}
	set_instantiation_interface_parameter_value Read_Command_Source dataBitsPerSymbol {256}
	set_instantiation_interface_parameter_value Read_Command_Source emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Read_Command_Source errorDescriptor {}
	set_instantiation_interface_parameter_value Read_Command_Source firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Read_Command_Source highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Read_Command_Source maxChannel {0}
	set_instantiation_interface_parameter_value Read_Command_Source packetDescription {}
	set_instantiation_interface_parameter_value Read_Command_Source prSafe {false}
	set_instantiation_interface_parameter_value Read_Command_Source readyAllowance {0}
	set_instantiation_interface_parameter_value Read_Command_Source readyLatency {0}
	set_instantiation_interface_parameter_value Read_Command_Source symbolsPerBeat {1}
	add_instantiation_interface_port Read_Command_Source src_read_master_data data 256 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Read_Command_Source src_read_master_valid valid 1 STD_LOGIC Output
	add_instantiation_interface_port Read_Command_Source src_read_master_ready ready 1 STD_LOGIC Input
	add_instantiation_interface Read_Response_Sink avalon_streaming INPUT
	set_instantiation_interface_parameter_value Read_Response_Sink associatedClock {clock}
	set_instantiation_interface_parameter_value Read_Response_Sink associatedReset {clock_reset}
	set_instantiation_interface_parameter_value Read_Response_Sink beatsPerCycle {1}
	set_instantiation_interface_parameter_value Read_Response_Sink dataBitsPerSymbol {256}
	set_instantiation_interface_parameter_value Read_Response_Sink emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Read_Response_Sink errorDescriptor {}
	set_instantiation_interface_parameter_value Read_Response_Sink firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Read_Response_Sink highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Read_Response_Sink maxChannel {0}
	set_instantiation_interface_parameter_value Read_Response_Sink packetDescription {}
	set_instantiation_interface_parameter_value Read_Response_Sink prSafe {false}
	set_instantiation_interface_parameter_value Read_Response_Sink readyAllowance {0}
	set_instantiation_interface_parameter_value Read_Response_Sink readyLatency {0}
	set_instantiation_interface_parameter_value Read_Response_Sink symbolsPerBeat {1}
	add_instantiation_interface_port Read_Response_Sink snk_read_master_data data 256 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port Read_Response_Sink snk_read_master_valid valid 1 STD_LOGIC Input
	add_instantiation_interface_port Read_Response_Sink snk_read_master_ready ready 1 STD_LOGIC Output
	add_instantiation_interface csr_irq interrupt INPUT
	set_instantiation_interface_parameter_value csr_irq associatedAddressablePoint {dispatcher_read.CSR}
	set_instantiation_interface_parameter_value csr_irq associatedClock {clock}
	set_instantiation_interface_parameter_value csr_irq associatedReset {clock_reset}
	set_instantiation_interface_parameter_value csr_irq bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value csr_irq bridgesToReceiver {}
	set_instantiation_interface_parameter_value csr_irq irqScheme {NONE}
	add_instantiation_interface_port csr_irq csr_irq irq 1 STD_LOGIC Output
	save_instantiation
	add_component dispatcher_write ip/mSGDMA/mSGDMA_dispatcher_write.ip modular_sgdma_dispatcher dispatcher_write
	load_component dispatcher_write
	set_component_parameter_value BURST_ENABLE {0}
	set_component_parameter_value BURST_WRAPPING_SUPPORT {0}
	set_component_parameter_value CHANNEL_ENABLE {0}
	set_component_parameter_value CHANNEL_WIDTH {8}
	set_component_parameter_value CSR_ADDRESS_WIDTH {3}
	set_component_parameter_value DATA_FIFO_DEPTH {32}
	set_component_parameter_value DATA_WIDTH {32}
	set_component_parameter_value DESCRIPTOR_FIFO_DEPTH {1024}
	set_component_parameter_value ENHANCED_FEATURES {1}
	set_component_parameter_value ERROR_ENABLE {0}
	set_component_parameter_value ERROR_WIDTH {8}
	set_component_parameter_value GUI_RESPONSE_PORT {2}
	set_component_parameter_value MAX_BURST_COUNT {2}
	set_component_parameter_value MAX_BYTE {1024}
	set_component_parameter_value MAX_STRIDE {1}
	set_component_parameter_value MODE {2}
	set_component_parameter_value PACKET_ENABLE {0}
	set_component_parameter_value PREFETCHER_USE_CASE {0}
	set_component_parameter_value PROGRAMMABLE_BURST_ENABLE {0}
	set_component_parameter_value STRIDE_ENABLE {0}
	set_component_parameter_value STRIDE_ENABLE_DERIVED {0}
	set_component_parameter_value TRANSFER_TYPE {Aligned Accesses}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation dispatcher_write
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.BURST_ENABLE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.BURST_WRAPPING_SUPPORT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.DATA_FIFO_DEPTH {32}
	set_instantiation_assignment_value embeddedsw.CMacro.DATA_WIDTH {32}
	set_instantiation_assignment_value embeddedsw.CMacro.DESCRIPTOR_FIFO_DEPTH {1024}
	set_instantiation_assignment_value embeddedsw.CMacro.ENHANCED_FEATURES {1}
	set_instantiation_assignment_value embeddedsw.CMacro.MAX_BURST_COUNT {2}
	set_instantiation_assignment_value embeddedsw.CMacro.MAX_BYTE {1024}
	set_instantiation_assignment_value embeddedsw.CMacro.MAX_STRIDE {1}
	set_instantiation_assignment_value embeddedsw.CMacro.PROGRAMMABLE_BURST_ENABLE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.RESPONSE_FIFO_DEPTH {2048}
	set_instantiation_assignment_value embeddedsw.CMacro.RESPONSE_PORT {2}
	set_instantiation_assignment_value embeddedsw.CMacro.STRIDE_ENABLE {0}
	set_instantiation_assignment_value embeddedsw.CMacro.TRANSFER_TYPE {Aligned Accesses}
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface clock_reset reset INPUT
	set_instantiation_interface_parameter_value clock_reset associatedClock {clock}
	set_instantiation_interface_parameter_value clock_reset synchronousEdges {BOTH}
	add_instantiation_interface_port clock_reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface CSR avalon INPUT
	set_instantiation_interface_parameter_value CSR addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value CSR addressGroup {0}
	set_instantiation_interface_parameter_value CSR addressSpan {32}
	set_instantiation_interface_parameter_value CSR addressUnits {WORDS}
	set_instantiation_interface_parameter_value CSR alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value CSR associatedClock {clock}
	set_instantiation_interface_parameter_value CSR associatedReset {clock_reset}
	set_instantiation_interface_parameter_value CSR bitsPerSymbol {8}
	set_instantiation_interface_parameter_value CSR bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value CSR bridgesToMaster {}
	set_instantiation_interface_parameter_value CSR burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value CSR burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value CSR constantBurstBehavior {false}
	set_instantiation_interface_parameter_value CSR dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value CSR dfhFeatureId {35}
	set_instantiation_interface_parameter_value CSR dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value CSR dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value CSR dfhFeatureType {3}
	set_instantiation_interface_parameter_value CSR dfhGroupId {0}
	set_instantiation_interface_parameter_value CSR dfhParameterData {}
	set_instantiation_interface_parameter_value CSR dfhParameterDataLength {}
	set_instantiation_interface_parameter_value CSR dfhParameterId {}
	set_instantiation_interface_parameter_value CSR dfhParameterName {}
	set_instantiation_interface_parameter_value CSR dfhParameterVersion {}
	set_instantiation_interface_parameter_value CSR explicitAddressSpan {0}
	set_instantiation_interface_parameter_value CSR holdTime {0}
	set_instantiation_interface_parameter_value CSR interleaveBursts {false}
	set_instantiation_interface_parameter_value CSR isBigEndian {false}
	set_instantiation_interface_parameter_value CSR isFlash {false}
	set_instantiation_interface_parameter_value CSR isMemoryDevice {false}
	set_instantiation_interface_parameter_value CSR isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value CSR linewrapBursts {false}
	set_instantiation_interface_parameter_value CSR maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value CSR maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value CSR minimumReadLatency {1}
	set_instantiation_interface_parameter_value CSR minimumResponseLatency {1}
	set_instantiation_interface_parameter_value CSR minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value CSR prSafe {false}
	set_instantiation_interface_parameter_value CSR printableDevice {false}
	set_instantiation_interface_parameter_value CSR readLatency {1}
	set_instantiation_interface_parameter_value CSR readWaitStates {1}
	set_instantiation_interface_parameter_value CSR readWaitTime {1}
	set_instantiation_interface_parameter_value CSR registerIncomingSignals {false}
	set_instantiation_interface_parameter_value CSR registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value CSR setupTime {0}
	set_instantiation_interface_parameter_value CSR timingUnits {Cycles}
	set_instantiation_interface_parameter_value CSR transparentBridge {false}
	set_instantiation_interface_parameter_value CSR waitrequestAllowance {0}
	set_instantiation_interface_parameter_value CSR wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value CSR writeLatency {0}
	set_instantiation_interface_parameter_value CSR writeWaitStates {0}
	set_instantiation_interface_parameter_value CSR writeWaitTime {0}
	set_instantiation_interface_assignment_value CSR embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value CSR embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value CSR embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value CSR embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value CSR address_map {<address-map><slave name='CSR' start='0x0' end='0x20' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value CSR address_width {5}
	set_instantiation_interface_sysinfo_parameter_value CSR max_slave_data_width {32}
	add_instantiation_interface_port CSR csr_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port CSR csr_write write 1 STD_LOGIC Input
	add_instantiation_interface_port CSR csr_byteenable byteenable 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port CSR csr_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port CSR csr_read read 1 STD_LOGIC Input
	add_instantiation_interface_port CSR csr_address address 3 STD_LOGIC_VECTOR Input
	add_instantiation_interface Descriptor_Slave avalon INPUT
	set_instantiation_interface_parameter_value Descriptor_Slave addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value Descriptor_Slave addressGroup {0}
	set_instantiation_interface_parameter_value Descriptor_Slave addressSpan {32}
	set_instantiation_interface_parameter_value Descriptor_Slave addressUnits {WORDS}
	set_instantiation_interface_parameter_value Descriptor_Slave alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value Descriptor_Slave associatedClock {clock}
	set_instantiation_interface_parameter_value Descriptor_Slave associatedReset {clock_reset}
	set_instantiation_interface_parameter_value Descriptor_Slave bitsPerSymbol {8}
	set_instantiation_interface_parameter_value Descriptor_Slave bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value Descriptor_Slave bridgesToMaster {}
	set_instantiation_interface_parameter_value Descriptor_Slave burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value Descriptor_Slave burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value Descriptor_Slave constantBurstBehavior {false}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureId {35}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhFeatureType {3}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhGroupId {0}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterData {}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterDataLength {}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterId {}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterName {}
	set_instantiation_interface_parameter_value Descriptor_Slave dfhParameterVersion {}
	set_instantiation_interface_parameter_value Descriptor_Slave explicitAddressSpan {0}
	set_instantiation_interface_parameter_value Descriptor_Slave holdTime {0}
	set_instantiation_interface_parameter_value Descriptor_Slave interleaveBursts {false}
	set_instantiation_interface_parameter_value Descriptor_Slave isBigEndian {false}
	set_instantiation_interface_parameter_value Descriptor_Slave isFlash {false}
	set_instantiation_interface_parameter_value Descriptor_Slave isMemoryDevice {false}
	set_instantiation_interface_parameter_value Descriptor_Slave isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value Descriptor_Slave linewrapBursts {false}
	set_instantiation_interface_parameter_value Descriptor_Slave maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value Descriptor_Slave maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value Descriptor_Slave minimumReadLatency {1}
	set_instantiation_interface_parameter_value Descriptor_Slave minimumResponseLatency {1}
	set_instantiation_interface_parameter_value Descriptor_Slave minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value Descriptor_Slave prSafe {false}
	set_instantiation_interface_parameter_value Descriptor_Slave printableDevice {false}
	set_instantiation_interface_parameter_value Descriptor_Slave readLatency {0}
	set_instantiation_interface_parameter_value Descriptor_Slave readWaitStates {1}
	set_instantiation_interface_parameter_value Descriptor_Slave readWaitTime {1}
	set_instantiation_interface_parameter_value Descriptor_Slave registerIncomingSignals {false}
	set_instantiation_interface_parameter_value Descriptor_Slave registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value Descriptor_Slave setupTime {0}
	set_instantiation_interface_parameter_value Descriptor_Slave timingUnits {Cycles}
	set_instantiation_interface_parameter_value Descriptor_Slave transparentBridge {false}
	set_instantiation_interface_parameter_value Descriptor_Slave waitrequestAllowance {0}
	set_instantiation_interface_parameter_value Descriptor_Slave wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value Descriptor_Slave writeLatency {0}
	set_instantiation_interface_parameter_value Descriptor_Slave writeWaitStates {0}
	set_instantiation_interface_parameter_value Descriptor_Slave writeWaitTime {0}
	set_instantiation_interface_assignment_value Descriptor_Slave embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value Descriptor_Slave embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value Descriptor_Slave embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value Descriptor_Slave embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value Descriptor_Slave address_map {<address-map><slave name='Descriptor_Slave' start='0x0' end='0x20' datawidth='256' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value Descriptor_Slave address_width {5}
	set_instantiation_interface_sysinfo_parameter_value Descriptor_Slave max_slave_data_width {256}
	add_instantiation_interface_port Descriptor_Slave descriptor_write write 1 STD_LOGIC Input
	add_instantiation_interface_port Descriptor_Slave descriptor_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface_port Descriptor_Slave descriptor_writedata writedata 256 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port Descriptor_Slave descriptor_byteenable byteenable 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface Write_Command_Source avalon_streaming OUTPUT
	set_instantiation_interface_parameter_value Write_Command_Source associatedClock {clock}
	set_instantiation_interface_parameter_value Write_Command_Source associatedReset {clock_reset}
	set_instantiation_interface_parameter_value Write_Command_Source beatsPerCycle {1}
	set_instantiation_interface_parameter_value Write_Command_Source dataBitsPerSymbol {256}
	set_instantiation_interface_parameter_value Write_Command_Source emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Write_Command_Source errorDescriptor {}
	set_instantiation_interface_parameter_value Write_Command_Source firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Write_Command_Source highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Write_Command_Source maxChannel {0}
	set_instantiation_interface_parameter_value Write_Command_Source packetDescription {}
	set_instantiation_interface_parameter_value Write_Command_Source prSafe {false}
	set_instantiation_interface_parameter_value Write_Command_Source readyAllowance {0}
	set_instantiation_interface_parameter_value Write_Command_Source readyLatency {0}
	set_instantiation_interface_parameter_value Write_Command_Source symbolsPerBeat {1}
	add_instantiation_interface_port Write_Command_Source src_write_master_data data 256 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Write_Command_Source src_write_master_valid valid 1 STD_LOGIC Output
	add_instantiation_interface_port Write_Command_Source src_write_master_ready ready 1 STD_LOGIC Input
	add_instantiation_interface Write_Response_Sink avalon_streaming INPUT
	set_instantiation_interface_parameter_value Write_Response_Sink associatedClock {clock}
	set_instantiation_interface_parameter_value Write_Response_Sink associatedReset {clock_reset}
	set_instantiation_interface_parameter_value Write_Response_Sink beatsPerCycle {1}
	set_instantiation_interface_parameter_value Write_Response_Sink dataBitsPerSymbol {256}
	set_instantiation_interface_parameter_value Write_Response_Sink emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Write_Response_Sink errorDescriptor {}
	set_instantiation_interface_parameter_value Write_Response_Sink firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Write_Response_Sink highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Write_Response_Sink maxChannel {0}
	set_instantiation_interface_parameter_value Write_Response_Sink packetDescription {}
	set_instantiation_interface_parameter_value Write_Response_Sink prSafe {false}
	set_instantiation_interface_parameter_value Write_Response_Sink readyAllowance {0}
	set_instantiation_interface_parameter_value Write_Response_Sink readyLatency {0}
	set_instantiation_interface_parameter_value Write_Response_Sink symbolsPerBeat {1}
	add_instantiation_interface_port Write_Response_Sink snk_write_master_data data 256 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port Write_Response_Sink snk_write_master_valid valid 1 STD_LOGIC Input
	add_instantiation_interface_port Write_Response_Sink snk_write_master_ready ready 1 STD_LOGIC Output
	add_instantiation_interface csr_irq interrupt INPUT
	set_instantiation_interface_parameter_value csr_irq associatedAddressablePoint {dispatcher_write.CSR}
	set_instantiation_interface_parameter_value csr_irq associatedClock {clock}
	set_instantiation_interface_parameter_value csr_irq associatedReset {clock_reset}
	set_instantiation_interface_parameter_value csr_irq bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value csr_irq bridgesToReceiver {}
	set_instantiation_interface_parameter_value csr_irq irqScheme {NONE}
	add_instantiation_interface_port csr_irq csr_irq irq 1 STD_LOGIC Output
	save_instantiation
	add_component dma_read_master ip/mSGDMA/mSGDMA_dma_read_master.ip dma_read_master dma_read_master
	load_component dma_read_master
	set_component_parameter_value BURST_ENABLE {1}
	set_component_parameter_value CHANNEL_ENABLE {0}
	set_component_parameter_value CHANNEL_WIDTH {8}
	set_component_parameter_value DATA_WIDTH {512}
	set_component_parameter_value ERROR_ENABLE {0}
	set_component_parameter_value ERROR_WIDTH {8}
	set_component_parameter_value FIFO_DEPTH {1024}
	set_component_parameter_value FIFO_SPEED_OPTIMIZATION {1}
	set_component_parameter_value FIX_ADDRESS_WIDTH {34}
	set_component_parameter_value GUI_BURST_WRAPPING_SUPPORT {0}
	set_component_parameter_value GUI_MAX_BURST_COUNT {32}
	set_component_parameter_value GUI_PROGRAMMABLE_BURST_ENABLE {0}
	set_component_parameter_value GUI_STRIDE_WIDTH {1}
	set_component_parameter_value LENGTH_WIDTH {32}
	set_component_parameter_value PACKET_ENABLE {0}
	set_component_parameter_value STRIDE_ENABLE {0}
	set_component_parameter_value TRANSFER_TYPE {Full Word Accesses Only}
	set_component_parameter_value USE_FIX_ADDRESS_WIDTH {1}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation dma_read_master
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface Clock clock INPUT
	set_instantiation_interface_parameter_value Clock clockRate {0}
	set_instantiation_interface_parameter_value Clock externallyDriven {false}
	set_instantiation_interface_parameter_value Clock ptfSchematicName {}
	add_instantiation_interface_port Clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface Clock_reset reset INPUT
	set_instantiation_interface_parameter_value Clock_reset associatedClock {Clock}
	set_instantiation_interface_parameter_value Clock_reset synchronousEdges {BOTH}
	add_instantiation_interface_port Clock_reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface Data_Read_Master avalon OUTPUT
	set_instantiation_interface_parameter_value Data_Read_Master adaptsTo {}
	set_instantiation_interface_parameter_value Data_Read_Master addressGroup {0}
	set_instantiation_interface_parameter_value Data_Read_Master addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value Data_Read_Master alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value Data_Read_Master associatedClock {Clock}
	set_instantiation_interface_parameter_value Data_Read_Master associatedReset {Clock_reset}
	set_instantiation_interface_parameter_value Data_Read_Master bitsPerSymbol {8}
	set_instantiation_interface_parameter_value Data_Read_Master burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value Data_Read_Master burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value Data_Read_Master constantBurstBehavior {false}
	set_instantiation_interface_parameter_value Data_Read_Master dBSBigEndian {false}
	set_instantiation_interface_parameter_value Data_Read_Master doStreamReads {false}
	set_instantiation_interface_parameter_value Data_Read_Master doStreamWrites {false}
	set_instantiation_interface_parameter_value Data_Read_Master holdTime {0}
	set_instantiation_interface_parameter_value Data_Read_Master interleaveBursts {false}
	set_instantiation_interface_parameter_value Data_Read_Master isAsynchronous {false}
	set_instantiation_interface_parameter_value Data_Read_Master isBigEndian {false}
	set_instantiation_interface_parameter_value Data_Read_Master isReadable {false}
	set_instantiation_interface_parameter_value Data_Read_Master isWriteable {false}
	set_instantiation_interface_parameter_value Data_Read_Master linewrapBursts {false}
	set_instantiation_interface_parameter_value Data_Read_Master maxAddressWidth {32}
	set_instantiation_interface_parameter_value Data_Read_Master maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value Data_Read_Master maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value Data_Read_Master minimumReadLatency {1}
	set_instantiation_interface_parameter_value Data_Read_Master minimumResponseLatency {1}
	set_instantiation_interface_parameter_value Data_Read_Master prSafe {false}
	set_instantiation_interface_parameter_value Data_Read_Master readLatency {0}
	set_instantiation_interface_parameter_value Data_Read_Master readWaitTime {1}
	set_instantiation_interface_parameter_value Data_Read_Master registerIncomingSignals {false}
	set_instantiation_interface_parameter_value Data_Read_Master registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value Data_Read_Master setupTime {0}
	set_instantiation_interface_parameter_value Data_Read_Master timingUnits {Cycles}
	set_instantiation_interface_parameter_value Data_Read_Master waitrequestAllowance {0}
	set_instantiation_interface_parameter_value Data_Read_Master writeWaitTime {0}
	add_instantiation_interface_port Data_Read_Master master_address address 34 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Data_Read_Master master_read read 1 STD_LOGIC Output
	add_instantiation_interface_port Data_Read_Master master_byteenable byteenable 64 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Data_Read_Master master_readdata readdata 512 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port Data_Read_Master master_waitrequest waitrequest 1 STD_LOGIC Input
	add_instantiation_interface_port Data_Read_Master master_readdatavalid readdatavalid 1 STD_LOGIC Input
	add_instantiation_interface_port Data_Read_Master master_burstcount burstcount 6 STD_LOGIC_VECTOR Output
	add_instantiation_interface Data_Source avalon_streaming OUTPUT
	set_instantiation_interface_parameter_value Data_Source associatedClock {Clock}
	set_instantiation_interface_parameter_value Data_Source associatedReset {Clock_reset}
	set_instantiation_interface_parameter_value Data_Source beatsPerCycle {1}
	set_instantiation_interface_parameter_value Data_Source dataBitsPerSymbol {8}
	set_instantiation_interface_parameter_value Data_Source emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Data_Source errorDescriptor {}
	set_instantiation_interface_parameter_value Data_Source firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Data_Source highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Data_Source maxChannel {0}
	set_instantiation_interface_parameter_value Data_Source packetDescription {}
	set_instantiation_interface_parameter_value Data_Source prSafe {false}
	set_instantiation_interface_parameter_value Data_Source readyAllowance {0}
	set_instantiation_interface_parameter_value Data_Source readyLatency {0}
	set_instantiation_interface_parameter_value Data_Source symbolsPerBeat {64}
	add_instantiation_interface_port Data_Source src_data data 512 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Data_Source src_valid valid 1 STD_LOGIC Output
	add_instantiation_interface_port Data_Source src_ready ready 1 STD_LOGIC Input
	add_instantiation_interface Command_Sink avalon_streaming INPUT
	set_instantiation_interface_parameter_value Command_Sink associatedClock {Clock}
	set_instantiation_interface_parameter_value Command_Sink associatedReset {Clock_reset}
	set_instantiation_interface_parameter_value Command_Sink beatsPerCycle {1}
	set_instantiation_interface_parameter_value Command_Sink dataBitsPerSymbol {256}
	set_instantiation_interface_parameter_value Command_Sink emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Command_Sink errorDescriptor {}
	set_instantiation_interface_parameter_value Command_Sink firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Command_Sink highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Command_Sink maxChannel {0}
	set_instantiation_interface_parameter_value Command_Sink packetDescription {}
	set_instantiation_interface_parameter_value Command_Sink prSafe {false}
	set_instantiation_interface_parameter_value Command_Sink readyAllowance {0}
	set_instantiation_interface_parameter_value Command_Sink readyLatency {0}
	set_instantiation_interface_parameter_value Command_Sink symbolsPerBeat {1}
	add_instantiation_interface_port Command_Sink snk_command_data data 256 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port Command_Sink snk_command_valid valid 1 STD_LOGIC Input
	add_instantiation_interface_port Command_Sink snk_command_ready ready 1 STD_LOGIC Output
	add_instantiation_interface Response_Source avalon_streaming OUTPUT
	set_instantiation_interface_parameter_value Response_Source associatedClock {Clock}
	set_instantiation_interface_parameter_value Response_Source associatedReset {Clock_reset}
	set_instantiation_interface_parameter_value Response_Source beatsPerCycle {1}
	set_instantiation_interface_parameter_value Response_Source dataBitsPerSymbol {256}
	set_instantiation_interface_parameter_value Response_Source emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Response_Source errorDescriptor {}
	set_instantiation_interface_parameter_value Response_Source firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Response_Source highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Response_Source maxChannel {0}
	set_instantiation_interface_parameter_value Response_Source packetDescription {}
	set_instantiation_interface_parameter_value Response_Source prSafe {false}
	set_instantiation_interface_parameter_value Response_Source readyAllowance {0}
	set_instantiation_interface_parameter_value Response_Source readyLatency {0}
	set_instantiation_interface_parameter_value Response_Source symbolsPerBeat {1}
	add_instantiation_interface_port Response_Source src_response_data data 256 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Response_Source src_response_valid valid 1 STD_LOGIC Output
	add_instantiation_interface_port Response_Source src_response_ready ready 1 STD_LOGIC Input
	save_instantiation
	add_component dma_write_master ip/mSGDMA/mSGDMA_dma_write_master.ip dma_write_master dma_write_master
	load_component dma_write_master
	set_component_parameter_value BURST_ENABLE {1}
	set_component_parameter_value DATA_WIDTH {512}
	set_component_parameter_value ERROR_ENABLE {0}
	set_component_parameter_value ERROR_WIDTH {8}
	set_component_parameter_value FIFO_DEPTH {1024}
	set_component_parameter_value FIFO_SPEED_OPTIMIZATION {1}
	set_component_parameter_value FIX_ADDRESS_WIDTH {34}
	set_component_parameter_value GUI_BURST_WRAPPING_SUPPORT {0}
	set_component_parameter_value GUI_MAX_BURST_COUNT {32}
	set_component_parameter_value GUI_NO_BYTEENABLES {0}
	set_component_parameter_value GUI_PROGRAMMABLE_BURST_ENABLE {0}
	set_component_parameter_value GUI_STRIDE_WIDTH {1}
	set_component_parameter_value LENGTH_WIDTH {32}
	set_component_parameter_value PACKET_ENABLE {0}
	set_component_parameter_value STRIDE_ENABLE {0}
	set_component_parameter_value TRANSFER_TYPE {Full Word Accesses Only}
	set_component_parameter_value USE_FIX_ADDRESS_WIDTH {1}
	set_component_parameter_value WRITE_RESPONSE_ENABLE {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation dma_write_master
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface Clock clock INPUT
	set_instantiation_interface_parameter_value Clock clockRate {0}
	set_instantiation_interface_parameter_value Clock externallyDriven {false}
	set_instantiation_interface_parameter_value Clock ptfSchematicName {}
	add_instantiation_interface_port Clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface Clock_reset reset INPUT
	set_instantiation_interface_parameter_value Clock_reset associatedClock {Clock}
	set_instantiation_interface_parameter_value Clock_reset synchronousEdges {BOTH}
	add_instantiation_interface_port Clock_reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface Data_Write_Master avalon OUTPUT
	set_instantiation_interface_parameter_value Data_Write_Master adaptsTo {}
	set_instantiation_interface_parameter_value Data_Write_Master addressGroup {0}
	set_instantiation_interface_parameter_value Data_Write_Master addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value Data_Write_Master alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value Data_Write_Master associatedClock {Clock}
	set_instantiation_interface_parameter_value Data_Write_Master associatedReset {Clock_reset}
	set_instantiation_interface_parameter_value Data_Write_Master bitsPerSymbol {8}
	set_instantiation_interface_parameter_value Data_Write_Master burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value Data_Write_Master burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value Data_Write_Master constantBurstBehavior {false}
	set_instantiation_interface_parameter_value Data_Write_Master dBSBigEndian {false}
	set_instantiation_interface_parameter_value Data_Write_Master doStreamReads {false}
	set_instantiation_interface_parameter_value Data_Write_Master doStreamWrites {false}
	set_instantiation_interface_parameter_value Data_Write_Master holdTime {0}
	set_instantiation_interface_parameter_value Data_Write_Master interleaveBursts {false}
	set_instantiation_interface_parameter_value Data_Write_Master isAsynchronous {false}
	set_instantiation_interface_parameter_value Data_Write_Master isBigEndian {false}
	set_instantiation_interface_parameter_value Data_Write_Master isReadable {false}
	set_instantiation_interface_parameter_value Data_Write_Master isWriteable {false}
	set_instantiation_interface_parameter_value Data_Write_Master linewrapBursts {false}
	set_instantiation_interface_parameter_value Data_Write_Master maxAddressWidth {32}
	set_instantiation_interface_parameter_value Data_Write_Master maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value Data_Write_Master maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value Data_Write_Master minimumReadLatency {1}
	set_instantiation_interface_parameter_value Data_Write_Master minimumResponseLatency {1}
	set_instantiation_interface_parameter_value Data_Write_Master prSafe {false}
	set_instantiation_interface_parameter_value Data_Write_Master readLatency {0}
	set_instantiation_interface_parameter_value Data_Write_Master readWaitTime {1}
	set_instantiation_interface_parameter_value Data_Write_Master registerIncomingSignals {false}
	set_instantiation_interface_parameter_value Data_Write_Master registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value Data_Write_Master setupTime {0}
	set_instantiation_interface_parameter_value Data_Write_Master timingUnits {Cycles}
	set_instantiation_interface_parameter_value Data_Write_Master waitrequestAllowance {0}
	set_instantiation_interface_parameter_value Data_Write_Master writeWaitTime {0}
	add_instantiation_interface_port Data_Write_Master master_address address 34 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Data_Write_Master master_write write 1 STD_LOGIC Output
	add_instantiation_interface_port Data_Write_Master master_byteenable byteenable 64 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Data_Write_Master master_writedata writedata 512 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Data_Write_Master master_waitrequest waitrequest 1 STD_LOGIC Input
	add_instantiation_interface_port Data_Write_Master master_burstcount burstcount 6 STD_LOGIC_VECTOR Output
	add_instantiation_interface Data_Sink avalon_streaming INPUT
	set_instantiation_interface_parameter_value Data_Sink associatedClock {Clock}
	set_instantiation_interface_parameter_value Data_Sink associatedReset {Clock_reset}
	set_instantiation_interface_parameter_value Data_Sink beatsPerCycle {1}
	set_instantiation_interface_parameter_value Data_Sink dataBitsPerSymbol {8}
	set_instantiation_interface_parameter_value Data_Sink emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Data_Sink errorDescriptor {}
	set_instantiation_interface_parameter_value Data_Sink firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Data_Sink highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Data_Sink maxChannel {0}
	set_instantiation_interface_parameter_value Data_Sink packetDescription {}
	set_instantiation_interface_parameter_value Data_Sink prSafe {false}
	set_instantiation_interface_parameter_value Data_Sink readyAllowance {0}
	set_instantiation_interface_parameter_value Data_Sink readyLatency {0}
	set_instantiation_interface_parameter_value Data_Sink symbolsPerBeat {64}
	add_instantiation_interface_port Data_Sink snk_data data 512 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port Data_Sink snk_valid valid 1 STD_LOGIC Input
	add_instantiation_interface_port Data_Sink snk_ready ready 1 STD_LOGIC Output
	add_instantiation_interface Command_Sink avalon_streaming INPUT
	set_instantiation_interface_parameter_value Command_Sink associatedClock {Clock}
	set_instantiation_interface_parameter_value Command_Sink associatedReset {Clock_reset}
	set_instantiation_interface_parameter_value Command_Sink beatsPerCycle {1}
	set_instantiation_interface_parameter_value Command_Sink dataBitsPerSymbol {256}
	set_instantiation_interface_parameter_value Command_Sink emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Command_Sink errorDescriptor {}
	set_instantiation_interface_parameter_value Command_Sink firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Command_Sink highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Command_Sink maxChannel {0}
	set_instantiation_interface_parameter_value Command_Sink packetDescription {}
	set_instantiation_interface_parameter_value Command_Sink prSafe {false}
	set_instantiation_interface_parameter_value Command_Sink readyAllowance {0}
	set_instantiation_interface_parameter_value Command_Sink readyLatency {0}
	set_instantiation_interface_parameter_value Command_Sink symbolsPerBeat {1}
	add_instantiation_interface_port Command_Sink snk_command_data data 256 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port Command_Sink snk_command_valid valid 1 STD_LOGIC Input
	add_instantiation_interface_port Command_Sink snk_command_ready ready 1 STD_LOGIC Output
	add_instantiation_interface Response_Source avalon_streaming OUTPUT
	set_instantiation_interface_parameter_value Response_Source associatedClock {Clock}
	set_instantiation_interface_parameter_value Response_Source associatedReset {Clock_reset}
	set_instantiation_interface_parameter_value Response_Source beatsPerCycle {1}
	set_instantiation_interface_parameter_value Response_Source dataBitsPerSymbol {256}
	set_instantiation_interface_parameter_value Response_Source emptyWithinPacket {false}
	set_instantiation_interface_parameter_value Response_Source errorDescriptor {}
	set_instantiation_interface_parameter_value Response_Source firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value Response_Source highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value Response_Source maxChannel {0}
	set_instantiation_interface_parameter_value Response_Source packetDescription {}
	set_instantiation_interface_parameter_value Response_Source prSafe {false}
	set_instantiation_interface_parameter_value Response_Source readyAllowance {0}
	set_instantiation_interface_parameter_value Response_Source readyLatency {0}
	set_instantiation_interface_parameter_value Response_Source symbolsPerBeat {1}
	add_instantiation_interface_port Response_Source src_response_data data 256 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port Response_Source src_response_valid valid 1 STD_LOGIC Output
	add_instantiation_interface_port Response_Source src_response_ready ready 1 STD_LOGIC Input
	save_instantiation
	add_component freq_counter_0 ip/mSGDMA/mSGDMA_freq_counter_1.ip freq_counter mSGDMA_freq_counter_1
	load_component freq_counter_0
	set_component_parameter_value DIV {1}
	set_component_parameter_value SYSTEM_CLK_FREQ_PICO_SEC {20000}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation freq_counter_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clock}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface csr avalon INPUT
	set_instantiation_interface_parameter_value csr addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value csr addressGroup {0}
	set_instantiation_interface_parameter_value csr addressSpan {64}
	set_instantiation_interface_parameter_value csr addressUnits {WORDS}
	set_instantiation_interface_parameter_value csr alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value csr associatedClock {clock}
	set_instantiation_interface_parameter_value csr associatedReset {reset}
	set_instantiation_interface_parameter_value csr bitsPerSymbol {8}
	set_instantiation_interface_parameter_value csr bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value csr bridgesToMaster {}
	set_instantiation_interface_parameter_value csr burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value csr burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value csr constantBurstBehavior {false}
	set_instantiation_interface_parameter_value csr dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value csr dfhFeatureId {35}
	set_instantiation_interface_parameter_value csr dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureType {3}
	set_instantiation_interface_parameter_value csr dfhGroupId {0}
	set_instantiation_interface_parameter_value csr dfhParameterData {}
	set_instantiation_interface_parameter_value csr dfhParameterDataLength {}
	set_instantiation_interface_parameter_value csr dfhParameterId {}
	set_instantiation_interface_parameter_value csr dfhParameterName {}
	set_instantiation_interface_parameter_value csr dfhParameterVersion {}
	set_instantiation_interface_parameter_value csr explicitAddressSpan {0}
	set_instantiation_interface_parameter_value csr holdTime {0}
	set_instantiation_interface_parameter_value csr interleaveBursts {false}
	set_instantiation_interface_parameter_value csr isBigEndian {false}
	set_instantiation_interface_parameter_value csr isFlash {false}
	set_instantiation_interface_parameter_value csr isMemoryDevice {false}
	set_instantiation_interface_parameter_value csr isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value csr linewrapBursts {false}
	set_instantiation_interface_parameter_value csr maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value csr maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value csr minimumReadLatency {1}
	set_instantiation_interface_parameter_value csr minimumResponseLatency {1}
	set_instantiation_interface_parameter_value csr minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value csr prSafe {false}
	set_instantiation_interface_parameter_value csr printableDevice {false}
	set_instantiation_interface_parameter_value csr readLatency {0}
	set_instantiation_interface_parameter_value csr readWaitStates {1}
	set_instantiation_interface_parameter_value csr readWaitTime {1}
	set_instantiation_interface_parameter_value csr registerIncomingSignals {false}
	set_instantiation_interface_parameter_value csr registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value csr setupTime {0}
	set_instantiation_interface_parameter_value csr timingUnits {Cycles}
	set_instantiation_interface_parameter_value csr transparentBridge {false}
	set_instantiation_interface_parameter_value csr waitrequestAllowance {0}
	set_instantiation_interface_parameter_value csr wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value csr writeLatency {0}
	set_instantiation_interface_parameter_value csr writeWaitStates {0}
	set_instantiation_interface_parameter_value csr writeWaitTime {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value csr address_map {<address-map><slave name='csr' start='0x0' end='0x40' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value csr address_width {6}
	set_instantiation_interface_sysinfo_parameter_value csr max_slave_data_width {32}
	add_instantiation_interface_port csr csr_address address 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr csr_read read 1 STD_LOGIC Input
	add_instantiation_interface_port csr csr_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port csr csr_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface sample_clock clock INPUT
	set_instantiation_interface_parameter_value sample_clock clockRate {0}
	set_instantiation_interface_parameter_value sample_clock externallyDriven {false}
	set_instantiation_interface_parameter_value sample_clock ptfSchematicName {}
	add_instantiation_interface_port sample_clock sample_clk clk 1 STD_LOGIC Input
	save_instantiation
	add_component mm_bridge_slv ip/mSGDMA/mSGDMA_mm_bridge_slv.ip altera_avalon_mm_bridge mm_bridge_slv
	load_component mm_bridge_slv
	set_component_parameter_value ADDRESS_UNITS {SYMBOLS}
	set_component_parameter_value ADDRESS_WIDTH {9}
	set_component_parameter_value DATA_WIDTH {32}
	set_component_parameter_value LINEWRAPBURSTS {0}
	set_component_parameter_value M0_WAITREQUEST_ALLOWANCE {0}
	set_component_parameter_value MAX_BURST_SIZE {64}
	set_component_parameter_value MAX_PENDING_RESPONSES {16}
	set_component_parameter_value MAX_PENDING_WRITES {0}
	set_component_parameter_value PIPELINE_COMMAND {1}
	set_component_parameter_value PIPELINE_RESPONSE {1}
	set_component_parameter_value S0_WAITREQUEST_ALLOWANCE {0}
	set_component_parameter_value SYMBOL_WIDTH {8}
	set_component_parameter_value SYNC_RESET {0}
	set_component_parameter_value USE_AUTO_ADDRESS_WIDTH {0}
	set_component_parameter_value USE_RESPONSE {0}
	set_component_parameter_value USE_WRITERESPONSE {0}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation mm_bridge_slv
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clk}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface s0 avalon INPUT
	set_instantiation_interface_parameter_value s0 addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value s0 addressGroup {0}
	set_instantiation_interface_parameter_value s0 addressSpan {512}
	set_instantiation_interface_parameter_value s0 addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value s0 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value s0 associatedClock {clk}
	set_instantiation_interface_parameter_value s0 associatedReset {reset}
	set_instantiation_interface_parameter_value s0 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value s0 bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value s0 bridgesToMaster {m0}
	set_instantiation_interface_parameter_value s0 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value s0 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value s0 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value s0 dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value s0 dfhFeatureId {35}
	set_instantiation_interface_parameter_value s0 dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value s0 dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value s0 dfhFeatureType {3}
	set_instantiation_interface_parameter_value s0 dfhGroupId {0}
	set_instantiation_interface_parameter_value s0 dfhParameterData {}
	set_instantiation_interface_parameter_value s0 dfhParameterDataLength {}
	set_instantiation_interface_parameter_value s0 dfhParameterId {}
	set_instantiation_interface_parameter_value s0 dfhParameterName {}
	set_instantiation_interface_parameter_value s0 dfhParameterVersion {}
	set_instantiation_interface_parameter_value s0 explicitAddressSpan {0}
	set_instantiation_interface_parameter_value s0 holdTime {0}
	set_instantiation_interface_parameter_value s0 interleaveBursts {false}
	set_instantiation_interface_parameter_value s0 isBigEndian {false}
	set_instantiation_interface_parameter_value s0 isFlash {false}
	set_instantiation_interface_parameter_value s0 isMemoryDevice {false}
	set_instantiation_interface_parameter_value s0 isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value s0 linewrapBursts {false}
	set_instantiation_interface_parameter_value s0 maximumPendingReadTransactions {16}
	set_instantiation_interface_parameter_value s0 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value s0 minimumReadLatency {1}
	set_instantiation_interface_parameter_value s0 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value s0 minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value s0 prSafe {false}
	set_instantiation_interface_parameter_value s0 printableDevice {false}
	set_instantiation_interface_parameter_value s0 readLatency {0}
	set_instantiation_interface_parameter_value s0 readWaitStates {0}
	set_instantiation_interface_parameter_value s0 readWaitTime {0}
	set_instantiation_interface_parameter_value s0 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value s0 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value s0 setupTime {0}
	set_instantiation_interface_parameter_value s0 timingUnits {Cycles}
	set_instantiation_interface_parameter_value s0 transparentBridge {false}
	set_instantiation_interface_parameter_value s0 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value s0 wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value s0 writeLatency {0}
	set_instantiation_interface_parameter_value s0 writeWaitStates {0}
	set_instantiation_interface_parameter_value s0 writeWaitTime {0}
	set_instantiation_interface_assignment_value s0 embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value s0 embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value s0 embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value s0 embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value s0 address_map {}
	set_instantiation_interface_sysinfo_parameter_value s0 address_width {}
	set_instantiation_interface_sysinfo_parameter_value s0 max_slave_data_width {}
	add_instantiation_interface_port s0 s0_waitrequest waitrequest 1 STD_LOGIC Output
	add_instantiation_interface_port s0 s0_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port s0 s0_readdatavalid readdatavalid 1 STD_LOGIC Output
	add_instantiation_interface_port s0 s0_burstcount burstcount 7 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s0 s0_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s0 s0_address address 9 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s0 s0_write write 1 STD_LOGIC Input
	add_instantiation_interface_port s0 s0_read read 1 STD_LOGIC Input
	add_instantiation_interface_port s0 s0_byteenable byteenable 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s0 s0_debugaccess debugaccess 1 STD_LOGIC Input
	add_instantiation_interface m0 avalon OUTPUT
	set_instantiation_interface_parameter_value m0 adaptsTo {}
	set_instantiation_interface_parameter_value m0 addressGroup {0}
	set_instantiation_interface_parameter_value m0 addressUnits {SYMBOLS}
	set_instantiation_interface_parameter_value m0 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value m0 associatedClock {clk}
	set_instantiation_interface_parameter_value m0 associatedReset {reset}
	set_instantiation_interface_parameter_value m0 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value m0 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value m0 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value m0 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value m0 dBSBigEndian {false}
	set_instantiation_interface_parameter_value m0 doStreamReads {false}
	set_instantiation_interface_parameter_value m0 doStreamWrites {false}
	set_instantiation_interface_parameter_value m0 holdTime {0}
	set_instantiation_interface_parameter_value m0 interleaveBursts {false}
	set_instantiation_interface_parameter_value m0 isAsynchronous {false}
	set_instantiation_interface_parameter_value m0 isBigEndian {false}
	set_instantiation_interface_parameter_value m0 isReadable {false}
	set_instantiation_interface_parameter_value m0 isWriteable {false}
	set_instantiation_interface_parameter_value m0 linewrapBursts {false}
	set_instantiation_interface_parameter_value m0 maxAddressWidth {32}
	set_instantiation_interface_parameter_value m0 maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value m0 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value m0 minimumReadLatency {1}
	set_instantiation_interface_parameter_value m0 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value m0 prSafe {false}
	set_instantiation_interface_parameter_value m0 readLatency {0}
	set_instantiation_interface_parameter_value m0 readWaitTime {1}
	set_instantiation_interface_parameter_value m0 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value m0 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value m0 setupTime {0}
	set_instantiation_interface_parameter_value m0 timingUnits {Cycles}
	set_instantiation_interface_parameter_value m0 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value m0 writeWaitTime {0}
	add_instantiation_interface_port m0 m0_waitrequest waitrequest 1 STD_LOGIC Input
	add_instantiation_interface_port m0 m0_readdata readdata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port m0 m0_readdatavalid readdatavalid 1 STD_LOGIC Input
	add_instantiation_interface_port m0 m0_burstcount burstcount 7 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port m0 m0_writedata writedata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port m0 m0_address address 9 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port m0 m0_write write 1 STD_LOGIC Output
	add_instantiation_interface_port m0 m0_read read 1 STD_LOGIC Output
	add_instantiation_interface_port m0 m0_byteenable byteenable 4 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port m0 m0_debugaccess debugaccess 1 STD_LOGIC Output
	save_instantiation
	add_component prbs_pattern_checker ip/mSGDMA/mSGDMA_prbs_pattern_checker_0.ip prbs_pattern_checker mSGDMA_prbs_pattern_checker_0
	load_component prbs_pattern_checker
	set_component_parameter_value DATA_WIDTH {512}
	set_component_parameter_value PRBS_WIDTH {64}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation prbs_pattern_checker
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clock}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface csr avalon INPUT
	set_instantiation_interface_parameter_value csr addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value csr addressGroup {0}
	set_instantiation_interface_parameter_value csr addressSpan {128}
	set_instantiation_interface_parameter_value csr addressUnits {WORDS}
	set_instantiation_interface_parameter_value csr alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value csr associatedClock {clock}
	set_instantiation_interface_parameter_value csr associatedReset {reset}
	set_instantiation_interface_parameter_value csr bitsPerSymbol {8}
	set_instantiation_interface_parameter_value csr bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value csr bridgesToMaster {}
	set_instantiation_interface_parameter_value csr burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value csr burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value csr constantBurstBehavior {false}
	set_instantiation_interface_parameter_value csr dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value csr dfhFeatureId {35}
	set_instantiation_interface_parameter_value csr dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureType {3}
	set_instantiation_interface_parameter_value csr dfhGroupId {0}
	set_instantiation_interface_parameter_value csr dfhParameterData {}
	set_instantiation_interface_parameter_value csr dfhParameterDataLength {}
	set_instantiation_interface_parameter_value csr dfhParameterId {}
	set_instantiation_interface_parameter_value csr dfhParameterName {}
	set_instantiation_interface_parameter_value csr dfhParameterVersion {}
	set_instantiation_interface_parameter_value csr explicitAddressSpan {0}
	set_instantiation_interface_parameter_value csr holdTime {0}
	set_instantiation_interface_parameter_value csr interleaveBursts {false}
	set_instantiation_interface_parameter_value csr isBigEndian {false}
	set_instantiation_interface_parameter_value csr isFlash {false}
	set_instantiation_interface_parameter_value csr isMemoryDevice {false}
	set_instantiation_interface_parameter_value csr isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value csr linewrapBursts {false}
	set_instantiation_interface_parameter_value csr maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value csr maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value csr minimumReadLatency {1}
	set_instantiation_interface_parameter_value csr minimumResponseLatency {1}
	set_instantiation_interface_parameter_value csr minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value csr prSafe {false}
	set_instantiation_interface_parameter_value csr printableDevice {false}
	set_instantiation_interface_parameter_value csr readLatency {1}
	set_instantiation_interface_parameter_value csr readWaitStates {1}
	set_instantiation_interface_parameter_value csr readWaitTime {1}
	set_instantiation_interface_parameter_value csr registerIncomingSignals {false}
	set_instantiation_interface_parameter_value csr registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value csr setupTime {0}
	set_instantiation_interface_parameter_value csr timingUnits {Cycles}
	set_instantiation_interface_parameter_value csr transparentBridge {false}
	set_instantiation_interface_parameter_value csr waitrequestAllowance {0}
	set_instantiation_interface_parameter_value csr wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value csr writeLatency {0}
	set_instantiation_interface_parameter_value csr writeWaitStates {0}
	set_instantiation_interface_parameter_value csr writeWaitTime {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value csr address_map {<address-map><slave name='csr' start='0x0' end='0x80' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value csr address_width {7}
	set_instantiation_interface_sysinfo_parameter_value csr max_slave_data_width {32}
	add_instantiation_interface_port csr csr_address address 5 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr csr_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr csr_write write 1 STD_LOGIC Input
	add_instantiation_interface_port csr csr_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port csr csr_read read 1 STD_LOGIC Input
	add_instantiation_interface_port csr csr_byteenable byteenable 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface st_pattern_input avalon_streaming INPUT
	set_instantiation_interface_parameter_value st_pattern_input associatedClock {clock}
	set_instantiation_interface_parameter_value st_pattern_input associatedReset {reset}
	set_instantiation_interface_parameter_value st_pattern_input beatsPerCycle {1}
	set_instantiation_interface_parameter_value st_pattern_input dataBitsPerSymbol {8}
	set_instantiation_interface_parameter_value st_pattern_input emptyWithinPacket {false}
	set_instantiation_interface_parameter_value st_pattern_input errorDescriptor {}
	set_instantiation_interface_parameter_value st_pattern_input firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value st_pattern_input highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value st_pattern_input maxChannel {0}
	set_instantiation_interface_parameter_value st_pattern_input packetDescription {}
	set_instantiation_interface_parameter_value st_pattern_input prSafe {false}
	set_instantiation_interface_parameter_value st_pattern_input readyAllowance {0}
	set_instantiation_interface_parameter_value st_pattern_input readyLatency {0}
	set_instantiation_interface_parameter_value st_pattern_input symbolsPerBeat {1}
	add_instantiation_interface_port st_pattern_input snk_data data 512 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port st_pattern_input snk_valid valid 1 STD_LOGIC Input
	add_instantiation_interface_port st_pattern_input snk_ready ready 1 STD_LOGIC Output
	save_instantiation
	add_component prbs_pattern_generator ip/mSGDMA/mSGDMA_prbs_pattern_generator_0.ip prbs_pattern_generator mSGDMA_prbs_pattern_generator_0
	load_component prbs_pattern_generator
	set_component_parameter_value DATA_WIDTH {512}
	set_component_parameter_value PRBS_WIDTH {64}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation prbs_pattern_generator
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clock}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset reset 1 STD_LOGIC Input
	add_instantiation_interface csr avalon INPUT
	set_instantiation_interface_parameter_value csr addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value csr addressGroup {0}
	set_instantiation_interface_parameter_value csr addressSpan {128}
	set_instantiation_interface_parameter_value csr addressUnits {WORDS}
	set_instantiation_interface_parameter_value csr alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value csr associatedClock {clock}
	set_instantiation_interface_parameter_value csr associatedReset {reset}
	set_instantiation_interface_parameter_value csr bitsPerSymbol {8}
	set_instantiation_interface_parameter_value csr bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value csr bridgesToMaster {}
	set_instantiation_interface_parameter_value csr burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value csr burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value csr constantBurstBehavior {false}
	set_instantiation_interface_parameter_value csr dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value csr dfhFeatureId {35}
	set_instantiation_interface_parameter_value csr dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value csr dfhFeatureType {3}
	set_instantiation_interface_parameter_value csr dfhGroupId {0}
	set_instantiation_interface_parameter_value csr dfhParameterData {}
	set_instantiation_interface_parameter_value csr dfhParameterDataLength {}
	set_instantiation_interface_parameter_value csr dfhParameterId {}
	set_instantiation_interface_parameter_value csr dfhParameterName {}
	set_instantiation_interface_parameter_value csr dfhParameterVersion {}
	set_instantiation_interface_parameter_value csr explicitAddressSpan {0}
	set_instantiation_interface_parameter_value csr holdTime {0}
	set_instantiation_interface_parameter_value csr interleaveBursts {false}
	set_instantiation_interface_parameter_value csr isBigEndian {false}
	set_instantiation_interface_parameter_value csr isFlash {false}
	set_instantiation_interface_parameter_value csr isMemoryDevice {false}
	set_instantiation_interface_parameter_value csr isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value csr linewrapBursts {false}
	set_instantiation_interface_parameter_value csr maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value csr maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value csr minimumReadLatency {1}
	set_instantiation_interface_parameter_value csr minimumResponseLatency {1}
	set_instantiation_interface_parameter_value csr minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value csr prSafe {false}
	set_instantiation_interface_parameter_value csr printableDevice {false}
	set_instantiation_interface_parameter_value csr readLatency {1}
	set_instantiation_interface_parameter_value csr readWaitStates {1}
	set_instantiation_interface_parameter_value csr readWaitTime {1}
	set_instantiation_interface_parameter_value csr registerIncomingSignals {false}
	set_instantiation_interface_parameter_value csr registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value csr setupTime {0}
	set_instantiation_interface_parameter_value csr timingUnits {Cycles}
	set_instantiation_interface_parameter_value csr transparentBridge {false}
	set_instantiation_interface_parameter_value csr waitrequestAllowance {0}
	set_instantiation_interface_parameter_value csr wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value csr writeLatency {0}
	set_instantiation_interface_parameter_value csr writeWaitStates {0}
	set_instantiation_interface_parameter_value csr writeWaitTime {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value csr embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value csr address_map {<address-map><slave name='csr' start='0x0' end='0x80' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value csr address_width {7}
	set_instantiation_interface_sysinfo_parameter_value csr max_slave_data_width {32}
	add_instantiation_interface_port csr csr_address address 5 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr csr_writedata writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port csr csr_write write 1 STD_LOGIC Input
	add_instantiation_interface_port csr csr_readdata readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port csr csr_read read 1 STD_LOGIC Input
	add_instantiation_interface_port csr csr_byteenable byteenable 4 STD_LOGIC_VECTOR Input
	add_instantiation_interface st_pattern_output avalon_streaming OUTPUT
	set_instantiation_interface_parameter_value st_pattern_output associatedClock {clock}
	set_instantiation_interface_parameter_value st_pattern_output associatedReset {reset}
	set_instantiation_interface_parameter_value st_pattern_output beatsPerCycle {1}
	set_instantiation_interface_parameter_value st_pattern_output dataBitsPerSymbol {8}
	set_instantiation_interface_parameter_value st_pattern_output emptyWithinPacket {false}
	set_instantiation_interface_parameter_value st_pattern_output errorDescriptor {}
	set_instantiation_interface_parameter_value st_pattern_output firstSymbolInHighOrderBits {true}
	set_instantiation_interface_parameter_value st_pattern_output highOrderSymbolAtMSB {false}
	set_instantiation_interface_parameter_value st_pattern_output maxChannel {0}
	set_instantiation_interface_parameter_value st_pattern_output packetDescription {}
	set_instantiation_interface_parameter_value st_pattern_output prSafe {false}
	set_instantiation_interface_parameter_value st_pattern_output readyAllowance {0}
	set_instantiation_interface_parameter_value st_pattern_output readyLatency {1}
	set_instantiation_interface_parameter_value st_pattern_output symbolsPerBeat {1}
	add_instantiation_interface_port st_pattern_output src_data data 512 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port st_pattern_output src_valid valid 1 STD_LOGIC Output
	add_instantiation_interface_port st_pattern_output src_ready ready 1 STD_LOGIC Input
	save_instantiation
	add_component status_mon_0 ip/mSGDMA/mSGDMA_status_mon_0.ip status_mon status_mon_0
	load_component status_mon_0
	set_component_project_property HIDE_FROM_IP_CATALOG {false}
	save_component
	load_instantiation status_mon_0
	remove_instantiation_interfaces_and_ports
	add_instantiation_interface slv avalon INPUT
	set_instantiation_interface_parameter_value slv addressAlignment {DYNAMIC}
	set_instantiation_interface_parameter_value slv addressGroup {0}
	set_instantiation_interface_parameter_value slv addressSpan {16}
	set_instantiation_interface_parameter_value slv addressUnits {WORDS}
	set_instantiation_interface_parameter_value slv alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value slv associatedClock {clock}
	set_instantiation_interface_parameter_value slv associatedReset {reset_n}
	set_instantiation_interface_parameter_value slv bitsPerSymbol {8}
	set_instantiation_interface_parameter_value slv bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value slv bridgesToMaster {}
	set_instantiation_interface_parameter_value slv burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value slv burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value slv constantBurstBehavior {false}
	set_instantiation_interface_parameter_value slv dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value slv dfhFeatureId {35}
	set_instantiation_interface_parameter_value slv dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value slv dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value slv dfhFeatureType {3}
	set_instantiation_interface_parameter_value slv dfhGroupId {0}
	set_instantiation_interface_parameter_value slv dfhParameterData {}
	set_instantiation_interface_parameter_value slv dfhParameterDataLength {}
	set_instantiation_interface_parameter_value slv dfhParameterId {}
	set_instantiation_interface_parameter_value slv dfhParameterName {}
	set_instantiation_interface_parameter_value slv dfhParameterVersion {}
	set_instantiation_interface_parameter_value slv explicitAddressSpan {0}
	set_instantiation_interface_parameter_value slv holdTime {0}
	set_instantiation_interface_parameter_value slv interleaveBursts {false}
	set_instantiation_interface_parameter_value slv isBigEndian {false}
	set_instantiation_interface_parameter_value slv isFlash {false}
	set_instantiation_interface_parameter_value slv isMemoryDevice {false}
	set_instantiation_interface_parameter_value slv isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value slv linewrapBursts {false}
	set_instantiation_interface_parameter_value slv maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value slv maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value slv minimumReadLatency {1}
	set_instantiation_interface_parameter_value slv minimumResponseLatency {1}
	set_instantiation_interface_parameter_value slv minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value slv prSafe {false}
	set_instantiation_interface_parameter_value slv printableDevice {false}
	set_instantiation_interface_parameter_value slv readLatency {0}
	set_instantiation_interface_parameter_value slv readWaitStates {1}
	set_instantiation_interface_parameter_value slv readWaitTime {1}
	set_instantiation_interface_parameter_value slv registerIncomingSignals {false}
	set_instantiation_interface_parameter_value slv registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value slv setupTime {0}
	set_instantiation_interface_parameter_value slv timingUnits {Cycles}
	set_instantiation_interface_parameter_value slv transparentBridge {false}
	set_instantiation_interface_parameter_value slv waitrequestAllowance {0}
	set_instantiation_interface_parameter_value slv wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value slv writeLatency {0}
	set_instantiation_interface_parameter_value slv writeWaitStates {0}
	set_instantiation_interface_parameter_value slv writeWaitTime {0}
	set_instantiation_interface_assignment_value slv embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value slv embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value slv embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value slv embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_sysinfo_parameter_value slv address_map {<address-map><slave name='slv' start='0x0' end='0x10' datawidth='32' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value slv address_width {4}
	set_instantiation_interface_sysinfo_parameter_value slv max_slave_data_width {32}
	add_instantiation_interface_port slv slv_read_n read_n 1 STD_LOGIC Input
	add_instantiation_interface_port slv slv_write_n write_n 1 STD_LOGIC Input
	add_instantiation_interface_port slv slv_address address 2 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port slv slv_cs_n chipselect_n 1 STD_LOGIC Input
	add_instantiation_interface_port slv slv_data_write writedata 32 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port slv slv_data_read readdata 32 STD_LOGIC_VECTOR Output
	add_instantiation_interface cal_fail_mon conduit INPUT
	set_instantiation_interface_parameter_value cal_fail_mon associatedClock {}
	set_instantiation_interface_parameter_value cal_fail_mon associatedReset {}
	set_instantiation_interface_parameter_value cal_fail_mon prSafe {false}
	add_instantiation_interface_port cal_fail_mon cal_fail_mon export 1 STD_LOGIC Output
	add_instantiation_interface cal_success_mon conduit INPUT
	set_instantiation_interface_parameter_value cal_success_mon associatedClock {}
	set_instantiation_interface_parameter_value cal_success_mon associatedReset {}
	set_instantiation_interface_parameter_value cal_success_mon prSafe {false}
	add_instantiation_interface_port cal_success_mon cal_success_mon export 1 STD_LOGIC Output
	add_instantiation_interface reset_source reset OUTPUT
	set_instantiation_interface_parameter_value reset_source associatedClock {clock}
	set_instantiation_interface_parameter_value reset_source associatedDirectReset {}
	set_instantiation_interface_parameter_value reset_source associatedResetSinks {none}
	set_instantiation_interface_parameter_value reset_source synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset_source reset_out_n reset_n 1 STD_LOGIC Output
	add_instantiation_interface clock clock INPUT
	set_instantiation_interface_parameter_value clock clockRate {0}
	set_instantiation_interface_parameter_value clock externallyDriven {false}
	set_instantiation_interface_parameter_value clock ptfSchematicName {}
	add_instantiation_interface_port clock slv_clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset_n reset INPUT
	set_instantiation_interface_parameter_value reset_n associatedClock {clock}
	set_instantiation_interface_parameter_value reset_n synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset_n slv_reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface status conduit INPUT
	set_instantiation_interface_parameter_value status associatedClock {}
	set_instantiation_interface_parameter_value status associatedReset {}
	set_instantiation_interface_parameter_value status prSafe {false}
	add_instantiation_interface_port status local_cal_success local_cal_success 1 STD_LOGIC Input
	add_instantiation_interface_port status local_cal_fail local_cal_fail 1 STD_LOGIC Input
	save_instantiation
	add_component timer_0 ip/mSGDMA/mSGDMA_timer_0.ip altera_avalon_timer timer_0
	load_component timer_0
	set_component_parameter_value alwaysRun {0}
	set_component_parameter_value counterSize {32}
	set_component_parameter_value fixedPeriod {0}
	set_component_parameter_value period {1}
	set_component_parameter_value periodUnits {MSEC}
	set_component_parameter_value resetOutput {0}
	set_component_parameter_value snapshot {1}
	set_component_parameter_value timeoutPulseOutput {0}
	set_component_parameter_value watchdogPulse {2}
	set_component_project_property HIDE_FROM_IP_CATALOG {true}
	save_component
	load_instantiation timer_0
	remove_instantiation_interfaces_and_ports
	set_instantiation_assignment_value embeddedsw.CMacro.ALWAYS_RUN {0}
	set_instantiation_assignment_value embeddedsw.CMacro.COUNTER_SIZE {32}
	set_instantiation_assignment_value embeddedsw.CMacro.FIXED_PERIOD {0}
	set_instantiation_assignment_value embeddedsw.CMacro.FREQ {50000000}
	set_instantiation_assignment_value embeddedsw.CMacro.LOAD_VALUE {49999}
	set_instantiation_assignment_value embeddedsw.CMacro.MULT {0.001}
	set_instantiation_assignment_value embeddedsw.CMacro.PERIOD {1}
	set_instantiation_assignment_value embeddedsw.CMacro.PERIOD_UNITS {ms}
	set_instantiation_assignment_value embeddedsw.CMacro.RESET_OUTPUT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.SNAPSHOT {1}
	set_instantiation_assignment_value embeddedsw.CMacro.TICKS_PER_SEC {1000}
	set_instantiation_assignment_value embeddedsw.CMacro.TIMEOUT_PULSE_OUTPUT {0}
	set_instantiation_assignment_value embeddedsw.CMacro.TIMER_DEVICE_TYPE {1}
	set_instantiation_assignment_value embeddedsw.dts.compatible {altr,timer-1.0}
	set_instantiation_assignment_value embeddedsw.dts.group {timer}
	set_instantiation_assignment_value embeddedsw.dts.name {timer}
	set_instantiation_assignment_value embeddedsw.dts.params.clock-frequency {50000000}
	set_instantiation_assignment_value embeddedsw.dts.vendor {altr}
	add_instantiation_interface clk clock INPUT
	set_instantiation_interface_parameter_value clk clockRate {0}
	set_instantiation_interface_parameter_value clk externallyDriven {false}
	set_instantiation_interface_parameter_value clk ptfSchematicName {}
	add_instantiation_interface_port clk clk clk 1 STD_LOGIC Input
	add_instantiation_interface reset reset INPUT
	set_instantiation_interface_parameter_value reset associatedClock {clk}
	set_instantiation_interface_parameter_value reset synchronousEdges {DEASSERT}
	add_instantiation_interface_port reset reset_n reset_n 1 STD_LOGIC Input
	add_instantiation_interface s1 avalon INPUT
	set_instantiation_interface_parameter_value s1 addressAlignment {NATIVE}
	set_instantiation_interface_parameter_value s1 addressGroup {0}
	set_instantiation_interface_parameter_value s1 addressSpan {8}
	set_instantiation_interface_parameter_value s1 addressUnits {WORDS}
	set_instantiation_interface_parameter_value s1 alwaysBurstMaxBurst {false}
	set_instantiation_interface_parameter_value s1 associatedClock {clk}
	set_instantiation_interface_parameter_value s1 associatedReset {reset}
	set_instantiation_interface_parameter_value s1 bitsPerSymbol {8}
	set_instantiation_interface_parameter_value s1 bridgedAddressOffset {0}
	set_instantiation_interface_parameter_value s1 bridgesToMaster {}
	set_instantiation_interface_parameter_value s1 burstOnBurstBoundariesOnly {false}
	set_instantiation_interface_parameter_value s1 burstcountUnits {WORDS}
	set_instantiation_interface_parameter_value s1 constantBurstBehavior {false}
	set_instantiation_interface_parameter_value s1 dfhFeatureGuid {0}
	set_instantiation_interface_parameter_value s1 dfhFeatureId {35}
	set_instantiation_interface_parameter_value s1 dfhFeatureMajorVersion {0}
	set_instantiation_interface_parameter_value s1 dfhFeatureMinorVersion {0}
	set_instantiation_interface_parameter_value s1 dfhFeatureType {3}
	set_instantiation_interface_parameter_value s1 dfhGroupId {0}
	set_instantiation_interface_parameter_value s1 dfhParameterData {}
	set_instantiation_interface_parameter_value s1 dfhParameterDataLength {}
	set_instantiation_interface_parameter_value s1 dfhParameterId {}
	set_instantiation_interface_parameter_value s1 dfhParameterName {}
	set_instantiation_interface_parameter_value s1 dfhParameterVersion {}
	set_instantiation_interface_parameter_value s1 explicitAddressSpan {0}
	set_instantiation_interface_parameter_value s1 holdTime {0}
	set_instantiation_interface_parameter_value s1 interleaveBursts {false}
	set_instantiation_interface_parameter_value s1 isBigEndian {false}
	set_instantiation_interface_parameter_value s1 isFlash {false}
	set_instantiation_interface_parameter_value s1 isMemoryDevice {false}
	set_instantiation_interface_parameter_value s1 isNonVolatileStorage {false}
	set_instantiation_interface_parameter_value s1 linewrapBursts {false}
	set_instantiation_interface_parameter_value s1 maximumPendingReadTransactions {0}
	set_instantiation_interface_parameter_value s1 maximumPendingWriteTransactions {0}
	set_instantiation_interface_parameter_value s1 minimumReadLatency {1}
	set_instantiation_interface_parameter_value s1 minimumResponseLatency {1}
	set_instantiation_interface_parameter_value s1 minimumUninterruptedRunLength {1}
	set_instantiation_interface_parameter_value s1 prSafe {false}
	set_instantiation_interface_parameter_value s1 printableDevice {false}
	set_instantiation_interface_parameter_value s1 readLatency {0}
	set_instantiation_interface_parameter_value s1 readWaitStates {1}
	set_instantiation_interface_parameter_value s1 readWaitTime {1}
	set_instantiation_interface_parameter_value s1 registerIncomingSignals {false}
	set_instantiation_interface_parameter_value s1 registerOutgoingSignals {false}
	set_instantiation_interface_parameter_value s1 setupTime {0}
	set_instantiation_interface_parameter_value s1 timingUnits {Cycles}
	set_instantiation_interface_parameter_value s1 transparentBridge {false}
	set_instantiation_interface_parameter_value s1 waitrequestAllowance {0}
	set_instantiation_interface_parameter_value s1 wellBehavedWaitrequest {false}
	set_instantiation_interface_parameter_value s1 writeLatency {0}
	set_instantiation_interface_parameter_value s1 writeWaitStates {0}
	set_instantiation_interface_parameter_value s1 writeWaitTime {0}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isFlash {0}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isMemoryDevice {0}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isNonVolatileStorage {0}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isPrintableDevice {0}
	set_instantiation_interface_assignment_value s1 embeddedsw.configuration.isTimerDevice {1}
	set_instantiation_interface_sysinfo_parameter_value s1 address_map {<address-map><slave name='s1' start='0x0' end='0x20' datawidth='16' /></address-map>}
	set_instantiation_interface_sysinfo_parameter_value s1 address_width {5}
	set_instantiation_interface_sysinfo_parameter_value s1 max_slave_data_width {16}
	add_instantiation_interface_port s1 address address 3 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s1 writedata writedata 16 STD_LOGIC_VECTOR Input
	add_instantiation_interface_port s1 readdata readdata 16 STD_LOGIC_VECTOR Output
	add_instantiation_interface_port s1 chipselect chipselect 1 STD_LOGIC Input
	add_instantiation_interface_port s1 write_n write_n 1 STD_LOGIC Input
	add_instantiation_interface irq interrupt INPUT
	set_instantiation_interface_parameter_value irq associatedAddressablePoint {s1}
	set_instantiation_interface_parameter_value irq associatedClock {clk}
	set_instantiation_interface_parameter_value irq associatedReset {reset}
	set_instantiation_interface_parameter_value irq bridgedReceiverOffset {0}
	set_instantiation_interface_parameter_value irq bridgesToReceiver {}
	set_instantiation_interface_parameter_value irq irqScheme {NONE}
	add_instantiation_interface_port irq irq irq 1 STD_LOGIC Output
	save_instantiation

	# add wirelevel expressions

	# preserve ports for debug

	# add the connections
	add_connection clk.clk/dispatcher_read.clock
	set_connection_parameter_value clk.clk/dispatcher_read.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/dispatcher_read.clock clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/dispatcher_read.clock clockResetSysInfo {}
	set_connection_parameter_value clk.clk/dispatcher_read.clock resetDomainSysInfo {-1}
	add_connection clk.clk/dispatcher_write.clock
	set_connection_parameter_value clk.clk/dispatcher_write.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/dispatcher_write.clock clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/dispatcher_write.clock clockResetSysInfo {}
	set_connection_parameter_value clk.clk/dispatcher_write.clock resetDomainSysInfo {-1}
	add_connection clk.clk/dma_read_master.Clock
	set_connection_parameter_value clk.clk/dma_read_master.Clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/dma_read_master.Clock clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/dma_read_master.Clock clockResetSysInfo {}
	set_connection_parameter_value clk.clk/dma_read_master.Clock resetDomainSysInfo {-1}
	add_connection clk.clk/dma_write_master.Clock
	set_connection_parameter_value clk.clk/dma_write_master.Clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/dma_write_master.Clock clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/dma_write_master.Clock clockResetSysInfo {}
	set_connection_parameter_value clk.clk/dma_write_master.Clock resetDomainSysInfo {-1}
	add_connection clk.clk/freq_counter_0.sample_clock
	set_connection_parameter_value clk.clk/freq_counter_0.sample_clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/freq_counter_0.sample_clock clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/freq_counter_0.sample_clock clockResetSysInfo {}
	set_connection_parameter_value clk.clk/freq_counter_0.sample_clock resetDomainSysInfo {-1}
	add_connection clk.clk/mm_bridge_slv.clk
	set_connection_parameter_value clk.clk/mm_bridge_slv.clk clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/mm_bridge_slv.clk clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/mm_bridge_slv.clk clockResetSysInfo {}
	set_connection_parameter_value clk.clk/mm_bridge_slv.clk resetDomainSysInfo {-1}
	add_connection clk.clk/prbs_pattern_checker.clock
	set_connection_parameter_value clk.clk/prbs_pattern_checker.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/prbs_pattern_checker.clock clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/prbs_pattern_checker.clock clockResetSysInfo {}
	set_connection_parameter_value clk.clk/prbs_pattern_checker.clock resetDomainSysInfo {-1}
	add_connection clk.clk/prbs_pattern_generator.clock
	set_connection_parameter_value clk.clk/prbs_pattern_generator.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/prbs_pattern_generator.clock clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/prbs_pattern_generator.clock clockResetSysInfo {}
	set_connection_parameter_value clk.clk/prbs_pattern_generator.clock resetDomainSysInfo {-1}
	add_connection clk.clk/status_mon_0.clock
	set_connection_parameter_value clk.clk/status_mon_0.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk/status_mon_0.clock clockRateSysInfo {333332500.0}
	set_connection_parameter_value clk.clk/status_mon_0.clock clockResetSysInfo {}
	set_connection_parameter_value clk.clk/status_mon_0.clock resetDomainSysInfo {-1}
	add_connection clk.clk_reset/dispatcher_read.clock_reset
	set_connection_parameter_value clk.clk_reset/dispatcher_read.clock_reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk_reset/dispatcher_read.clock_reset clockResetSysInfo {}
	set_connection_parameter_value clk.clk_reset/dispatcher_read.clock_reset resetDomainSysInfo {-1}
	add_connection clk.clk_reset/dispatcher_write.clock_reset
	set_connection_parameter_value clk.clk_reset/dispatcher_write.clock_reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk_reset/dispatcher_write.clock_reset clockResetSysInfo {}
	set_connection_parameter_value clk.clk_reset/dispatcher_write.clock_reset resetDomainSysInfo {-1}
	add_connection clk.clk_reset/dma_read_master.Clock_reset
	set_connection_parameter_value clk.clk_reset/dma_read_master.Clock_reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk_reset/dma_read_master.Clock_reset clockResetSysInfo {}
	set_connection_parameter_value clk.clk_reset/dma_read_master.Clock_reset resetDomainSysInfo {-1}
	add_connection clk.clk_reset/dma_write_master.Clock_reset
	set_connection_parameter_value clk.clk_reset/dma_write_master.Clock_reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk_reset/dma_write_master.Clock_reset clockResetSysInfo {}
	set_connection_parameter_value clk.clk_reset/dma_write_master.Clock_reset resetDomainSysInfo {-1}
	add_connection clk.clk_reset/mm_bridge_slv.reset
	set_connection_parameter_value clk.clk_reset/mm_bridge_slv.reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk_reset/mm_bridge_slv.reset clockResetSysInfo {}
	set_connection_parameter_value clk.clk_reset/mm_bridge_slv.reset resetDomainSysInfo {-1}
	add_connection clk.clk_reset/prbs_pattern_checker.reset
	set_connection_parameter_value clk.clk_reset/prbs_pattern_checker.reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk_reset/prbs_pattern_checker.reset clockResetSysInfo {}
	set_connection_parameter_value clk.clk_reset/prbs_pattern_checker.reset resetDomainSysInfo {-1}
	add_connection clk.clk_reset/prbs_pattern_generator.reset
	set_connection_parameter_value clk.clk_reset/prbs_pattern_generator.reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk_reset/prbs_pattern_generator.reset clockResetSysInfo {}
	set_connection_parameter_value clk.clk_reset/prbs_pattern_generator.reset resetDomainSysInfo {-1}
	add_connection clk.clk_reset/status_mon_0.reset_n
	set_connection_parameter_value clk.clk_reset/status_mon_0.reset_n clockDomainSysInfo {-1}
	set_connection_parameter_value clk.clk_reset/status_mon_0.reset_n clockResetSysInfo {}
	set_connection_parameter_value clk.clk_reset/status_mon_0.reset_n resetDomainSysInfo {-1}
	add_connection clk_0.clk/freq_counter_0.clock
	set_connection_parameter_value clk_0.clk/freq_counter_0.clock clockDomainSysInfo {-1}
	set_connection_parameter_value clk_0.clk/freq_counter_0.clock clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_0.clk/freq_counter_0.clock clockResetSysInfo {}
	set_connection_parameter_value clk_0.clk/freq_counter_0.clock resetDomainSysInfo {-1}
	add_connection clk_0.clk/timer_0.clk
	set_connection_parameter_value clk_0.clk/timer_0.clk clockDomainSysInfo {-1}
	set_connection_parameter_value clk_0.clk/timer_0.clk clockRateSysInfo {50000000.0}
	set_connection_parameter_value clk_0.clk/timer_0.clk clockResetSysInfo {}
	set_connection_parameter_value clk_0.clk/timer_0.clk resetDomainSysInfo {-1}
	add_connection clk_0.clk_reset/freq_counter_0.reset
	set_connection_parameter_value clk_0.clk_reset/freq_counter_0.reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk_0.clk_reset/freq_counter_0.reset clockResetSysInfo {}
	set_connection_parameter_value clk_0.clk_reset/freq_counter_0.reset resetDomainSysInfo {-1}
	add_connection clk_0.clk_reset/timer_0.reset
	set_connection_parameter_value clk_0.clk_reset/timer_0.reset clockDomainSysInfo {-1}
	set_connection_parameter_value clk_0.clk_reset/timer_0.reset clockResetSysInfo {}
	set_connection_parameter_value clk_0.clk_reset/timer_0.reset resetDomainSysInfo {-1}
	add_connection dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.syncResets {FALSE}
	set_connection_parameter_value dispatcher_read.Read_Command_Source/dma_read_master.Command_Sink qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	add_connection dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.syncResets {FALSE}
	set_connection_parameter_value dispatcher_write.Write_Command_Source/dma_write_master.Command_Sink qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	add_connection dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.syncResets {FALSE}
	set_connection_parameter_value dma_read_master.Data_Source/prbs_pattern_checker.st_pattern_input qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	add_connection dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.syncResets {FALSE}
	set_connection_parameter_value dma_read_master.Response_Source/dispatcher_read.Read_Response_Sink qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	add_connection dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.syncResets {FALSE}
	set_connection_parameter_value dma_write_master.Response_Source/dispatcher_write.Write_Response_Sink qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	add_connection mm_bridge_slv.m0/dispatcher_read.CSR
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR baseAddress {0x0140}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.CSR slaveDataWidthSysInfo {-1}
	add_connection mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave baseAddress {0x0160}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_read.Descriptor_Slave slaveDataWidthSysInfo {-1}
	add_connection mm_bridge_slv.m0/dispatcher_write.CSR
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR baseAddress {0x0100}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.CSR slaveDataWidthSysInfo {-1}
	add_connection mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave baseAddress {0x0120}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/dispatcher_write.Descriptor_Slave slaveDataWidthSysInfo {-1}
	add_connection mm_bridge_slv.m0/freq_counter_0.csr
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr baseAddress {0x01c0}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/freq_counter_0.csr slaveDataWidthSysInfo {-1}
	add_connection mm_bridge_slv.m0/prbs_pattern_checker.csr
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr baseAddress {0x0000}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_checker.csr slaveDataWidthSysInfo {-1}
	add_connection mm_bridge_slv.m0/prbs_pattern_generator.csr
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr baseAddress {0x0080}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/prbs_pattern_generator.csr slaveDataWidthSysInfo {-1}
	add_connection mm_bridge_slv.m0/status_mon_0.slv
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv baseAddress {0x0180}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/status_mon_0.slv slaveDataWidthSysInfo {-1}
	add_connection mm_bridge_slv.m0/timer_0.s1
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 addressMapSysInfo {}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 addressWidthSysInfo {9}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 arbitrationPriority {1}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 baseAddress {0x01a0}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 defaultConnection {0}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 domainAlias {}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.clockCrossingAdapter {AUTO}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.maxAdditionalLatency {4}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.syncResets {FALSE}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value mm_bridge_slv.m0/timer_0.s1 slaveDataWidthSysInfo {-1}
	add_connection prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.burstAdapterImplementation {GENERIC_CONVERTER}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.clockCrossingAdapter {HANDSHAKE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.enableAllPipelines {FALSE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.enableEccProtection {FALSE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.enableInstrumentation {FALSE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.enableOutOfOrderSupport {FALSE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.insertDefaultSlave {FALSE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.interconnectResetSource {DEFAULT}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.interconnectType {STANDARD}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.maxAdditionalLatency {1}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.optimizeRdFifoSize {FALSE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.piplineType {PIPELINE_STAGE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.responseFifoType {REGISTER_BASED}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.syncResets {FALSE}
	set_connection_parameter_value prbs_pattern_generator.st_pattern_output/dma_write_master.Data_Sink qsys_mm.widthAdapterImplementation {GENERIC_CONVERTER}

	# add the exports
	set_interface_property clk EXPORT_OF clk.clk_in
	set_interface_property reset EXPORT_OF clk.clk_in_reset
	set_interface_property clk_0 EXPORT_OF clk_0.clk_in
	set_interface_property reset_0 EXPORT_OF clk_0.clk_in_reset
	set_interface_property dispatcher_read_csr_irq EXPORT_OF dispatcher_read.csr_irq
	set_interface_property dispatcher_write_csr_irq EXPORT_OF dispatcher_write.csr_irq
	set_interface_property dma_read_master EXPORT_OF dma_read_master.Data_Read_Master
	set_interface_property dma_write_master EXPORT_OF dma_write_master.Data_Write_Master
	set_interface_property mm_bridge_slv EXPORT_OF mm_bridge_slv.s0
	set_interface_property cal_fail_mon EXPORT_OF status_mon_0.cal_fail_mon
	set_interface_property cal_success_mon EXPORT_OF status_mon_0.cal_success_mon
	set_interface_property status_mon_in EXPORT_OF status_mon_0.status
	set_interface_property timer_0_irq EXPORT_OF timer_0.irq

	# set values for exposed HDL parameters
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.burstAdapterImplementation GENERIC_CONVERTER
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.clockCrossingAdapter AUTO
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.enableAllPipelines FALSE
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.enableEccProtection FALSE
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.enableInstrumentation FALSE
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.enableOutOfOrderSupport FALSE
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.insertDefaultSlave FALSE
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.interconnectResetSource DEFAULT
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.interconnectType STANDARD
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.maxAdditionalLatency 4
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.optimizeRdFifoSize FALSE
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.piplineType PIPELINE_STAGE
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.responseFifoType REGISTER_BASED
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.syncResets FALSE
	set_domain_assignment mm_bridge_slv.m0 qsys_mm.widthAdapterImplementation GENERIC_CONVERTER

	# set the the module properties
	set_module_property BONUS_DATA {<?xml version="1.0" encoding="UTF-8"?>
<bonusData>
 <element __value="clk">
  <datum __value="_sortIndex" value="5" type="int" />
 </element>
 <element __value="clk_0">
  <datum __value="_sortIndex" value="8" type="int" />
 </element>
 <element __value="dispatcher_read">
  <datum __value="_sortIndex" value="9" type="int" />
 </element>
 <element __value="dispatcher_read.CSR">
  <datum __value="baseAddress" value="128" type="long" />
 </element>
 <element __value="dispatcher_read.Descriptor_Slave">
  <datum __value="baseAddress" value="176" type="long" />
 </element>
 <element __value="dispatcher_write">
  <datum __value="_sortIndex" value="10" type="int" />
 </element>
 <element __value="dispatcher_write.CSR">
  <datum __value="baseAddress" value="96" type="long" />
 </element>
 <element __value="dispatcher_write.Descriptor_Slave">
  <datum __value="baseAddress" value="160" type="long" />
 </element>
 <element __value="dma_read_master">
  <datum __value="_sortIndex" value="0" type="int" />
 </element>
 <element __value="dma_write_master">
  <datum __value="_sortIndex" value="1" type="int" />
 </element>
 <element __value="freq_counter_0">
  <datum __value="_sortIndex" value="6" type="int" />
 </element>
 <element __value="mm_bridge_slv">
  <datum __value="_sortIndex" value="2" type="int" />
 </element>
 <element __value="prbs_pattern_checker">
  <datum __value="_sortIndex" value="4" type="int" />
 </element>
 <element __value="prbs_pattern_generator">
  <datum __value="_sortIndex" value="3" type="int" />
 </element>
 <element __value="status_mon_0">
  <datum __value="_sortIndex" value="11" type="int" />
 </element>
 <element __value="timer_0">
  <datum __value="_sortIndex" value="7" type="int" />
 </element>
 <element __value="timer_0.s1">
  <datum __value="baseAddress" value="528384" type="long" />
 </element>
</bonusData>
}
	set_module_property FILE {mSGDMA.qsys}
	set_module_property GENERATION_ID {0x00000000}
	set_module_property NAME {mSGDMA}

	# save the system
	sync_sysinfo_parameters
	save_system mSGDMA
}

proc do_set_exported_interface_sysinfo_parameters {} {
	load_system mSGDMA.qsys
	set_exported_interface_sysinfo_parameter_value clk clock_domain {5}
	set_exported_interface_sysinfo_parameter_value clk clock_rate {333332500}
	set_exported_interface_sysinfo_parameter_value clk reset_domain {5}
	set_exported_interface_sysinfo_parameter_value clk_0 clock_domain {1}
	set_exported_interface_sysinfo_parameter_value clk_0 clock_rate {50000000}
	set_exported_interface_sysinfo_parameter_value clk_0 reset_domain {1}
	set_exported_interface_sysinfo_parameter_value dma_read_master address_map {<address-map><slave name='parent/emif_fm_0.ctrl_amm_0' start='0x0' end='0x400000000' datawidth='512' /></address-map>}
	set_exported_interface_sysinfo_parameter_value dma_read_master address_width {34}
	set_exported_interface_sysinfo_parameter_value dma_write_master address_map {<address-map><slave name='parent/emif_fm_0.ctrl_amm_0' start='0x0' end='0x400000000' datawidth='512' /></address-map>}
	set_exported_interface_sysinfo_parameter_value dma_write_master address_width {34}
	save_system mSGDMA.qsys
}

# create all the systems, from bottom up
do_create_mSGDMA
reload_ip_catalog
do_create_ed_synth

# set system info parameters on exported interface, from bottom up
do_set_exported_interface_sysinfo_parameters
